/*
  ==============================================================================

  This is an automatically generated GUI class created by the Introjucer!

  Be careful when adding custom code to these files, as only the code within
  the "//[xyz]" and "//[/xyz]" sections will be retained when the file is loaded
  and re-saved.

  Created with Introjucer version: 3.1.0

  ------------------------------------------------------------------------------

  The Introjucer is part of the JUCE library - "Jules' Utility Class Extensions"
  Copyright 2004-13 by Raw Material Software Ltd.

  ==============================================================================
*/

//[Headers] You can add your own extra header files here...
/*
 * Copyright (c) 2013 - Teragon Audio LLC
 *
 * Permission is granted to use this software under the terms of either:
 * a) the GPL v2 (or any later version)
 * b) the Affero GPL v3
 *
 * Details of these licenses can be found at: www.gnu.org/licenses
 *
 * This software is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * ------------------------------------------------------------------------------
 *
 * This software uses the JUCE library.
 *
 * To release a closed-source product which uses JUCE, commercial licenses are
 * available: visit www.juce.com for more information.
 */
//[/Headers]

#include "PluginEditor.h"


//[MiscUserDefs] You can add your own user definitions and misc code here...
//[/MiscUserDefs]

//==============================================================================
MainEditorView::MainEditorView (BeatCounterAudioProcessor* ownerFilter, teragon::ConcurrentParameterSet& p, teragon::ResourceCache *r)
    : AudioProcessorEditor(ownerFilter),
      parameters(p),
      resources(r)
{
    addAndMakeVisible (beatIndicatorLight = new teragon::IndicatorLight (parameters,
                                                                         "Beat Triggered",
                                                                         resources));
    beatIndicatorLight->setName ("BeatIndicatorLight");

    addAndMakeVisible (hostTempoButton = new teragon::PushButton (parameters,
                                                                  "Use Host Tempo",
                                                                  resources));
    hostTempoButton->setName ("host tempo button");

    addAndMakeVisible (resetButton = new teragon::ToggleButton (parameters,
                                                                "Reset",
                                                                resources));
    resetButton->setName ("reset button");

    addAndMakeVisible (toleranceKnob = new teragon::ImageKnobLarge (parameters,
                                                                    "Tolerance",
                                                                    resources));
    toleranceKnob->setName ("tolerance knob");

    addAndMakeVisible (autofilterFrequencyKnob = new teragon::ImageKnobSmall (parameters,
                                                                              "Filter Frequency",
                                                                              resources));
    autofilterFrequencyKnob->setName ("autofilter frequency knob");

    addAndMakeVisible (autofilterButton = new teragon::PushButton (parameters,
                                                                   "Filter",
                                                                   resources));
    autofilterButton->setName ("enable autofilter");

    addAndMakeVisible (currentBpmLabel = new teragon::ParameterLabel (parameters,
                                                                      "Current BPM"));
    currentBpmLabel->setName ("current bpm label");

    addAndMakeVisible (runningBpmLabel = new teragon::ParameterLabel (parameters,
                                                                      "Running BPM"));
    runningBpmLabel->setName ("running bpm label");

    addAndMakeVisible (periodKnob = new teragon::ImageKnobLarge (parameters,
                                                                 "Period",
                                                                 resources));
    periodKnob->setName ("period knob");

    addAndMakeVisible (statusBar = new teragon::StatusBar (parameters,
                                                           resources));
    statusBar->setName ("status bar");

    addAndMakeVisible (versionLabel = new teragon::ParameterLabel (parameters,
                                                                   "Version"));
    versionLabel->setName ("version label");

    cachedImage_background_png = ImageCache::getFromMemory (background_png, background_pngSize);

    //[UserPreSize]
    //[/UserPreSize]

    setSize (581, 210);


    //[Constructor] You can add your own custom stuff here..
    statusBar->subscribeToParameters();
    statusBar->ignoreParameter("Current BPM");
    statusBar->ignoreParameter("Running BPM");
    statusBar->ignoreParameter("Beat Triggered");

    currentBpmLabel->setFont(Font(Font::getDefaultMonospacedFontName(), 16.0f, Font::plain));
    currentBpmLabel->setJustificationType(Justification::centredRight);
    runningBpmLabel->setFont(Font(Font::getDefaultMonospacedFontName(), 16.0f, Font::plain));
    runningBpmLabel->setJustificationType(Justification::centredRight);

    versionLabel->setFont(StatusBar::getFont());
    versionLabel->setJustificationType(Justification::centredRight);
    //[/Constructor]
}

MainEditorView::~MainEditorView()
{
    //[Destructor_pre]. You can add your own custom destruction code here..
    //[/Destructor_pre]

    beatIndicatorLight = nullptr;
    hostTempoButton = nullptr;
    resetButton = nullptr;
    toleranceKnob = nullptr;
    autofilterFrequencyKnob = nullptr;
    autofilterButton = nullptr;
    currentBpmLabel = nullptr;
    runningBpmLabel = nullptr;
    periodKnob = nullptr;
    statusBar = nullptr;
    versionLabel = nullptr;


    //[Destructor]. You can add your own custom destruction code here..
    delete resources;
    //[/Destructor]
}

//==============================================================================
void MainEditorView::paint (Graphics& g)
{
    //[UserPrePaint] Add your own custom painting code here..
    //[/UserPrePaint]

    g.fillAll (Colours::black);

    g.setColour (Colours::black);
    g.drawImage (cachedImage_background_png,
                 0, 0, 581, 210,
                 0, 0, cachedImage_background_png.getWidth(), cachedImage_background_png.getHeight());

    g.setColour (Colours::black);
    g.setFont (Font (Font::getDefaultMonospacedFontName(), 16.00f, Font::plain));
    g.drawText (TRANS("Current BPM:"),
                26, 18, 130, 32,
                Justification::centredLeft, true);

    g.setColour (Colours::black);
    g.setFont (Font (Font::getDefaultMonospacedFontName(), 16.00f, Font::plain));
    g.drawText (TRANS("Running BPM:"),
                26, 52, 130, 32,
                Justification::centredLeft, true);

    //[UserPaint] Add your own custom painting code here..
    //[/UserPaint]
}

void MainEditorView::resized()
{
    beatIndicatorLight->setBounds (11, 91, 24, 24);
    hostTempoButton->setBounds (149, 91, 72, 40);
    resetButton->setBounds (76, 91, 72, 40);
    toleranceKnob->setBounds (329, 10, 113, 113);
    autofilterFrequencyKnob->setBounds (241, 53, 66, 66);
    autofilterButton->setBounds (239, 10, 72, 40);
    currentBpmLabel->setBounds (143, 18, 64, 32);
    runningBpmLabel->setBounds (143, 52, 64, 32);
    periodKnob->setBounds (451, 10, 113, 113);
    statusBar->setBounds (24, 160, 240, 30);
    versionLabel->setBounds (316, 174, 240, 16);
    //[UserResized] Add your own custom resize handling here..
    //[/UserResized]
}



//[MiscUserCode] You can add your own definitions of your custom methods or any other code here...
//[/MiscUserCode]


//==============================================================================
#if 0
/*  -- Introjucer information section --

    This is where the Introjucer stores the metadata that describe this GUI layout, so
    make changes in here at your peril!

BEGIN_JUCER_METADATA

<JUCER_COMPONENT documentType="Component" className="MainEditorView" componentName=""
                 parentClasses="public AudioProcessorEditor" constructorParams="BeatCounterAudioProcessor* ownerFilter, teragon::ConcurrentParameterSet&amp; p, teragon::ResourceCache *r"
                 variableInitialisers="AudioProcessorEditor(ownerFilter),&#10;parameters(p),&#10;resources(r)"
                 snapPixels="8" snapActive="1" snapShown="1" overlayOpacity="0.330"
                 fixedSize="1" initialWidth="581" initialHeight="210">
  <BACKGROUND backgroundColour="ff000000">
    <IMAGE pos="0 0 581 210" resource="background_png" opacity="1" mode="0"/>
    <TEXT pos="26 18 130 32" fill="solid: ff000000" hasStroke="0" text="Current BPM:"
          fontname="Default monospaced font" fontsize="16" bold="0" italic="0"
          justification="33"/>
    <TEXT pos="26 52 130 32" fill="solid: ff000000" hasStroke="0" text="Running BPM:"
          fontname="Default monospaced font" fontsize="16" bold="0" italic="0"
          justification="33"/>
  </BACKGROUND>
  <GENERICCOMPONENT name="BeatIndicatorLight" id="9597f0a11978ce24" memberName="beatIndicatorLight"
                    virtualName="teragon::IndicatorLight" explicitFocusOrder="0"
                    pos="11 91 24 24" class="Component" params="parameters,&#10;&quot;Beat Triggered&quot;,&#10;resources"/>
  <GENERICCOMPONENT name="host tempo button" id="b555149503e7cf17" memberName="hostTempoButton"
                    virtualName="teragon::PushButton" explicitFocusOrder="0" pos="149 91 72 40"
                    class="Component" params="parameters,&#10;&quot;Use Host Tempo&quot;,&#10;resources"/>
  <GENERICCOMPONENT name="reset button" id="d1b29d5dfcb7dd8c" memberName="resetButton"
                    virtualName="teragon::ToggleButton" explicitFocusOrder="0" pos="76 91 72 40"
                    class="Component" params="parameters,&#10;&quot;Reset&quot;,&#10;resources"/>
  <GENERICCOMPONENT name="tolerance knob" id="be48e8e7bba31a8f" memberName="toleranceKnob"
                    virtualName="teragon::ImageKnobLarge" explicitFocusOrder="0"
                    pos="329 10 113 113" class="Component" params="parameters,&#10;&quot;Tolerance&quot;,&#10;resources"/>
  <GENERICCOMPONENT name="autofilter frequency knob" id="326bdbc56dc50049" memberName="autofilterFrequencyKnob"
                    virtualName="teragon::ImageKnobSmall" explicitFocusOrder="0"
                    pos="241 53 66 66" class="Component" params="parameters,&#10;&quot;Filter Frequency&quot;,&#10;resources"/>
  <GENERICCOMPONENT name="enable autofilter" id="3734e39975c01330" memberName="autofilterButton"
                    virtualName="teragon::PushButton" explicitFocusOrder="0" pos="239 10 72 40"
                    class="Component" params="parameters,&#10;&quot;Filter&quot;,&#10;resources"/>
  <GENERICCOMPONENT name="current bpm label" id="97bbaab7b99b9c83" memberName="currentBpmLabel"
                    virtualName="teragon::ParameterLabel" explicitFocusOrder="0"
                    pos="143 18 64 32" class="Component" params="parameters,&#10;&quot;Current BPM&quot;"/>
  <GENERICCOMPONENT name="running bpm label" id="9e8fda42544a544" memberName="runningBpmLabel"
                    virtualName="teragon::ParameterLabel" explicitFocusOrder="0"
                    pos="143 52 64 32" class="Component" params="parameters,&#10;&quot;Running BPM&quot;"/>
  <GENERICCOMPONENT name="period knob" id="ce2c6ebfd58d7073" memberName="periodKnob"
                    virtualName="teragon::ImageKnobLarge" explicitFocusOrder="0"
                    pos="451 10 113 113" class="Component" params="parameters,&#10;&quot;Period&quot;,&#10;resources"/>
  <GENERICCOMPONENT name="status bar" id="9122dba0def79a70" memberName="statusBar"
                    virtualName="teragon::StatusBar" explicitFocusOrder="0" pos="24 160 240 30"
                    class="Component" params="parameters,&#10;resources"/>
  <GENERICCOMPONENT name="version label" id="376d73655e351d97" memberName="versionLabel"
                    virtualName="teragon::ParameterLabel" explicitFocusOrder="0"
                    pos="316 174 240 16" class="Component" params="parameters,&#10;&quot;Version&quot;"/>
</JUCER_COMPONENT>

END_JUCER_METADATA
*/
#endif

//==============================================================================
// Binary resources - be careful not to edit any of these sections!

// JUCER_RESOURCE: background_png, 47655, "../Graphics/background.png"
static const unsigned char resource_MainEditorView_background_png[] = { 137,80,78,71,13,10,26,10,0,0,0,13,73,72,68,82,0,0,2,69,0,0,0,210,8,2,0,0,0,203,224,35,68,0,0,10,65,105,67,67,80,73,67,67,32,80,114,
111,102,105,108,101,0,0,72,13,157,150,119,84,83,217,22,135,207,189,55,189,208,18,34,32,37,244,26,122,9,32,210,59,72,21,4,81,137,73,128,80,2,134,132,38,118,68,5,70,20,17,41,86,100,84,192,1,71,135,34,99,
69,20,11,131,130,98,215,9,242,16,80,198,193,81,68,69,229,221,140,107,9,239,173,53,243,222,154,253,199,89,223,217,231,183,215,217,103,239,125,215,186,0,80,252,130,4,194,116,88,1,128,52,161,88,20,238,235,
193,92,18,19,203,196,247,2,24,16,1,14,88,1,192,225,102,102,4,71,248,68,2,212,252,189,61,153,153,168,72,198,179,246,238,46,128,100,187,219,44,191,80,38,115,214,255,127,145,34,55,67,36,6,0,10,69,213,54,
60,126,38,23,229,2,148,83,179,197,25,50,255,4,202,244,149,41,50,134,49,50,22,161,9,162,172,34,227,196,175,108,246,167,230,43,187,201,152,151,38,228,161,26,89,206,25,188,52,158,140,187,80,222,154,37,225,
163,140,4,161,92,152,37,224,103,163,124,7,101,189,84,73,154,0,229,247,40,211,211,248,156,76,0,48,20,153,95,204,231,38,161,108,137,50,69,20,25,238,137,242,2,0,8,148,196,57,188,114,14,139,249,57,104,158,
0,120,166,103,228,138,4,137,73,98,166,17,215,152,105,229,232,200,102,250,241,179,83,249,98,49,43,148,195,77,225,136,120,76,207,244,180,12,142,48,23,128,175,111,150,69,1,37,89,109,153,104,145,237,173,28,
237,237,89,214,230,104,249,191,217,223,30,126,83,253,61,200,122,251,85,241,38,236,207,158,65,140,158,89,223,108,236,172,47,189,22,0,246,36,90,155,29,179,190,149,85,0,180,109,6,64,229,225,172,79,239,32,
0,242,5,0,180,222,156,243,30,134,108,94,146,196,226,12,39,11,139,236,236,108,115,1,159,107,46,43,232,55,251,159,130,111,202,191,134,57,247,153,203,238,251,86,59,166,23,63,129,35,73,21,51,101,69,229,166,
167,166,75,68,204,204,12,14,151,207,100,253,247,16,255,227,192,57,105,205,201,195,44,156,159,192,23,241,133,232,85,81,232,148,9,132,137,104,187,133,60,129,88,144,46,100,10,132,127,213,225,127,24,54,39,
7,25,126,157,107,20,104,117,95,0,125,133,57,80,184,73,7,200,111,61,0,67,35,3,36,110,63,122,2,125,235,91,16,49,10,200,190,188,104,173,145,175,115,143,50,122,254,231,250,31,11,92,138,110,225,76,65,34,83,
230,246,12,143,100,114,37,162,44,25,163,223,132,108,193,2,18,144,7,116,160,10,52,129,46,48,2,44,96,13,28,128,51,112,3,222,32,0,132,128,72,16,3,150,3,46,72,2,105,64,4,178,65,62,216,0,10,65,49,216,1,118,
131,106,112,0,212,129,122,208,4,78,130,54,112,6,92,4,87,192,13,112,11,12,128,71,64,10,134,193,75,48,1,222,129,105,8,130,240,16,21,162,65,170,144,22,164,15,153,66,214,16,27,90,8,121,67,65,80,56,20,3,197,
67,137,144,16,146,64,249,208,38,168,24,42,131,170,161,67,80,61,244,35,116,26,186,8,93,131,250,160,7,208,32,52,6,253,1,125,132,17,152,2,211,97,13,216,0,182,128,217,176,59,28,8,71,194,203,224,68,120,21,
156,7,23,192,219,225,74,184,22,62,14,183,194,23,225,27,240,0,44,133,95,194,147,8,64,200,8,3,209,70,88,8,27,241,68,66,144,88,36,1,17,33,107,145,34,164,2,169,69,154,144,14,164,27,185,141,72,145,113,228,
3,6,135,161,97,152,24,22,198,25,227,135,89,140,225,98,86,97,214,98,74,48,213,152,99,152,86,76,23,230,54,102,16,51,129,249,130,165,98,213,177,166,88,39,172,63,118,9,54,17,155,141,45,196,86,96,143,96,91,
176,151,177,3,216,97,236,59,28,14,199,192,25,226,28,112,126,184,24,92,50,110,53,174,4,183,15,215,140,187,128,235,195,13,225,38,241,120,188,42,222,20,239,130,15,193,115,240,98,124,33,190,10,127,28,127,
30,223,143,31,198,191,39,144,9,90,4,107,130,15,33,150,32,36,108,36,84,16,26,8,231,8,253,132,17,194,52,81,129,168,79,116,34,134,16,121,196,92,98,41,177,142,216,65,188,73,28,38,78,147,20,73,134,36,23,82,
36,41,153,180,129,84,73,106,34,93,38,61,38,189,33,147,201,58,100,71,114,24,89,64,94,79,174,36,159,32,95,37,15,146,63,80,148,40,38,20,79,74,28,69,66,217,78,57,74,185,64,121,64,121,67,165,82,13,168,110,
212,88,170,152,186,157,90,79,189,68,125,74,125,47,71,147,51,151,243,151,227,201,173,147,171,145,107,149,235,151,123,37,79,148,215,151,119,151,95,46,159,39,95,33,127,74,254,166,252,184,2,81,193,64,193,
83,129,163,176,86,161,70,225,180,194,61,133,73,69,154,162,149,98,136,98,154,98,137,98,131,226,53,197,81,37,188,146,129,146,183,18,79,169,64,233,176,210,37,165,33,26,66,211,165,121,210,184,180,77,180,58,
218,101,218,48,29,71,55,164,251,211,147,233,197,244,31,232,189,244,9,101,37,101,91,229,40,229,28,229,26,229,179,202,82,6,194,48,96,248,51,82,25,165,140,147,140,187,140,143,243,52,230,185,207,227,207,219,
54,175,105,94,255,188,41,149,249,42,110,42,124,149,34,149,102,149,1,149,143,170,76,85,111,213,20,213,157,170,109,170,79,212,48,106,38,106,97,106,217,106,251,213,46,171,141,207,167,207,119,158,207,157,
95,52,255,228,252,135,234,176,186,137,122,184,250,106,245,195,234,61,234,147,26,154,26,190,26,25,26,85,26,151,52,198,53,25,154,110,154,201,154,229,154,231,52,199,180,104,90,11,181,4,90,229,90,231,181,
94,48,149,153,238,204,84,102,37,179,139,57,161,173,174,237,167,45,209,62,164,221,171,61,173,99,168,179,88,103,163,78,179,206,19,93,146,46,91,55,65,183,92,183,83,119,66,79,75,47,88,47,95,175,81,239,161,
62,81,159,173,159,164,191,71,191,91,127,202,192,208,32,218,96,139,65,155,193,168,161,138,161,191,97,158,97,163,225,99,35,170,145,171,209,42,163,90,163,59,198,56,99,182,113,138,241,62,227,91,38,176,137,
157,73,146,73,141,201,77,83,216,212,222,84,96,186,207,180,207,12,107,230,104,38,52,171,53,187,199,162,176,220,89,89,172,70,214,160,57,195,60,200,124,163,121,155,249,43,11,61,139,88,139,157,22,221,22,95,
44,237,44,83,45,235,44,31,89,41,89,5,88,109,180,234,176,250,195,218,196,154,107,93,99,125,199,134,106,227,99,179,206,166,221,230,181,173,169,45,223,118,191,237,125,59,154,93,176,221,22,187,78,187,207,
246,14,246,34,251,38,251,49,7,61,135,120,135,189,14,247,216,116,118,40,187,132,125,213,17,235,232,225,184,206,241,140,227,7,39,123,39,177,211,73,167,223,157,89,206,41,206,13,206,163,11,12,23,240,23,212,
45,24,114,209,113,225,184,28,114,145,46,100,46,140,95,120,112,161,212,85,219,149,227,90,235,250,204,77,215,141,231,118,196,109,196,221,216,61,217,253,184,251,43,15,75,15,145,71,139,199,148,167,147,231,
26,207,11,94,136,151,175,87,145,87,175,183,146,247,98,239,106,239,167,62,58,62,137,62,141,62,19,190,118,190,171,125,47,248,97,253,2,253,118,250,221,243,215,240,231,250,215,251,79,4,56,4,172,9,232,10,164,
4,70,4,86,7,62,11,50,9,18,5,117,4,195,193,1,193,187,130,31,47,210,95,36,92,212,22,2,66,252,67,118,133,60,9,53,12,93,21,250,115,24,46,44,52,172,38,236,121,184,85,120,126,120,119,4,45,98,69,68,67,196,187,
72,143,200,210,200,71,139,141,22,75,22,119,70,201,71,197,69,213,71,77,69,123,69,151,69,75,151,88,44,89,179,228,70,140,90,140,32,166,61,22,31,27,21,123,36,118,114,169,247,210,221,75,135,227,236,226,10,
227,238,46,51,92,150,179,236,218,114,181,229,169,203,207,174,144,95,193,89,113,42,30,27,31,29,223,16,255,137,19,194,169,229,76,174,244,95,185,119,229,4,215,147,187,135,251,146,231,198,43,231,141,241,93,
248,101,252,145,4,151,132,178,132,209,68,151,196,93,137,99,73,174,73,21,73,227,2,79,65,181,224,117,178,95,242,129,228,169,148,144,148,163,41,51,169,209,169,205,105,132,180,248,180,211,66,37,97,138,176,
43,93,51,61,39,189,47,195,52,163,48,67,186,202,105,213,238,85,19,162,64,209,145,76,40,115,89,102,187,152,142,254,76,245,72,140,36,155,37,131,89,11,179,106,178,222,103,71,101,159,202,81,204,17,230,244,
228,154,228,110,203,29,201,243,201,251,126,53,102,53,119,117,103,190,118,254,134,252,193,53,238,107,14,173,133,214,174,92,219,185,78,119,93,193,186,225,245,190,235,143,109,32,109,72,217,240,203,70,203,
141,101,27,223,110,138,222,212,81,160,81,176,190,96,104,179,239,230,198,66,185,66,81,225,189,45,206,91,14,108,197,108,21,108,237,221,102,179,173,106,219,151,34,94,209,245,98,203,226,138,226,79,37,220,
146,235,223,89,125,87,249,221,204,246,132,237,189,165,246,165,251,119,224,118,8,119,220,221,233,186,243,88,153,98,89,94,217,208,174,224,93,173,229,204,242,162,242,183,187,87,236,190,86,97,91,113,96,15,
105,143,100,143,180,50,168,178,189,74,175,106,71,213,167,234,164,234,129,26,143,154,230,189,234,123,183,237,157,218,199,219,215,191,223,109,127,211,1,141,3,197,7,62,30,20,28,188,127,200,247,80,107,173,
65,109,197,97,220,225,172,195,207,235,162,234,186,191,103,127,95,127,68,237,72,241,145,207,71,133,71,165,199,194,143,117,213,59,212,215,55,168,55,148,54,194,141,146,198,177,227,113,199,111,253,224,245,
67,123,19,171,233,80,51,163,185,248,4,56,33,57,241,226,199,248,31,239,158,12,60,217,121,138,125,170,233,39,253,159,246,182,208,90,138,90,161,214,220,214,137,182,164,54,105,123,76,123,223,233,128,211,157,
29,206,29,45,63,155,255,124,244,140,246,153,154,179,202,103,75,207,145,206,21,156,155,57,159,119,126,242,66,198,133,241,139,137,23,135,58,87,116,62,186,180,228,210,157,174,176,174,222,203,129,151,175,
94,241,185,114,169,219,189,251,252,85,151,171,103,174,57,93,59,125,157,125,189,237,134,253,141,214,30,187,158,150,95,236,126,105,233,181,239,109,189,233,112,179,253,150,227,173,142,190,5,125,231,250,93,
251,47,222,246,186,125,229,142,255,157,27,3,139,6,250,238,46,190,123,255,94,220,61,233,125,222,253,209,7,169,15,94,63,204,122,56,253,104,253,99,236,227,162,39,10,79,42,158,170,63,173,253,213,248,215,102,
169,189,244,236,160,215,96,207,179,136,103,143,134,184,67,47,255,149,249,175,79,195,5,207,169,207,43,70,180,70,234,71,173,71,207,140,249,140,221,122,177,244,197,240,203,140,151,211,227,133,191,41,254,
182,247,149,209,171,159,126,119,251,189,103,98,201,196,240,107,209,235,153,63,74,222,168,190,57,250,214,246,109,231,100,232,228,211,119,105,239,166,167,138,222,171,190,63,246,129,253,161,251,99,244,199,
145,233,236,79,248,79,149,159,141,63,119,124,9,252,242,120,38,109,102,230,223,247,132,243,251,50,58,89,126,0,0,0,9,112,72,89,115,0,0,11,19,0,0,11,19,1,0,154,156,24,0,0,4,222,105,84,88,116,88,77,76,58,
99,111,109,46,97,100,111,98,101,46,120,109,112,0,0,0,0,0,60,120,58,120,109,112,109,101,116,97,32,120,109,108,110,115,58,120,61,34,97,100,111,98,101,58,110,115,58,109,101,116,97,47,34,32,120,58,120,109,
112,116,107,61,34,88,77,80,32,67,111,114,101,32,53,46,49,46,50,34,62,10,32,32,32,60,114,100,102,58,82,68,70,32,120,109,108,110,115,58,114,100,102,61,34,104,116,116,112,58,47,47,119,119,119,46,119,51,46,
111,114,103,47,49,57,57,57,47,48,50,47,50,50,45,114,100,102,45,115,121,110,116,97,120,45,110,115,35,34,62,10,32,32,32,32,32,32,60,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,32,114,100,102,
58,97,98,111,117,116,61,34,34,10,32,32,32,32,32,32,32,32,32,32,32,32,120,109,108,110,115,58,116,105,102,102,61,34,104,116,116,112,58,47,47,110,115,46,97,100,111,98,101,46,99,111,109,47,116,105,102,102,
47,49,46,48,47,34,62,10,32,32,32,32,32,32,32,32,32,60,116,105,102,102,58,82,101,115,111,108,117,116,105,111,110,85,110,105,116,62,49,60,47,116,105,102,102,58,82,101,115,111,108,117,116,105,111,110,85,
110,105,116,62,10,32,32,32,32,32,32,32,32,32,60,116,105,102,102,58,67,111,109,112,114,101,115,115,105,111,110,62,53,60,47,116,105,102,102,58,67,111,109,112,114,101,115,115,105,111,110,62,10,32,32,32,32,
32,32,32,32,32,60,116,105,102,102,58,88,82,101,115,111,108,117,116,105,111,110,62,55,50,60,47,116,105,102,102,58,88,82,101,115,111,108,117,116,105,111,110,62,10,32,32,32,32,32,32,32,32,32,60,116,105,102,
102,58,79,114,105,101,110,116,97,116,105,111,110,62,49,60,47,116,105,102,102,58,79,114,105,101,110,116,97,116,105,111,110,62,10,32,32,32,32,32,32,32,32,32,60,116,105,102,102,58,89,82,101,115,111,108,117,
116,105,111,110,62,55,50,60,47,116,105,102,102,58,89,82,101,115,111,108,117,116,105,111,110,62,10,32,32,32,32,32,32,60,47,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,62,10,32,32,32,32,32,
32,60,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,32,114,100,102,58,97,98,111,117,116,61,34,34,10,32,32,32,32,32,32,32,32,32,32,32,32,120,109,108,110,115,58,101,120,105,102,61,34,104,116,
116,112,58,47,47,110,115,46,97,100,111,98,101,46,99,111,109,47,101,120,105,102,47,49,46,48,47,34,62,10,32,32,32,32,32,32,32,32,32,60,101,120,105,102,58,80,105,120,101,108,88,68,105,109,101,110,115,105,
111,110,62,53,56,49,60,47,101,120,105,102,58,80,105,120,101,108,88,68,105,109,101,110,115,105,111,110,62,10,32,32,32,32,32,32,32,32,32,60,101,120,105,102,58,67,111,108,111,114,83,112,97,99,101,62,49,60,
47,101,120,105,102,58,67,111,108,111,114,83,112,97,99,101,62,10,32,32,32,32,32,32,32,32,32,60,101,120,105,102,58,80,105,120,101,108,89,68,105,109,101,110,115,105,111,110,62,50,49,48,60,47,101,120,105,
102,58,80,105,120,101,108,89,68,105,109,101,110,115,105,111,110,62,10,32,32,32,32,32,32,60,47,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,62,10,32,32,32,32,32,32,60,114,100,102,58,68,101,
115,99,114,105,112,116,105,111,110,32,114,100,102,58,97,98,111,117,116,61,34,34,10,32,32,32,32,32,32,32,32,32,32,32,32,120,109,108,110,115,58,100,99,61,34,104,116,116,112,58,47,47,112,117,114,108,46,111,
114,103,47,100,99,47,101,108,101,109,101,110,116,115,47,49,46,49,47,34,62,10,32,32,32,32,32,32,32,32,32,60,100,99,58,115,117,98,106,101,99,116,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,114,100,102,
58,66,97,103,47,62,10,32,32,32,32,32,32,32,32,32,60,47,100,99,58,115,117,98,106,101,99,116,62,10,32,32,32,32,32,32,60,47,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,62,10,32,32,32,32,32,32,
60,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,32,114,100,102,58,97,98,111,117,116,61,34,34,10,32,32,32,32,32,32,32,32,32,32,32,32,120,109,108,110,115,58,120,109,112,61,34,104,116,116,112,
58,47,47,110,115,46,97,100,111,98,101,46,99,111,109,47,120,97,112,47,49,46,48,47,34,62,10,32,32,32,32,32,32,32,32,32,60,120,109,112,58,77,111,100,105,102,121,68,97,116,101,62,50,48,49,51,45,49,50,45,50,
50,84,49,55,58,49,50,58,57,51,60,47,120,109,112,58,77,111,100,105,102,121,68,97,116,101,62,10,32,32,32,32,32,32,32,32,32,60,120,109,112,58,67,114,101,97,116,111,114,84,111,111,108,62,80,105,120,101,108,
109,97,116,111,114,32,51,46,48,60,47,120,109,112,58,67,114,101,97,116,111,114,84,111,111,108,62,10,32,32,32,32,32,32,60,47,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,62,10,32,32,32,60,47,
114,100,102,58,82,68,70,62,10,60,47,120,58,120,109,112,109,101,116,97,62,10,240,228,254,156,0,0,64,0,73,68,65,84,120,1,236,125,7,188,37,69,149,254,12,51,3,67,82,65,80,16,65,48,0,162,131,10,24,23,5,1,3,
160,152,51,38,48,173,174,107,68,93,217,117,49,175,107,100,213,77,38,48,128,89,193,0,38,36,27,9,34,130,128,18,68,9,42,81,96,6,38,253,191,234,211,117,234,171,83,167,170,251,222,121,184,251,95,238,251,189,
223,187,167,78,125,231,59,161,170,171,186,251,246,189,111,254,146,29,119,158,199,63,171,87,115,203,151,231,207,247,245,185,118,254,90,14,108,245,170,17,252,35,120,114,72,214,130,11,215,117,6,154,55,111,
138,72,12,67,223,172,85,172,94,37,13,175,26,3,115,214,121,252,120,38,209,106,36,108,228,68,197,241,48,180,33,143,11,91,2,112,60,206,155,55,42,54,13,44,186,43,173,92,242,70,224,131,93,3,46,16,82,12,70,
168,74,188,186,144,216,26,0,69,66,152,243,68,152,188,148,107,81,213,194,80,124,13,0,23,138,17,119,13,100,0,232,224,10,186,252,155,215,185,236,119,53,38,6,198,12,196,67,208,6,137,160,198,83,17,235,255,
2,113,176,230,136,113,92,217,221,18,77,81,22,151,167,86,169,133,5,218,217,132,196,56,133,226,230,92,36,153,240,133,243,194,105,66,148,86,165,166,71,215,195,40,77,74,143,165,38,179,50,228,69,118,26,241,
252,5,107,169,204,130,178,149,142,4,166,128,100,165,78,163,59,216,58,176,100,176,166,18,147,75,156,172,9,236,18,82,23,79,45,17,55,8,203,227,130,154,107,244,24,6,45,190,130,87,175,92,229,184,138,245,116,
186,38,87,169,47,152,74,77,242,202,100,67,198,93,108,200,110,107,122,198,136,204,108,162,105,217,234,116,2,116,176,2,12,238,168,87,175,236,78,61,7,13,37,142,56,148,136,176,17,228,68,163,163,131,27,61,
76,252,234,22,199,85,74,204,28,185,129,113,87,25,135,1,151,128,177,154,98,20,134,7,110,44,117,194,53,115,249,255,123,253,95,56,126,134,81,21,156,156,39,26,209,4,46,199,15,101,31,119,8,77,52,221,147,199,
52,172,45,169,70,94,242,168,134,234,19,152,181,169,128,150,63,233,203,19,7,195,4,182,21,118,13,195,237,103,126,150,21,204,117,112,1,138,84,193,245,232,42,97,50,146,83,201,141,160,230,196,159,77,206,30,
96,166,89,94,103,195,89,109,26,18,224,230,15,15,16,71,72,65,38,39,10,72,170,66,114,13,129,178,182,121,132,60,118,134,210,26,34,149,202,105,153,26,150,38,218,213,22,50,67,183,242,28,54,1,50,195,182,143,
53,238,181,190,56,164,142,188,223,221,197,17,5,217,43,138,123,81,150,112,48,66,241,88,48,243,9,101,226,40,194,75,93,174,148,211,166,216,106,60,57,94,40,105,18,102,135,152,244,38,78,55,128,92,153,192,110,
0,158,247,156,32,180,220,25,187,80,181,24,17,189,23,152,252,17,141,171,164,126,43,82,254,161,203,53,87,239,108,236,34,25,32,50,195,140,175,154,187,146,164,166,97,242,26,198,232,167,48,49,12,38,139,146,
208,0,216,156,193,35,97,193,156,231,83,62,141,12,9,243,179,223,82,6,18,182,106,46,134,227,205,75,194,94,195,161,66,149,71,43,78,141,45,41,179,35,112,186,96,220,185,106,60,150,77,245,165,130,96,180,62,
165,73,210,196,148,179,197,52,117,23,210,252,84,118,244,137,199,210,145,137,68,88,92,165,113,0,170,65,88,6,136,241,39,30,26,53,10,44,141,78,102,158,204,230,70,34,143,62,161,122,231,177,214,173,170,177,
60,170,161,240,194,81,233,203,96,76,4,236,49,239,10,197,49,182,6,92,70,152,51,88,115,237,101,158,255,27,235,255,66,173,212,74,205,114,142,4,101,206,22,77,33,143,211,58,96,48,233,99,115,106,207,234,75,
167,17,4,85,78,77,91,26,42,127,217,101,52,109,239,53,158,204,138,151,131,174,68,218,91,154,171,6,24,133,153,144,202,38,79,232,154,85,77,47,108,234,183,36,111,27,150,248,182,134,67,117,145,174,59,85,114,
156,42,107,175,51,69,197,7,205,204,4,102,247,60,70,172,87,153,24,84,7,119,97,139,42,186,52,176,136,76,11,125,212,84,95,101,81,211,53,23,56,176,33,102,63,236,42,77,171,67,169,36,78,109,214,108,218,67,230,
223,25,10,113,207,239,135,163,168,79,205,209,154,232,221,44,88,89,91,24,139,193,202,162,96,134,172,163,210,232,241,131,211,169,51,55,231,55,54,194,209,117,227,32,45,73,37,206,241,234,68,94,38,21,35,12,
24,244,198,230,120,114,131,84,95,253,251,103,218,54,184,57,104,82,184,58,3,216,29,38,61,55,215,208,99,70,85,214,81,217,39,173,96,164,234,103,210,164,230,234,55,10,89,156,162,140,46,34,36,191,4,145,222,
232,183,52,215,218,250,107,77,73,222,185,89,237,189,217,212,135,195,75,99,138,201,74,101,36,5,34,127,2,40,166,96,97,67,237,97,71,221,10,174,52,138,215,202,104,87,41,240,202,235,158,168,130,68,9,217,156,
13,89,175,178,90,229,97,164,141,74,1,48,169,46,241,232,27,170,219,240,122,100,230,192,16,161,166,80,10,136,25,233,228,25,37,148,102,164,66,234,163,49,90,176,48,189,241,92,204,53,231,162,196,57,231,152,
48,133,16,143,41,2,71,86,147,43,94,56,59,45,5,43,75,62,133,161,203,69,14,78,167,146,179,212,184,204,37,12,26,141,103,188,137,203,211,82,162,224,177,128,174,187,185,93,255,211,245,153,196,164,46,107,33,
114,230,46,152,1,32,225,17,50,93,226,130,149,99,8,107,129,25,125,71,149,86,13,238,229,5,139,245,44,115,84,208,115,22,104,154,94,54,156,90,22,23,114,150,173,36,225,0,148,99,93,230,4,77,14,197,136,208,14,
201,196,175,182,109,43,133,141,23,188,17,204,70,97,164,71,143,39,69,225,144,116,235,148,57,111,21,3,87,25,186,226,97,6,145,9,221,141,161,7,240,106,216,153,179,161,184,179,127,163,201,152,48,106,195,164,
17,154,178,12,123,167,104,12,249,68,182,68,211,139,83,155,171,33,215,217,228,37,62,68,169,120,19,63,135,164,24,86,186,114,131,196,197,67,201,228,110,156,98,200,176,49,84,53,76,169,31,195,92,90,141,209,
148,204,141,4,133,144,77,92,48,3,96,194,5,55,93,211,17,182,243,90,104,186,93,151,25,38,30,159,80,102,135,40,173,14,140,119,9,203,66,8,204,5,7,54,114,202,228,188,36,101,250,124,22,154,46,62,144,76,87,173,
25,2,227,24,42,201,90,115,54,49,125,21,6,217,188,4,11,167,40,84,94,43,255,42,193,112,103,205,46,134,108,164,164,187,18,64,105,155,105,180,81,49,175,142,160,26,142,19,18,143,169,97,197,47,14,155,100,226,
185,200,203,24,16,14,222,248,2,40,119,103,14,78,195,233,16,230,199,179,23,87,22,134,203,192,86,217,5,92,30,27,195,172,92,206,129,241,182,196,165,249,14,198,73,70,163,196,44,47,177,40,34,156,192,169,25,
71,162,242,73,12,94,67,38,67,209,169,185,150,34,97,203,43,120,165,45,120,212,202,8,202,111,244,83,55,203,56,13,149,241,104,154,6,28,154,154,20,68,121,2,86,64,149,28,93,194,50,42,129,185,96,227,84,188,
245,127,11,167,118,63,3,174,116,150,81,204,203,78,183,181,171,26,138,34,72,152,8,12,59,94,71,136,38,91,11,88,95,202,146,148,245,75,99,147,76,138,26,73,23,199,96,121,146,113,54,222,102,53,236,121,186,75,
176,146,161,212,0,239,42,217,155,202,102,212,212,144,195,86,176,48,27,19,233,85,67,52,107,182,98,46,120,158,223,189,134,95,42,197,100,72,41,231,129,245,243,77,174,92,121,191,135,161,70,171,130,176,9,3,
95,136,27,64,233,20,154,50,95,99,213,110,186,156,198,164,196,228,201,150,253,41,71,19,161,179,7,168,117,94,246,50,47,5,142,20,36,139,193,92,6,217,220,100,65,91,70,104,124,137,161,81,38,119,230,64,166,
244,97,88,181,138,246,165,119,233,105,24,54,186,34,107,154,78,118,164,40,60,5,139,160,245,25,195,111,108,13,131,219,59,134,86,99,112,25,112,148,184,250,49,204,106,56,17,24,86,227,7,40,238,103,50,33,186,
66,27,103,156,158,233,210,248,122,129,103,85,125,204,172,213,136,246,128,223,142,129,227,132,194,152,104,147,97,184,248,17,231,102,149,108,71,164,84,46,76,75,47,228,120,63,222,135,141,56,204,92,195,154,
178,22,85,77,15,30,116,113,53,74,164,213,208,36,209,48,52,95,213,176,144,49,84,74,145,240,113,56,50,171,216,93,187,170,230,20,34,182,127,93,169,231,143,53,215,209,35,12,74,30,55,12,227,98,84,211,245,30,
93,139,23,241,238,120,204,109,211,25,49,30,101,204,159,176,231,59,213,50,159,149,205,174,167,28,116,12,131,117,174,92,214,199,133,149,74,13,3,93,44,51,178,166,87,76,27,128,82,212,0,53,189,50,151,81,105,
166,42,40,120,12,91,6,150,225,51,69,134,210,104,162,205,68,252,209,40,123,157,146,129,226,52,12,92,4,211,149,57,70,131,231,106,37,65,107,50,174,61,224,183,35,145,56,251,253,76,142,13,59,239,187,152,90,
92,156,0,72,59,188,240,182,172,52,7,99,174,250,241,181,0,67,4,143,242,152,31,81,43,201,92,157,59,66,45,78,3,205,203,181,114,158,191,147,25,163,212,20,47,49,157,164,135,228,6,144,35,121,218,101,182,121,
195,84,201,52,115,172,109,245,147,36,223,252,193,80,186,118,105,121,253,213,197,151,201,140,149,210,26,189,9,171,221,43,96,118,205,230,108,203,50,99,32,143,140,164,247,165,185,117,109,208,186,222,141,
59,211,212,0,92,91,244,2,111,76,106,251,61,192,53,18,225,81,95,190,16,231,94,218,74,5,151,79,63,182,213,114,245,192,174,32,89,180,145,51,89,17,155,49,87,76,198,160,218,78,64,215,20,86,246,176,138,49,52,
28,229,110,135,91,149,202,87,47,25,167,201,98,56,138,97,132,196,249,127,96,253,239,247,51,25,66,83,253,193,113,53,120,41,219,160,149,86,215,53,71,111,31,76,190,46,168,94,204,227,192,251,23,191,6,44,38,
229,95,4,48,38,90,142,19,65,153,147,223,68,139,163,52,30,18,73,57,90,18,47,110,60,28,128,242,25,164,105,42,204,30,180,169,163,147,38,9,184,234,194,112,118,27,64,2,199,197,43,45,136,243,231,55,22,95,37,
75,12,170,154,86,168,81,197,89,228,240,178,9,203,14,52,87,149,224,82,163,22,131,1,52,108,149,132,5,38,84,91,21,20,169,48,17,74,128,32,187,94,255,16,171,153,192,176,209,213,211,230,87,150,13,147,65,42,
33,100,6,77,173,247,85,44,35,162,7,179,57,172,140,47,195,163,86,34,140,252,219,115,198,67,160,183,170,31,116,38,6,235,197,240,112,119,157,147,81,53,89,252,182,11,82,218,26,188,0,6,82,32,22,215,28,253,
125,48,197,192,49,115,28,29,59,57,227,253,198,206,13,27,36,191,82,68,175,94,9,223,40,116,34,178,82,90,224,208,227,241,179,65,242,213,105,165,25,179,98,224,240,225,164,104,195,169,122,35,48,12,11,177,56,
149,191,186,189,117,38,182,184,134,71,154,204,198,128,154,30,152,178,11,222,71,230,94,155,52,236,90,229,228,168,49,160,58,82,17,83,62,244,159,135,103,203,146,188,68,199,110,46,177,51,188,150,38,220,219,
203,49,30,167,75,99,206,251,70,209,170,73,131,95,49,174,16,189,207,113,154,145,150,125,246,25,185,161,42,94,62,253,198,102,218,197,202,145,101,207,77,6,91,92,4,183,254,174,114,144,86,1,108,206,190,20,
160,2,35,85,169,130,237,117,75,10,116,165,116,202,19,32,249,254,109,153,25,74,178,9,30,86,134,135,176,233,0,49,86,138,25,227,212,199,72,226,94,154,9,95,43,142,186,247,132,91,99,253,207,246,51,207,105,
63,24,41,116,15,100,10,93,3,215,106,13,202,204,164,171,78,150,45,59,165,202,102,86,140,185,245,228,124,45,176,215,25,20,27,66,144,124,231,42,72,83,61,159,182,152,88,169,140,121,108,253,117,155,81,198,
186,153,1,141,234,240,170,126,21,163,26,133,149,26,237,114,133,73,241,46,137,198,131,94,57,183,195,149,116,207,172,101,169,228,235,18,38,165,152,55,109,121,116,212,123,98,240,164,137,179,70,24,244,182,
153,99,94,164,201,81,41,158,11,37,113,105,151,23,102,166,99,194,172,131,26,150,77,163,234,48,229,217,15,153,38,209,56,178,156,9,216,146,38,176,202,131,76,164,113,208,203,162,9,102,140,139,49,152,228,49,
74,165,85,184,31,24,227,137,40,251,10,43,83,58,65,176,178,100,182,44,212,150,196,219,38,166,56,53,48,199,64,30,130,152,153,116,99,145,22,46,3,165,10,100,86,29,108,120,63,43,109,12,191,137,6,65,187,113,
131,39,187,63,75,97,25,66,83,29,211,155,197,99,102,97,228,116,3,104,241,196,190,134,161,248,157,32,54,143,51,11,62,2,228,85,92,55,0,78,151,73,31,68,177,2,202,173,25,25,243,246,52,53,96,101,99,193,193,
148,241,176,129,145,139,80,77,255,164,77,142,71,207,51,98,250,253,53,34,99,192,31,123,29,87,140,108,15,186,24,51,94,189,135,174,70,77,98,5,26,97,228,145,133,247,93,216,81,222,107,175,3,130,115,126,127,
50,162,93,101,236,172,190,150,65,142,228,49,213,27,105,101,226,128,247,233,12,13,79,223,212,65,209,33,200,47,161,212,74,157,170,160,93,42,148,149,209,174,204,74,157,106,183,8,49,6,163,46,155,168,100,70,
88,34,58,205,24,76,197,212,81,143,97,99,12,170,225,22,4,152,191,194,250,63,188,159,57,41,178,170,24,36,127,95,237,191,89,46,221,122,146,18,184,153,43,61,151,73,149,44,212,14,149,65,67,38,97,89,13,77,96,
170,239,5,206,186,62,29,213,138,93,212,100,23,108,194,40,108,83,61,139,174,94,225,210,162,175,166,175,241,140,209,215,134,67,108,77,46,147,6,48,96,206,35,210,251,11,197,177,94,114,24,95,43,24,126,211,
52,233,91,90,211,45,77,241,21,167,135,18,38,91,0,186,222,164,113,121,84,153,7,31,212,145,92,32,25,79,9,86,30,21,114,243,164,166,183,46,148,83,5,133,141,20,166,51,156,206,202,15,169,44,69,151,56,70,68,
189,168,16,24,74,60,148,166,86,132,73,43,158,193,8,85,84,154,163,35,56,234,126,178,85,62,42,251,215,104,219,35,189,179,19,63,90,230,33,18,157,132,45,66,182,29,148,169,14,61,167,62,84,204,182,127,173,245,
127,154,253,108,249,90,171,118,120,192,189,183,185,247,14,243,22,47,94,204,65,207,228,89,5,198,85,96,25,96,203,150,93,116,238,57,231,156,113,238,162,85,233,123,143,160,214,67,46,91,98,202,157,41,119,84,
46,22,198,60,50,103,103,0,9,147,223,70,238,185,105,33,200,189,85,150,60,6,209,141,65,86,67,214,4,33,166,0,12,200,107,142,201,81,237,74,176,118,169,32,222,41,30,237,9,194,68,177,101,150,127,205,134,174,
167,245,193,106,148,162,146,123,54,73,76,54,125,209,188,235,185,178,98,112,173,74,21,64,200,126,57,188,252,253,248,202,16,104,202,18,89,191,85,152,48,83,147,253,178,156,16,107,32,113,240,13,26,248,85,
215,146,59,87,0,134,218,91,35,49,120,49,41,173,178,255,127,86,118,103,236,177,142,216,204,238,253,128,157,178,174,89,99,86,129,73,42,16,78,131,22,47,14,179,104,249,188,11,206,58,175,156,172,232,23,229,
192,156,140,78,199,192,26,24,247,176,4,222,13,172,243,217,47,121,116,37,19,212,252,137,55,190,248,139,97,174,209,107,25,143,95,162,238,56,237,47,26,234,171,188,134,210,95,31,140,64,170,201,156,9,113,73,
177,87,63,163,29,232,192,185,131,91,14,159,11,243,47,113,234,5,41,105,37,222,82,239,187,171,47,223,217,157,234,74,17,52,101,237,175,121,81,0,132,50,54,238,21,121,128,71,7,139,44,211,181,41,41,51,177,94,
198,1,119,25,203,240,134,39,112,251,253,141,254,208,10,54,70,22,174,204,240,51,205,165,157,16,205,254,206,42,208,85,96,197,188,109,118,220,1,251,153,204,108,115,200,77,52,221,97,59,17,222,12,64,205,22,
250,26,179,68,107,238,0,81,10,19,199,67,182,38,186,129,166,137,144,215,187,90,94,204,40,248,132,228,101,43,30,242,140,247,101,182,82,4,153,115,118,234,75,67,237,53,46,137,199,6,29,19,42,196,8,234,200,
232,77,83,195,80,125,48,172,7,51,188,136,43,145,8,84,7,211,51,170,201,145,140,248,151,123,46,167,150,66,235,166,154,12,207,190,178,14,84,188,117,217,170,180,198,72,155,234,174,90,219,38,191,242,88,33,
15,216,110,74,229,208,90,123,156,88,111,208,223,101,92,119,225,236,118,99,89,158,153,102,84,5,150,174,88,134,83,34,204,165,193,35,97,12,157,30,45,99,192,192,12,58,85,66,21,74,43,238,82,191,194,236,118,
41,198,21,166,48,153,19,30,227,151,87,0,211,229,186,19,37,91,41,140,205,89,118,1,97,255,40,110,157,241,253,55,48,152,81,115,57,3,121,190,198,181,23,226,0,55,103,37,253,244,200,150,111,198,152,48,52,157,
154,192,182,53,76,166,175,196,15,191,99,169,152,33,223,39,218,12,238,56,102,177,85,26,66,235,86,166,244,216,240,82,130,93,135,228,40,27,38,187,159,53,194,2,175,58,75,59,217,2,215,221,76,57,171,64,179,
2,43,231,201,20,10,187,154,247,163,51,141,59,117,18,103,189,124,232,2,157,31,189,108,206,50,24,148,77,245,25,173,106,73,24,4,0,59,6,67,148,19,139,26,246,212,142,124,134,88,198,236,226,99,92,49,77,214,
202,175,66,59,73,73,68,214,56,147,148,185,255,102,122,107,180,102,185,12,86,49,59,107,82,73,176,124,70,131,57,83,24,53,90,235,198,107,23,174,169,92,217,26,173,198,201,175,170,42,2,71,91,66,26,60,210,69,
145,100,214,142,97,94,129,48,121,138,188,50,138,174,225,240,148,160,168,49,193,136,109,141,33,189,127,198,8,150,35,109,122,237,55,179,5,243,186,171,179,238,207,162,212,59,147,102,21,104,85,96,121,215,
185,96,89,216,199,186,93,13,147,205,157,178,61,9,29,48,238,82,107,14,221,146,141,131,225,137,29,100,34,79,176,17,7,100,2,187,18,104,61,146,86,154,46,143,167,228,20,252,248,197,202,11,0,61,28,131,200,66,
104,202,40,28,153,47,47,24,87,247,215,180,26,14,160,27,98,55,59,216,214,66,45,241,46,178,132,185,241,184,202,146,176,212,184,134,73,105,102,47,141,120,160,50,189,98,70,24,158,9,232,100,239,44,39,119,158,
84,86,160,180,53,142,60,154,81,58,101,110,16,22,239,159,149,204,92,23,45,135,108,102,139,102,247,27,203,122,205,52,205,10,244,167,62,139,23,47,95,182,12,23,247,43,179,21,22,83,22,147,85,231,107,104,122,
15,146,193,129,78,110,21,212,107,169,177,199,118,156,198,46,185,61,55,143,96,229,31,20,64,235,196,64,49,15,50,140,4,184,241,139,173,27,0,186,172,62,30,221,217,185,2,187,159,60,125,182,78,114,116,212,107,
60,90,29,247,100,213,73,54,102,211,221,108,74,137,124,6,13,137,130,113,99,176,230,209,48,43,26,145,104,68,134,205,242,40,110,42,193,140,190,33,55,189,226,129,49,44,183,252,199,100,3,166,200,113,12,73,
192,8,73,110,110,138,83,70,88,139,170,225,212,222,111,180,20,136,35,6,1,247,74,20,246,49,222,204,134,104,44,237,172,125,155,173,192,138,152,249,162,110,75,43,86,88,157,99,192,149,51,158,123,35,209,240,
171,57,182,149,68,5,166,168,129,19,70,143,240,120,104,164,174,78,114,105,19,70,205,69,85,33,73,248,186,52,224,168,110,168,61,156,44,191,89,165,128,97,23,180,68,168,85,38,72,190,38,77,79,89,250,146,9,80,
78,3,225,47,241,153,223,174,209,192,104,238,140,97,185,100,19,141,26,50,192,53,180,74,51,244,108,223,144,77,233,34,210,146,71,189,188,162,87,235,150,33,77,12,21,242,158,12,224,8,0,155,242,8,179,54,115,
207,78,75,42,198,33,1,52,222,220,97,236,84,154,160,2,6,54,34,30,185,228,62,188,103,214,95,153,45,30,32,80,71,51,97,86,129,174,2,221,132,89,214,239,106,139,231,45,240,223,63,147,98,165,41,183,102,197,51,
7,82,121,24,52,232,61,112,255,246,70,53,60,90,5,74,102,62,166,208,107,98,43,241,85,47,29,212,11,47,116,180,173,212,11,195,204,155,85,138,105,11,72,103,40,5,247,221,160,160,100,239,246,26,186,243,58,242,
253,152,118,132,181,222,193,11,113,174,45,135,26,100,179,43,212,124,64,31,247,131,32,86,110,54,52,172,209,101,221,17,225,176,97,129,48,49,112,94,5,54,11,152,145,44,179,21,87,140,245,138,239,5,174,222,
232,116,152,80,100,165,213,174,133,105,96,60,94,24,212,66,84,138,153,48,171,192,156,85,128,39,58,72,189,57,57,177,175,142,179,191,53,52,134,80,99,112,193,218,171,113,148,48,104,0,43,245,157,73,121,16,
150,26,229,86,161,60,12,197,106,140,173,146,136,160,84,83,216,26,42,52,39,8,163,44,29,211,85,202,213,47,80,82,82,198,139,156,91,73,106,99,243,138,182,142,85,23,106,99,206,152,93,161,140,171,173,25,27,
97,100,97,119,190,173,169,109,76,45,18,164,87,187,139,107,143,103,2,95,58,91,20,216,16,106,120,144,112,216,19,167,35,46,37,66,147,41,71,51,127,254,66,165,206,252,117,31,19,21,13,235,197,182,187,217,24,
196,217,197,25,23,115,38,143,175,0,102,78,184,68,91,52,111,49,30,15,225,9,26,15,42,103,137,81,118,198,171,82,133,200,0,69,60,20,211,245,129,157,204,46,149,50,180,123,213,99,9,235,190,28,196,250,82,60,
11,165,45,247,106,36,113,219,224,206,169,101,9,12,197,49,171,204,212,132,189,161,155,11,165,160,75,13,240,252,57,116,92,237,52,127,250,43,57,54,47,241,146,84,187,230,113,62,4,107,32,181,89,90,177,175,
178,87,204,203,24,230,94,19,75,58,252,70,93,126,229,231,198,44,225,113,106,28,48,155,72,101,68,195,122,198,215,228,97,188,251,93,60,76,87,249,110,29,97,46,227,79,30,87,175,246,159,7,73,8,118,51,147,103,
21,184,21,42,80,78,80,117,226,174,56,6,223,152,171,253,1,64,107,167,18,70,23,105,171,139,154,244,138,5,63,53,230,245,255,247,142,53,81,206,96,162,108,68,21,173,194,171,201,133,187,32,91,146,184,186,25,
88,237,66,208,194,242,182,37,207,123,179,86,233,55,175,140,128,221,92,216,11,95,25,100,247,54,61,182,44,128,174,193,84,220,43,99,90,140,108,15,97,43,150,209,109,154,204,217,232,98,216,173,46,23,31,200,
147,176,145,172,137,208,52,27,129,141,65,142,193,52,92,180,187,48,79,152,191,28,56,244,50,192,176,149,93,196,48,191,249,246,215,184,121,108,252,205,154,179,10,76,84,129,114,130,150,230,52,101,179,78,216,
106,87,207,35,147,182,178,68,142,241,165,14,178,53,87,180,229,17,1,61,249,210,96,84,200,60,22,230,252,157,88,106,162,1,64,195,230,238,134,1,48,99,212,54,8,198,29,197,153,193,134,26,165,95,215,163,171,
100,238,146,71,122,217,176,44,2,247,38,54,74,45,187,118,73,136,78,26,76,153,120,140,169,223,28,36,84,179,146,121,156,109,89,1,80,154,34,152,166,154,24,125,136,197,132,49,46,134,62,9,99,11,237,24,115,181,
170,128,17,164,6,28,2,28,186,60,239,131,169,188,48,21,32,180,159,105,28,98,233,93,244,173,161,239,74,72,51,245,109,186,2,152,145,254,188,162,9,153,173,89,249,113,162,182,113,102,247,183,167,180,166,10,
80,205,212,2,159,90,70,119,217,1,217,246,85,91,208,17,15,12,219,182,130,193,95,215,175,155,81,195,157,139,23,229,96,24,13,219,118,215,24,230,49,24,120,41,83,43,13,171,243,138,162,44,121,168,179,42,150,
190,74,40,51,247,120,153,207,249,236,45,13,5,172,163,44,0,211,44,173,234,176,236,230,65,43,114,58,220,2,219,180,235,191,38,222,240,165,93,200,75,83,83,101,45,187,122,142,161,71,204,179,231,65,148,90,186,
71,58,16,55,179,191,179,10,76,87,129,218,52,211,3,195,208,214,240,142,222,28,162,74,52,180,166,40,16,130,57,40,180,233,184,99,51,79,158,194,196,158,95,227,184,117,255,31,71,233,110,218,47,250,75,76,177,
122,189,199,193,162,69,124,98,48,210,32,131,193,87,154,58,4,220,191,96,65,88,184,205,185,190,139,100,43,200,19,15,74,45,205,60,59,166,141,97,216,51,45,19,137,52,35,216,118,50,161,233,171,153,40,204,177,
45,179,200,239,109,194,196,177,82,198,186,48,145,149,3,246,2,99,111,142,9,117,167,231,65,160,108,67,201,106,38,206,42,112,107,86,160,155,211,97,25,205,215,136,170,75,61,6,114,124,109,71,20,30,127,182,
131,42,39,49,48,211,4,149,172,38,165,190,26,109,173,67,179,96,64,12,70,188,208,91,129,9,100,22,241,62,146,34,17,94,245,106,209,50,6,153,37,31,97,31,93,197,77,83,165,206,48,225,77,156,18,33,59,205,29,101,
196,181,134,154,171,208,35,187,186,245,55,135,99,185,202,243,128,140,86,97,153,118,84,163,54,169,108,84,68,214,232,34,84,47,2,236,22,7,202,140,135,102,203,240,41,78,145,175,155,69,198,95,70,54,23,154,
50,53,235,52,15,213,102,221,197,192,36,198,220,127,30,4,86,108,51,23,137,204,56,102,21,168,84,128,142,204,128,160,27,29,58,89,135,102,99,90,73,141,15,101,48,250,90,19,199,121,195,132,195,80,88,16,76,10,
93,22,53,23,53,189,89,98,100,75,208,189,74,182,147,244,150,30,29,246,28,85,240,220,111,38,125,77,178,56,107,190,163,94,193,81,145,94,77,120,6,105,154,41,206,68,144,73,6,159,245,77,210,232,146,181,163,
15,114,19,109,131,114,13,35,153,198,188,156,45,121,124,206,254,68,195,45,216,50,65,158,48,54,42,120,204,25,44,32,15,0,173,56,139,138,14,82,84,73,202,4,163,247,170,73,164,53,126,93,188,171,20,2,186,223,
40,138,209,142,99,0,179,215,89,5,214,168,2,229,145,105,231,107,227,1,223,56,93,215,40,2,50,206,174,66,10,242,16,152,119,172,214,82,48,7,39,252,216,212,216,181,238,93,157,178,223,18,212,93,12,70,56,133,
167,228,111,187,32,111,163,197,24,192,4,151,203,117,110,55,96,134,55,234,3,152,107,158,153,112,180,194,27,235,198,94,214,68,206,220,141,38,202,35,183,27,240,32,77,233,20,26,230,68,147,207,33,184,171,35,
207,175,237,212,95,44,151,42,116,219,43,61,38,204,144,84,30,14,106,209,162,237,130,113,246,114,49,166,113,52,217,49,103,118,191,17,134,220,167,65,204,132,89,5,110,189,10,248,83,142,143,52,154,202,18,134,
78,104,182,85,37,48,172,31,140,92,12,197,132,15,69,151,132,1,194,140,45,48,29,132,121,168,37,3,7,57,38,206,210,157,56,85,158,210,197,96,190,253,150,156,135,90,181,98,24,6,133,155,85,155,106,199,64,180,
60,232,194,145,187,171,154,171,97,142,71,149,130,137,246,214,226,34,43,45,172,96,171,30,187,110,5,183,97,192,14,132,65,1,212,98,44,245,13,167,141,46,230,41,103,215,72,67,38,233,101,45,242,180,111,220,
150,193,176,23,14,140,101,193,232,64,44,76,39,164,35,106,170,102,236,105,38,207,42,48,231,21,24,63,185,213,181,206,114,204,210,145,19,85,76,212,16,84,44,11,243,214,91,223,109,173,181,214,186,240,194,139,
238,113,143,187,239,181,231,30,31,251,248,39,87,173,202,222,73,226,80,97,206,174,75,182,82,163,241,187,194,164,120,151,196,40,37,224,145,204,156,14,46,144,70,90,25,143,35,155,92,201,145,38,18,143,26,154,
240,76,111,155,83,192,134,97,140,137,131,209,197,157,250,52,72,210,101,226,68,174,51,203,178,225,5,224,160,248,217,162,53,88,255,17,185,102,55,117,22,45,67,73,167,30,161,218,166,235,51,85,149,105,171,
6,152,124,126,107,207,76,152,85,96,238,43,208,158,147,102,42,42,88,133,129,128,248,152,143,135,202,49,223,62,106,139,45,182,16,195,155,111,190,249,129,15,250,155,151,191,252,165,11,23,46,124,237,107,223,
176,237,182,247,122,197,43,94,246,169,79,29,126,203,202,149,91,109,181,213,58,235,172,125,193,5,191,1,146,63,67,214,53,7,190,238,130,163,170,165,192,152,241,178,97,107,27,42,56,43,23,215,164,179,159,147,
219,140,129,137,153,99,181,77,132,237,72,12,152,175,20,213,80,147,18,176,232,181,87,148,192,24,141,101,30,217,230,140,114,19,93,220,89,189,230,78,77,118,76,94,200,233,150,166,121,54,71,144,249,189,237,
160,27,19,30,48,110,12,170,44,73,164,171,212,23,1,183,20,82,79,151,68,93,75,10,213,231,65,178,249,71,190,204,209,75,61,51,113,86,129,57,171,128,204,93,158,172,74,173,211,90,5,237,130,80,154,184,176,128,
164,175,8,98,204,87,191,118,212,145,71,126,1,0,188,109,135,191,111,126,243,91,240,132,10,4,249,129,21,126,255,246,111,95,242,187,75,47,253,205,133,23,66,217,219,214,86,55,181,245,0,211,29,77,156,35,71,
206,114,140,215,190,138,173,143,92,157,206,178,217,204,7,51,98,132,92,171,118,205,148,241,46,198,141,202,85,26,243,49,152,204,196,12,92,28,208,70,132,85,23,134,42,115,51,212,152,246,62,30,191,175,54,228,
131,250,43,161,78,58,99,171,165,128,43,113,17,235,73,190,173,216,32,49,93,244,121,234,156,196,29,45,108,245,97,99,239,254,83,76,252,242,198,117,231,205,91,154,155,206,90,179,10,180,43,16,230,76,252,10,
199,214,191,208,235,39,107,121,104,149,199,64,196,164,183,178,218,33,224,104,210,155,45,57,219,85,127,190,234,188,243,206,87,235,127,120,211,27,22,44,88,235,144,183,190,67,52,8,233,197,47,58,224,177,143,
125,244,77,55,221,244,132,253,30,247,238,119,191,247,132,19,79,218,111,191,199,189,228,37,7,110,188,209,70,167,158,250,227,183,191,227,93,215,93,119,253,238,187,63,226,201,79,122,194,151,191,242,181,55,
28,244,186,19,79,60,233,95,223,251,1,247,128,50,71,99,112,17,19,9,114,30,88,208,116,63,142,85,236,26,124,173,150,20,150,211,174,152,165,211,114,199,109,196,172,96,198,176,92,242,39,13,151,171,75,33,117,
53,37,117,218,68,73,103,58,155,65,91,3,11,2,123,175,12,86,198,95,96,76,24,74,158,89,117,103,105,181,174,12,57,105,60,153,113,214,112,167,107,191,254,103,192,190,145,133,199,97,120,224,94,87,84,35,171,
39,27,18,210,84,140,81,144,171,251,89,22,95,52,194,86,47,116,253,102,182,16,11,19,126,214,157,23,254,253,199,108,87,235,138,49,251,211,170,192,186,113,198,97,206,196,45,173,133,15,125,229,161,165,147,
147,38,119,182,232,180,41,205,97,9,182,140,39,103,218,248,142,27,45,88,107,45,38,60,225,132,147,158,253,172,103,156,120,226,201,71,29,253,77,188,175,182,233,166,155,190,227,237,135,124,240,67,255,246,
171,115,206,61,248,205,111,124,234,83,159,252,201,79,29,190,222,122,235,61,228,33,15,222,110,187,237,190,125,204,177,63,248,254,113,48,215,152,153,170,148,57,217,204,100,228,26,33,140,116,252,91,23,194,
83,3,168,151,26,64,232,20,198,236,100,146,69,206,24,79,158,8,76,35,37,92,217,104,85,169,56,224,46,206,42,210,139,176,166,171,14,86,92,39,107,134,53,125,145,93,15,108,69,91,164,22,109,156,135,119,152,191,
197,89,153,174,186,254,155,248,13,21,151,197,32,185,217,91,73,252,221,160,212,12,153,159,101,102,19,57,62,175,79,115,49,129,188,74,5,58,108,130,253,78,22,177,97,91,12,43,84,108,207,94,103,21,40,42,96,
231,140,156,12,13,207,153,198,12,54,93,122,184,26,189,9,165,188,3,195,248,3,15,120,193,243,159,183,63,76,78,59,237,140,151,190,236,21,189,45,142,133,248,190,24,174,222,110,185,101,249,101,151,93,126,218,
105,167,163,247,41,79,121,210,229,151,95,241,253,110,211,58,233,196,83,240,204,200,39,62,113,24,238,85,46,94,188,248,67,135,126,248,152,99,190,19,24,248,80,234,25,177,230,101,107,177,168,57,18,5,66,224,
67,125,240,29,17,67,162,101,1,15,125,201,178,227,29,95,10,193,78,69,54,108,38,24,197,91,24,168,188,4,131,57,37,96,173,148,206,19,216,208,244,251,60,154,14,125,249,133,143,20,58,193,87,194,6,68,2,80,6,
21,180,203,68,197,77,6,179,222,149,77,166,104,214,204,121,98,228,84,100,18,235,144,238,73,228,80,127,164,162,85,192,198,154,32,12,19,155,97,66,179,22,170,65,70,158,48,15,197,36,61,156,104,160,210,140,
49,184,157,80,130,176,127,30,196,141,128,43,197,128,197,88,152,186,235,58,189,85,212,255,123,70,232,103,91,90,173,216,183,113,125,220,204,226,109,234,121,242,127,60,23,227,52,136,15,27,174,210,208,244,
101,172,200,60,75,77,111,60,120,140,218,105,126,255,7,199,125,243,91,223,70,199,181,215,92,171,86,56,22,84,54,54,15,125,200,131,55,221,116,147,35,143,248,180,232,57,155,147,78,58,37,40,161,42,114,1,155,
27,109,205,11,59,93,169,119,74,89,203,142,85,223,249,101,71,180,151,59,91,151,218,5,129,9,243,248,153,16,64,137,89,254,106,23,42,150,100,218,192,50,23,209,86,145,166,55,53,187,96,156,229,56,15,44,225,
59,169,182,130,25,152,54,5,223,8,102,186,46,229,79,2,215,54,105,147,228,100,138,78,47,217,70,72,74,199,117,80,37,11,46,9,91,49,96,96,215,97,94,145,189,176,209,195,156,61,144,222,210,46,105,74,188,193,
0,80,127,30,196,243,215,219,47,148,255,124,22,183,179,21,104,46,11,203,19,238,58,206,182,52,83,227,89,19,21,144,205,12,211,38,84,99,49,157,12,133,105,195,135,13,87,75,166,239,224,250,62,56,203,133,115,
36,12,179,254,146,139,127,119,252,15,79,228,72,32,195,92,30,15,33,125,255,246,201,13,55,220,112,197,21,87,238,179,207,126,212,5,131,208,186,229,150,91,240,215,93,37,107,139,66,88,200,42,199,127,198,95,
52,220,50,142,206,154,232,116,169,29,29,134,235,37,40,133,170,120,91,110,112,76,41,154,94,116,179,67,159,235,90,119,226,233,138,233,134,151,28,105,125,36,180,17,85,242,8,157,139,227,228,34,110,243,166,
14,0,8,21,35,13,70,115,239,245,93,120,45,188,181,79,237,154,85,109,44,146,101,46,101,60,166,122,22,153,183,107,173,58,73,245,253,179,26,21,244,139,23,246,75,18,97,22,47,94,177,108,25,200,102,91,26,21,
101,38,134,10,240,102,134,153,19,52,225,79,247,179,24,237,108,186,199,14,125,109,247,42,108,64,40,15,128,184,12,21,107,205,124,124,109,225,224,170,113,209,197,23,47,217,113,201,6,183,219,16,225,31,127,
226,137,79,126,242,19,159,251,188,231,224,193,200,245,214,93,119,203,173,182,60,227,140,51,153,86,82,96,77,23,173,179,162,73,22,101,202,106,91,118,105,226,161,203,164,25,115,4,70,25,50,188,54,32,168,173,
103,229,248,85,188,144,144,149,178,186,27,121,112,133,80,139,159,50,194,2,226,40,42,86,169,182,174,47,135,168,75,167,189,255,69,95,137,28,60,137,191,94,144,132,113,28,39,85,228,15,154,154,9,235,25,47,
44,232,53,155,13,227,147,167,53,147,214,132,211,132,103,2,25,201,220,32,201,222,232,54,236,213,230,194,121,235,246,191,139,215,213,189,109,97,88,155,226,143,188,53,18,91,179,215,219,110,5,250,153,16,230,
70,220,204,48,103,186,223,48,139,104,111,27,81,35,44,25,242,91,96,203,99,187,135,8,30,171,173,249,141,84,184,78,74,191,97,157,133,139,176,154,180,15,173,47,124,225,75,219,111,183,221,169,39,31,191,215,
30,123,224,98,238,223,62,252,239,47,255,219,151,161,249,189,239,126,123,183,135,239,26,204,193,223,253,32,48,249,21,206,49,127,139,228,210,234,230,167,25,115,65,142,56,212,245,151,121,74,191,220,11,89,
173,52,96,245,5,91,3,206,240,157,199,18,0,141,56,13,224,88,4,23,38,74,141,208,96,84,31,4,30,44,200,221,48,181,255,6,54,173,79,28,20,227,2,77,55,125,13,91,74,225,56,162,239,104,78,12,245,130,36,191,28,
82,148,67,118,49,163,132,156,68,66,156,202,32,194,36,214,147,96,99,204,169,182,227,172,53,60,129,107,179,21,173,241,21,231,85,178,165,89,49,127,201,142,59,151,145,200,248,149,122,104,192,242,170,247,189,
45,172,68,242,19,158,108,156,183,116,197,178,112,101,22,228,101,253,123,105,179,55,210,164,62,183,241,191,221,197,89,247,158,89,119,77,31,78,131,178,75,180,165,43,230,29,250,250,183,148,243,13,211,204,
86,14,211,90,47,2,32,235,143,42,85,67,66,201,76,157,86,116,156,90,72,108,175,94,141,47,13,217,112,195,13,240,104,190,168,176,149,108,180,209,70,184,247,24,238,49,54,67,138,20,115,246,202,57,78,144,130,
235,159,11,11,192,116,137,24,146,169,121,138,8,57,83,116,142,76,150,173,172,9,79,170,194,93,169,96,42,244,234,131,178,137,118,92,238,134,71,29,37,30,85,77,33,148,49,52,72,188,33,174,133,7,26,137,176,4,
84,35,215,96,60,71,101,92,37,179,193,148,142,216,68,247,165,96,197,29,134,69,155,192,132,205,108,17,222,6,193,194,212,191,109,134,69,106,169,188,193,223,109,111,29,24,39,230,195,143,174,41,237,76,248,
191,88,1,186,76,239,46,197,116,51,91,188,8,233,46,94,54,111,153,32,202,57,138,238,98,54,242,125,30,150,67,229,92,134,134,62,216,208,143,248,42,60,18,194,138,243,177,163,94,127,195,13,56,43,215,158,107,
174,187,22,50,52,41,152,9,15,102,165,154,72,72,238,38,50,83,176,6,9,13,45,58,168,198,40,230,194,156,107,34,78,28,30,182,202,253,138,201,152,177,24,196,136,95,227,61,183,10,19,201,0,36,0,231,47,46,186,
243,39,113,250,135,107,164,104,146,17,21,176,103,240,50,29,235,209,9,34,169,242,68,146,30,163,40,141,238,89,86,58,243,43,254,63,28,96,28,73,157,48,145,11,134,173,82,159,115,204,162,179,15,166,102,194,
230,144,71,194,216,138,77,194,126,214,72,131,161,137,98,209,226,248,148,90,184,199,136,85,9,87,102,113,251,66,87,119,137,6,226,180,183,37,211,153,116,27,170,64,152,92,233,209,161,126,115,195,83,33,248,
60,190,116,133,45,173,250,227,207,189,42,188,232,240,214,145,2,212,43,214,212,23,104,140,59,33,238,86,55,28,95,35,249,203,35,113,164,97,240,230,6,32,97,180,255,150,75,112,135,55,174,53,54,171,167,29,93,
186,12,64,157,43,67,167,201,206,72,106,38,98,155,245,54,210,172,36,82,6,144,17,106,119,33,228,1,163,59,139,89,225,194,86,238,226,0,116,207,117,6,43,189,221,160,174,149,92,53,74,104,4,69,66,63,8,102,219,
112,219,91,29,115,71,46,51,127,222,51,153,59,216,170,187,6,167,113,225,207,219,161,161,180,36,177,29,214,21,13,34,42,7,94,195,102,214,173,71,97,199,10,15,173,133,19,237,240,220,154,189,68,27,224,153,117,
223,86,42,32,19,166,123,171,85,55,179,184,165,121,11,241,180,179,153,235,105,214,151,73,39,57,83,13,200,221,10,171,238,244,209,116,93,73,196,117,121,132,151,33,149,154,1,215,212,173,1,144,110,141,68,19,
140,105,42,117,77,175,0,21,218,72,83,159,26,184,145,102,50,41,247,188,110,70,37,128,198,212,20,38,194,103,224,24,192,202,250,76,206,240,19,134,97,106,213,176,22,100,219,87,187,183,65,222,232,106,113,198,
226,244,230,245,18,37,126,99,130,142,138,149,236,75,201,48,32,245,136,204,212,212,88,184,110,216,210,186,205,108,217,236,125,50,42,204,76,28,89,129,240,17,70,252,44,236,206,128,226,212,212,137,231,30,
12,218,171,46,92,152,246,26,65,205,173,85,121,168,192,50,134,100,72,220,166,172,176,120,51,95,172,232,3,94,25,220,250,205,58,231,160,49,134,95,139,80,250,27,99,94,90,249,39,215,192,77,82,64,161,29,25,
192,24,88,185,231,137,85,35,125,147,218,24,47,198,132,155,8,160,103,144,217,53,121,53,152,173,148,179,240,224,194,227,231,100,69,206,172,64,90,137,141,13,75,215,170,177,108,197,198,81,2,196,182,28,29,
229,44,5,33,41,77,122,125,177,85,197,239,7,33,166,198,67,171,146,106,127,179,177,219,210,176,48,233,150,22,111,57,118,87,111,225,102,99,82,16,253,76,188,141,84,160,223,177,36,219,174,209,39,174,155,25,
218,152,75,152,84,50,59,195,150,32,63,222,241,233,28,30,205,173,200,193,131,220,152,116,15,4,246,78,233,197,218,26,43,69,118,113,10,88,150,48,94,11,44,137,90,145,192,120,168,199,152,144,117,69,172,69,
11,126,125,251,167,168,176,137,132,169,27,81,149,11,141,24,186,38,211,185,224,72,140,204,132,236,145,101,54,177,122,46,84,94,16,102,110,49,112,31,201,112,20,25,194,205,70,235,151,144,107,42,34,5,68,46,
127,137,43,122,175,184,150,196,37,101,46,66,199,48,184,254,139,31,117,65,110,123,177,157,175,219,171,108,110,111,80,22,113,194,89,57,159,211,255,139,209,176,106,198,153,189,160,227,85,218,226,229,114,
171,81,57,102,194,172,2,78,5,194,163,141,114,71,64,254,70,72,156,205,233,253,9,59,173,203,217,92,217,138,34,101,237,53,185,168,33,160,143,241,244,203,1,175,218,26,24,48,42,11,85,169,9,122,47,114,193,135,
78,189,41,169,170,232,221,237,34,84,85,228,104,21,100,217,52,170,184,142,51,64,211,23,115,211,100,78,182,10,122,165,85,80,228,87,69,41,88,146,18,17,53,181,72,208,239,23,95,12,37,170,34,18,46,148,137,33,
52,203,92,130,155,81,243,7,64,67,40,129,12,252,85,143,163,189,196,20,198,70,37,1,68,171,190,101,162,170,230,142,164,234,231,67,76,210,24,166,90,89,106,122,165,205,99,86,117,47,168,185,243,253,32,93,52,
227,10,36,79,124,172,152,109,102,182,190,179,182,91,129,240,46,107,119,155,90,110,86,43,70,167,163,106,122,161,113,132,235,195,102,149,131,223,61,168,170,142,172,227,172,205,86,74,203,74,69,107,175,106,
176,4,146,28,68,215,144,49,0,128,199,80,13,90,129,193,152,40,167,16,106,179,19,250,168,50,218,88,237,180,108,177,77,165,206,25,164,123,54,196,225,236,108,51,61,153,53,194,38,84,16,107,12,2,171,241,200,
16,148,182,165,6,60,68,98,7,78,188,184,86,210,101,255,198,122,6,253,232,234,1,27,92,176,45,243,14,241,140,9,175,141,233,42,224,231,174,129,40,3,149,43,141,78,223,43,41,12,5,172,156,34,48,161,104,132,77,
61,26,188,105,230,247,27,155,211,78,45,241,9,179,254,253,51,60,1,66,239,159,165,199,243,101,159,155,61,175,175,37,187,45,10,152,14,221,63,94,232,46,197,186,70,95,5,204,153,112,203,177,219,216,48,151,210,
109,70,173,82,60,6,154,39,101,222,138,172,12,157,48,242,24,200,141,138,86,190,178,164,181,62,6,41,6,115,227,43,58,87,54,61,188,85,136,144,254,85,145,104,179,92,194,74,6,131,111,86,187,69,174,190,132,48,
119,148,86,70,227,206,88,105,115,106,161,198,31,8,243,65,116,92,228,163,233,0,202,242,54,56,59,54,174,39,199,150,215,199,113,213,1,82,221,112,110,131,39,21,5,199,60,208,152,166,195,229,170,34,155,237,
236,194,30,228,68,120,38,5,215,68,210,119,187,172,95,106,79,138,39,211,32,102,247,27,199,114,173,88,218,63,102,221,239,91,134,115,214,156,85,96,160,2,225,52,72,110,86,175,240,190,222,48,30,111,181,205,
99,128,189,235,30,59,153,135,184,120,85,18,108,207,140,32,243,69,176,117,144,199,140,122,111,185,161,19,66,196,167,10,148,32,37,137,224,18,194,17,14,22,100,16,224,240,147,202,164,79,61,77,209,4,175,73,
69,163,54,109,45,230,194,170,223,30,204,71,178,244,118,175,242,168,16,253,251,175,29,127,218,114,124,80,167,45,9,179,19,184,60,223,34,236,64,81,219,204,50,167,82,198,156,13,128,146,16,241,148,83,90,168,
202,80,51,23,177,17,96,58,106,133,199,136,42,246,90,53,81,4,132,186,57,163,198,203,206,253,198,65,227,112,125,166,32,220,108,92,46,95,14,162,95,17,162,125,51,97,86,129,174,2,253,121,79,184,221,136,143,
118,132,79,226,203,102,22,174,239,251,235,179,252,24,11,135,161,174,53,160,24,121,164,73,185,203,99,184,61,12,109,114,211,11,242,200,111,223,63,51,72,118,154,103,231,167,19,105,131,93,183,236,6,129,139,
16,218,244,163,238,12,57,65,124,71,12,152,78,230,80,53,12,21,134,57,105,105,51,193,151,36,165,70,249,117,44,74,76,169,17,171,149,250,95,127,52,134,246,146,90,129,213,248,53,182,150,192,30,149,31,6,197,
23,55,183,72,242,62,41,163,70,197,3,36,64,237,66,147,229,156,102,108,75,71,205,165,18,239,166,75,77,216,71,182,181,115,199,20,114,87,213,252,125,249,145,44,203,195,215,130,244,223,15,178,188,255,220,116,
188,217,168,223,119,53,146,107,6,251,191,91,129,120,71,17,31,177,199,124,233,111,57,134,119,91,177,165,225,167,251,216,34,230,79,55,17,205,204,118,158,122,175,173,2,69,253,38,253,151,240,5,65,75,97,142,
82,133,150,43,8,186,20,172,130,226,75,129,49,146,190,203,201,180,66,194,134,37,237,173,161,89,67,143,188,180,49,21,242,173,165,172,89,48,158,101,5,140,20,52,134,54,201,0,140,119,35,227,152,167,107,222,
149,231,152,46,242,218,145,228,28,182,149,108,187,144,110,213,67,0,190,147,59,27,72,104,151,189,121,202,189,13,96,90,94,143,102,50,157,56,157,102,63,195,119,238,225,241,235,238,51,212,113,51,75,223,223,
168,65,196,13,78,21,51,225,54,87,1,122,215,172,187,68,195,151,162,133,175,188,234,31,32,10,55,173,49,151,226,92,15,7,182,94,151,64,214,219,44,82,54,62,72,198,31,6,108,37,60,206,95,119,85,170,175,71,14,
131,119,12,187,176,254,70,205,56,242,81,193,71,55,177,140,177,61,226,181,193,175,108,13,204,8,15,168,75,252,190,37,74,217,231,212,7,124,148,151,76,84,7,65,99,19,165,195,166,78,51,179,180,115,64,45,86,
160,50,108,106,33,0,135,92,17,16,42,17,6,8,98,168,244,14,112,50,255,228,178,28,26,183,170,139,62,168,178,200,49,95,183,164,110,72,174,178,145,116,201,108,24,178,253,172,68,27,234,222,24,187,87,255,19,
206,179,251,47,35,14,154,217,197,89,95,151,217,75,95,129,252,18,13,59,153,110,105,225,140,8,63,184,223,72,247,212,210,237,160,102,5,217,36,173,152,108,18,15,45,214,213,100,119,119,204,92,116,150,141,163,
163,4,183,125,1,63,39,108,201,139,217,12,38,73,63,145,144,52,50,35,205,162,134,215,218,50,64,173,224,48,233,203,152,205,138,25,1,201,132,2,102,81,157,178,210,220,0,144,174,214,219,147,64,68,143,204,195,
50,39,194,119,200,67,132,176,173,196,207,12,34,51,79,217,59,70,163,53,81,97,140,149,193,12,134,145,145,231,197,129,173,86,184,90,85,50,49,190,50,102,19,86,108,26,19,81,171,82,24,178,253,172,69,202,99,
19,86,37,249,233,151,164,208,192,255,63,235,149,120,137,253,73,51,147,110,155,21,232,47,209,48,55,240,31,242,194,191,140,233,182,180,84,139,254,173,181,164,16,73,167,169,237,136,109,157,171,254,226,69,
123,100,180,168,190,234,113,104,17,116,248,217,46,94,136,209,199,71,199,24,43,179,253,48,123,211,60,115,212,176,146,120,218,84,108,238,202,156,84,9,232,200,117,20,202,254,160,49,105,198,120,92,43,25,113,
253,194,135,110,0,157,43,42,223,81,174,45,249,65,238,206,147,220,206,182,74,30,131,72,0,124,83,49,245,69,95,35,226,239,138,156,54,128,88,34,34,75,98,227,160,208,174,20,82,178,27,43,181,108,203,201,64,
161,194,59,108,99,214,85,119,204,207,178,63,171,137,95,24,51,147,138,147,108,63,171,96,130,154,99,93,182,162,127,255,163,199,135,37,169,255,162,253,160,161,39,248,123,192,236,229,182,92,129,240,40,99,
120,58,31,255,238,53,108,105,244,44,81,186,160,231,250,152,35,156,187,74,121,242,183,208,245,200,39,178,108,221,81,189,57,126,76,83,97,29,97,98,168,193,20,15,129,143,38,214,67,54,230,69,180,201,145,49,
204,155,1,38,84,5,67,2,102,190,100,193,162,69,164,17,164,146,39,46,79,50,12,201,93,185,56,34,218,238,179,186,97,87,160,24,60,214,166,14,204,158,121,114,221,180,14,157,101,108,30,161,161,49,153,106,111,
230,183,100,6,14,95,11,160,123,120,28,50,53,231,46,85,138,144,49,107,159,235,66,123,71,36,162,88,35,212,18,20,152,4,19,254,114,0,163,221,185,228,41,65,230,132,191,38,109,125,63,99,22,179,106,196,247,63,
244,41,71,60,165,214,255,204,54,179,88,137,217,107,170,128,110,105,216,205,240,108,72,55,91,250,171,121,157,57,17,45,147,59,205,230,168,159,171,215,145,204,88,74,26,171,9,130,81,30,21,198,71,104,77,248,
88,99,22,115,220,113,215,104,217,250,170,24,150,101,15,134,181,192,42,36,65,77,203,141,239,26,156,17,131,10,235,98,174,87,212,190,85,197,99,178,239,1,246,161,211,138,93,85,93,174,173,99,226,49,24,68,197,
154,24,164,127,46,162,72,192,34,178,26,158,118,24,23,162,47,131,87,60,4,117,196,202,170,204,67,63,122,30,114,0,195,238,162,11,247,242,148,74,225,215,173,140,28,30,171,251,89,35,178,240,121,216,240,68,
72,241,181,32,179,205,172,172,241,76,35,21,144,45,13,115,38,223,192,250,207,227,199,153,141,149,78,14,3,157,205,186,222,9,77,88,99,117,229,107,212,86,9,93,76,92,79,165,83,125,49,51,203,46,71,77,41,108,
214,188,140,135,98,224,99,141,105,45,9,250,154,60,193,182,4,8,35,185,19,133,249,203,190,180,32,216,157,12,76,154,2,38,88,66,49,79,210,146,100,146,181,3,90,139,95,25,242,68,6,221,169,93,77,208,44,132,106,
20,97,59,200,56,135,213,227,40,206,73,247,27,101,39,193,119,196,209,230,213,35,83,43,242,48,149,180,254,36,159,48,5,118,193,238,197,93,233,148,49,34,235,216,105,51,236,103,70,43,125,46,93,143,12,75,82,
247,14,153,124,75,58,90,170,17,227,217,223,89,5,202,10,132,211,157,117,251,239,111,68,175,156,253,116,219,155,206,108,157,117,42,240,219,18,48,194,12,116,167,43,123,131,173,18,138,62,104,104,99,84,114,
237,101,243,41,100,38,23,115,104,216,139,137,7,24,238,53,225,105,0,134,4,250,146,199,80,185,0,37,100,129,3,8,204,84,159,6,76,186,74,176,97,99,6,35,183,145,38,126,9,138,79,96,50,115,94,169,141,27,211,172,
175,227,25,161,177,170,52,203,32,179,8,245,107,181,43,230,147,169,189,200,203,250,55,57,179,147,146,50,95,151,173,132,193,133,65,106,211,128,85,207,81,25,12,186,74,77,194,151,35,235,213,161,100,8,251,
89,166,45,137,146,19,32,251,70,248,72,53,76,101,133,154,61,253,65,37,154,137,205,10,44,237,78,125,112,113,31,206,135,244,90,45,155,129,77,251,145,200,12,134,41,141,83,102,179,202,152,195,163,49,237,13,
50,15,207,61,116,5,130,46,13,67,133,220,186,95,32,208,91,3,24,252,32,44,0,202,92,154,41,176,11,159,191,32,116,111,16,41,79,163,38,138,49,130,250,85,65,0,230,108,6,202,156,60,91,169,13,39,55,133,86,108,
141,139,4,43,210,76,93,185,148,210,239,244,230,61,191,114,183,99,107,222,249,88,239,202,33,84,137,42,31,193,90,10,121,113,242,133,221,117,208,41,51,182,102,17,116,253,175,147,133,30,33,52,193,56,197,47,
125,197,52,77,13,149,83,252,26,102,81,202,95,123,191,177,36,98,116,159,57,190,16,100,209,226,126,75,155,109,102,92,160,153,60,170,2,180,153,97,46,233,180,142,179,121,20,135,11,82,42,238,237,223,114,207,
214,190,236,24,142,215,61,170,196,1,163,50,51,149,114,9,227,131,205,57,134,115,138,222,156,195,30,87,4,246,162,148,194,214,62,132,13,184,214,84,61,132,146,48,101,141,200,139,128,179,94,38,98,185,176,114,
51,98,11,161,77,228,210,215,44,157,114,66,128,161,181,101,118,47,205,188,191,111,9,137,50,247,81,208,54,101,188,164,45,153,67,101,106,42,133,161,237,154,97,222,6,78,215,188,110,203,30,198,203,229,88,179,
173,73,141,187,74,185,7,115,216,20,45,240,165,47,229,87,161,164,69,29,204,249,68,143,233,200,243,239,35,70,225,228,63,2,228,142,29,210,153,106,86,129,57,170,128,78,107,158,196,230,192,30,237,42,219,180,
212,138,153,85,201,130,0,216,41,203,37,146,53,70,30,244,101,240,104,106,5,112,123,141,22,198,30,152,8,105,105,240,15,233,206,162,209,85,186,206,52,149,163,62,5,16,209,84,156,180,241,147,50,226,188,183,
223,122,54,202,69,208,33,236,74,0,74,87,10,90,58,116,149,113,150,154,146,65,53,53,176,201,139,155,198,132,187,148,150,132,225,201,105,8,201,54,77,18,86,178,220,176,101,152,149,243,129,152,227,245,31,228,
221,152,74,101,76,132,166,105,2,43,139,41,120,30,113,54,145,94,252,59,69,175,202,146,100,222,85,58,96,186,153,60,171,192,116,21,176,119,2,59,22,190,179,161,19,207,28,0,170,23,191,166,87,148,192,184,250,
208,155,31,201,56,16,170,72,225,170,255,213,72,166,99,80,171,116,46,239,249,170,29,201,6,171,111,132,233,214,168,252,6,169,97,179,190,6,86,140,177,210,230,160,161,48,68,188,179,236,140,100,208,72,32,36,
147,98,52,25,86,149,213,106,104,173,75,142,130,215,248,165,39,194,27,109,5,19,19,244,125,102,60,62,164,215,186,60,142,57,7,19,35,177,196,140,49,125,174,137,224,243,46,55,30,67,166,205,190,20,221,255,15,
130,210,9,91,161,21,161,102,82,211,11,77,237,121,144,238,216,206,171,48,221,9,84,37,218,153,122,86,129,190,2,238,50,205,179,150,229,84,53,247,182,67,126,4,2,236,110,150,253,57,99,60,216,132,51,120,201,
39,124,140,175,91,121,221,174,24,13,239,190,81,55,151,175,35,151,18,41,148,110,138,106,165,130,137,201,47,172,1,21,205,1,171,102,161,64,54,234,10,96,136,36,5,21,71,220,204,162,129,32,197,30,94,162,185,
25,250,62,72,117,163,176,78,211,246,53,202,181,50,215,133,145,60,28,76,213,36,143,223,248,244,166,199,220,172,255,213,120,76,4,115,215,92,136,100,50,175,58,147,80,2,170,130,228,156,33,231,46,136,25,211,
109,185,2,118,203,41,102,93,165,56,163,78,240,249,104,87,30,153,198,229,100,110,128,77,151,185,49,152,81,233,17,164,254,140,64,9,154,158,90,19,252,222,162,211,195,51,239,68,81,211,19,100,238,69,45,148,
94,38,170,15,189,94,132,166,29,155,146,168,109,77,16,158,178,56,170,201,28,201,208,196,250,179,151,218,25,137,187,238,101,156,181,200,110,13,125,57,181,198,221,84,208,106,184,65,101,233,168,11,84,41,22,
10,86,92,135,6,91,70,229,58,27,169,212,48,74,60,69,149,117,118,38,253,255,139,65,136,18,10,143,49,163,231,44,80,38,157,201,179,10,160,2,205,175,72,208,10,205,225,12,228,131,83,249,33,244,46,248,88,138,
7,143,241,174,215,64,108,30,143,115,103,163,101,24,168,34,50,169,13,127,234,136,210,32,32,2,187,87,78,1,138,152,69,16,139,125,102,74,102,226,100,215,202,230,150,40,32,77,108,106,92,33,148,126,165,149,
166,102,161,130,210,184,248,222,42,255,247,217,204,89,227,49,238,216,164,247,88,166,211,76,164,183,26,247,34,81,169,211,114,113,214,46,159,47,198,214,190,220,132,45,28,9,85,233,66,152,217,17,203,190,223,
66,219,46,47,224,25,39,194,158,188,134,18,121,255,124,163,210,169,80,132,84,159,136,14,116,166,154,85,96,108,5,244,88,10,6,241,8,20,227,81,247,166,74,63,68,98,143,100,3,246,14,27,62,164,179,195,129,104,
123,154,220,60,3,171,163,210,10,89,78,245,236,131,82,14,10,72,33,11,134,98,72,5,201,131,239,57,9,233,123,137,39,31,129,127,16,44,20,185,35,46,175,239,194,211,154,149,61,203,206,195,187,186,134,85,163,
203,165,82,101,35,157,49,156,188,208,151,120,163,49,77,141,161,38,212,98,43,121,84,163,130,195,89,27,238,124,124,29,67,218,174,56,95,70,242,34,80,11,91,240,181,8,69,95,60,175,95,156,190,129,69,160,109,
55,28,220,76,158,85,96,124,5,120,130,78,52,199,216,144,221,141,39,9,12,197,81,154,86,124,144,210,177,90,163,173,133,33,33,177,85,134,84,191,228,130,179,88,19,25,142,178,13,160,115,97,150,146,44,152,232,
140,163,141,58,251,170,134,6,44,43,135,220,84,84,76,48,206,51,205,186,44,119,171,141,248,179,164,90,216,206,41,21,214,228,206,166,19,196,147,39,34,36,190,185,34,1,138,97,52,98,0,202,231,225,64,39,151,
153,179,237,93,185,93,152,240,152,225,86,19,246,162,202,32,112,17,98,135,57,147,99,119,34,131,141,9,25,32,28,165,38,184,138,247,178,237,126,166,29,0,169,165,10,108,41,236,179,191,179,10,204,97,5,120,250,
77,77,235,144,152,67,43,46,49,112,81,59,74,197,59,168,116,242,59,180,20,162,194,72,151,137,76,213,117,244,183,37,153,118,144,68,25,217,74,149,44,8,128,9,7,77,96,62,6,83,227,92,73,69,206,171,234,100,10,
95,202,51,198,169,31,27,121,12,185,231,195,202,180,144,225,142,53,1,239,253,104,84,218,169,86,154,148,106,20,147,9,136,138,34,233,151,245,113,111,116,101,60,166,97,146,53,189,101,147,99,232,70,182,76,
173,52,226,212,20,175,2,240,12,80,115,6,168,18,227,65,178,47,186,108,12,85,64,197,69,192,50,198,238,103,61,87,55,36,138,99,7,51,121,86,129,255,237,21,208,35,63,30,210,186,18,73,228,60,177,89,118,243,26,
4,184,86,165,35,104,6,169,6,1,236,75,143,240,134,149,233,82,19,230,25,19,24,227,13,167,118,113,145,129,49,190,74,43,197,48,178,132,41,63,11,209,36,91,49,217,150,101,49,44,53,76,168,114,3,150,186,116,130,
193,44,206,177,158,161,91,57,149,45,8,2,96,19,85,102,184,129,6,151,119,0,218,117,167,104,5,109,158,7,54,97,27,198,46,11,203,96,48,212,100,100,28,154,212,205,189,73,59,161,52,76,210,37,232,239,103,168,
221,176,253,132,1,205,224,179,10,52,42,48,135,135,129,30,249,58,135,237,35,148,18,71,60,164,135,93,203,98,20,241,110,22,234,203,246,242,66,214,100,176,134,88,9,227,205,127,151,220,85,150,36,172,41,77,
196,133,58,18,176,133,113,10,76,151,167,147,172,58,124,237,182,173,16,192,35,240,201,4,90,246,146,51,179,79,129,37,242,2,105,114,201,108,43,141,44,140,10,166,26,94,30,182,206,61,161,137,3,136,86,216,122,
227,93,49,199,199,96,12,45,0,199,224,112,119,170,174,80,90,156,22,27,98,157,118,253,87,126,142,194,85,50,0,178,19,143,73,170,24,104,195,32,49,135,231,245,77,7,168,133,189,236,242,29,27,251,89,115,86,129,
73,43,208,60,121,116,231,33,123,48,7,131,105,2,105,86,25,177,85,152,10,204,201,178,152,103,48,61,216,198,29,102,61,155,88,13,153,168,107,245,88,86,64,187,20,92,98,208,85,194,20,47,66,2,212,99,171,86,175,
48,137,49,56,75,74,213,111,236,96,47,41,170,216,171,175,12,131,50,32,117,44,58,80,218,234,146,141,141,71,122,98,180,233,188,65,45,60,33,35,73,17,198,209,4,27,148,73,223,81,172,42,86,87,101,54,72,213,143,
21,56,235,248,144,206,160,45,59,213,244,141,149,102,225,2,152,193,24,162,25,122,139,89,81,194,198,104,48,208,153,47,205,55,22,220,144,0,140,128,251,231,245,77,159,52,51,58,66,232,255,100,84,129,58,103,
226,172,2,195,21,232,255,249,89,252,151,67,178,72,165,249,166,115,183,99,114,86,40,227,65,167,56,12,85,38,76,98,38,229,120,177,55,231,168,212,139,40,181,89,144,194,150,214,133,176,38,78,17,76,102,162,
97,84,156,102,224,34,158,154,194,236,19,37,204,208,118,73,217,116,12,166,36,105,104,70,218,150,176,73,35,215,24,74,42,237,26,20,104,76,123,108,198,22,199,40,155,186,149,241,26,244,229,2,76,214,153,119,
215,160,80,14,154,12,2,10,202,160,48,199,242,64,161,96,16,107,149,177,117,111,55,230,182,253,249,132,70,149,247,246,214,254,253,198,140,122,214,152,85,224,86,174,128,206,209,222,207,212,71,254,212,134,
99,18,116,201,93,101,206,102,179,203,123,199,183,226,1,156,93,40,168,249,72,47,145,68,237,124,65,217,20,175,2,27,40,140,149,107,34,79,225,101,14,99,16,239,99,8,7,48,35,102,197,154,84,9,182,3,1,172,33,
251,26,152,155,192,76,211,33,174,215,74,109,121,86,232,24,105,47,115,22,251,153,57,223,68,179,238,143,137,102,242,172,2,127,205,10,232,180,158,198,105,121,74,216,77,114,62,108,148,214,61,108,164,215,224,
27,72,224,13,88,24,218,38,26,131,156,195,174,249,201,190,27,67,242,210,73,38,164,190,89,86,204,152,105,115,244,114,33,193,248,238,148,173,244,91,225,215,212,64,168,178,208,136,11,87,169,126,24,105,148,
141,166,73,193,184,104,112,50,210,84,128,221,141,132,177,73,146,77,233,42,117,75,120,145,196,74,193,104,170,108,161,3,109,14,94,161,141,100,21,19,4,10,3,60,229,93,91,190,145,203,156,118,63,179,87,139,
114,19,83,75,51,109,110,89,172,179,198,172,2,107,92,1,158,196,74,166,19,223,237,77,176,252,155,27,85,223,182,82,152,10,19,225,7,192,122,136,41,59,11,229,113,71,7,60,3,171,114,135,207,118,68,64,75,90,177,
231,96,58,140,185,187,85,245,18,59,240,81,177,78,76,73,39,41,98,74,77,236,73,175,227,253,54,216,100,86,248,0,206,52,185,173,87,134,49,197,69,82,239,162,198,169,182,249,179,251,58,105,181,95,5,255,57,38,
237,54,66,62,154,166,116,156,126,163,32,115,184,254,151,30,17,175,38,203,189,38,143,0,163,35,20,200,254,187,102,220,194,230,89,219,231,65,140,27,105,42,187,233,45,227,152,105,102,21,248,31,169,128,30,
39,226,157,155,58,105,89,201,65,42,128,149,115,40,179,95,235,75,15,209,120,88,50,152,99,176,134,130,23,243,104,43,248,10,195,136,187,148,69,48,129,176,83,218,141,144,35,243,228,244,101,87,20,27,7,102,
211,241,72,130,243,198,19,129,21,147,137,172,116,101,171,145,181,2,112,203,213,173,197,108,197,89,139,23,238,45,163,101,252,96,120,98,46,38,76,91,106,56,65,32,1,96,71,218,203,36,26,155,134,97,122,213,
106,80,16,67,246,168,178,203,233,42,53,12,118,103,144,173,231,65,212,204,216,168,126,38,204,42,240,191,164,2,206,20,213,229,6,33,118,171,170,131,249,171,68,223,240,91,30,162,53,176,30,255,121,200,97,151,
50,38,166,153,227,91,173,50,152,14,237,111,132,45,34,234,227,96,88,38,72,16,221,236,4,239,118,25,243,169,155,141,144,6,57,181,92,134,4,77,55,102,3,171,241,91,24,79,99,216,208,249,65,104,117,219,146,154,
136,95,52,85,51,214,75,13,215,233,7,217,154,214,169,115,13,121,198,152,219,255,231,217,59,207,171,22,148,84,214,165,55,46,91,124,135,197,41,204,153,52,171,192,180,21,88,122,243,50,28,132,99,102,42,175,
17,25,158,102,102,136,34,78,93,44,55,9,102,48,131,209,70,146,65,96,0,184,228,57,3,7,47,156,18,91,138,112,200,211,120,100,139,201,13,53,26,100,23,97,121,252,61,164,105,174,149,143,124,19,188,54,178,107,
116,77,224,96,52,84,183,4,199,66,211,239,138,211,8,172,209,229,208,54,85,186,107,10,202,48,183,155,77,226,174,83,51,50,208,114,244,25,89,246,118,230,102,146,155,216,196,195,20,24,24,186,84,38,100,105,
46,52,245,18,109,105,207,176,139,206,61,119,163,93,30,58,111,209,188,121,43,230,205,179,111,192,185,94,102,202,89,5,242,10,96,230,224,103,249,188,139,206,56,183,156,108,57,180,111,213,96,60,51,1,85,24,
4,58,120,214,232,34,195,141,135,148,14,185,134,33,48,211,36,219,191,170,104,106,5,223,252,78,59,223,219,115,3,102,243,210,208,53,25,78,143,23,202,18,93,89,58,123,96,219,86,64,109,134,194,99,35,11,77,223,
96,104,154,21,116,81,97,76,130,186,22,124,30,176,99,24,57,29,134,220,22,64,142,173,164,210,140,148,82,132,54,178,236,173,89,25,90,52,107,182,138,228,128,199,224,141,225,168,251,141,134,247,244,31,157,
14,205,14,15,120,192,226,197,179,171,52,173,231,76,152,172,2,203,150,45,59,231,140,51,78,255,217,233,139,230,173,53,198,178,54,209,195,17,82,46,13,221,129,61,120,240,12,251,45,153,135,109,34,162,88,92,
98,135,183,150,9,152,221,53,204,19,145,149,76,149,208,205,69,96,89,44,211,27,93,150,201,105,179,249,68,134,14,87,84,213,150,212,216,223,126,77,103,18,221,19,40,225,223,70,243,174,140,38,199,220,230,26,
223,91,22,121,10,71,181,196,17,176,203,239,133,151,210,151,222,50,217,82,195,60,237,222,233,144,176,42,227,159,192,209,202,85,236,119,148,76,7,251,252,37,59,238,60,202,134,64,8,119,124,124,100,87,136,
124,244,74,103,243,131,238,174,211,57,11,166,136,174,95,37,71,44,43,229,248,129,204,141,54,173,188,35,104,77,68,19,120,49,150,245,166,203,233,194,253,116,92,232,84,74,55,146,145,78,75,219,145,134,131,
145,150,204,48,225,75,19,97,88,137,255,255,82,254,96,122,231,163,236,178,137,157,4,204,128,62,133,242,24,17,131,156,25,58,182,101,78,145,199,254,101,119,35,92,128,118,176,212,101,96,26,76,219,182,97,40,
12,109,115,245,114,235,10,92,49,120,42,138,118,235,122,255,159,96,199,184,204,77,229,77,233,186,234,53,6,221,117,106,130,153,230,118,33,120,75,175,174,179,118,181,203,51,20,144,24,30,118,196,178,50,247,
120,45,77,99,62,41,70,140,27,200,14,32,225,153,120,212,47,11,99,48,189,207,248,28,170,154,184,73,9,88,49,110,147,3,24,144,77,226,64,199,220,197,133,27,131,241,94,186,112,173,24,54,200,48,53,152,13,33,
79,228,200,216,182,155,46,115,121,105,82,41,133,61,236,29,182,124,104,178,119,176,36,178,56,82,54,78,53,140,0,135,220,218,12,183,249,144,44,9,147,70,189,15,83,98,116,70,128,104,63,86,47,42,180,236,39,
137,36,240,196,114,213,56,203,161,108,135,193,21,51,156,198,176,100,54,120,110,26,91,238,106,240,56,86,181,250,12,213,129,61,26,25,94,202,24,28,215,198,172,104,150,165,3,137,225,97,71,44,43,89,143,143,
105,166,253,204,69,171,153,8,234,76,5,3,152,168,105,66,73,182,84,235,145,142,180,52,13,188,98,228,252,218,220,151,128,119,99,139,38,106,98,202,98,48,26,179,192,106,189,10,43,1,162,49,94,4,95,227,116,193,
98,82,242,67,175,137,107,24,6,236,90,9,134,125,25,152,105,50,146,109,13,204,196,224,52,227,212,52,75,79,201,15,219,49,228,98,232,35,213,23,184,104,214,57,81,53,85,62,121,52,225,200,13,82,135,70,175,249,
202,105,25,105,204,107,127,175,201,16,26,208,164,205,145,108,26,54,243,107,10,162,212,68,70,114,142,132,177,71,200,110,36,6,195,205,204,11,143,126,4,141,220,125,35,188,127,205,104,69,199,228,221,212,114,
48,134,101,92,115,34,158,90,125,74,18,158,165,181,64,212,74,133,26,114,140,190,39,225,66,137,25,29,137,35,29,105,154,221,243,141,115,90,238,118,38,94,213,134,239,2,183,57,209,59,38,109,197,148,231,215,
125,25,205,17,25,189,170,97,84,244,175,188,80,90,76,57,72,106,76,163,165,58,107,142,14,102,200,77,28,176,18,121,194,164,248,158,163,11,192,94,49,228,145,176,183,9,188,112,106,76,209,145,235,212,52,132,
166,201,118,109,185,97,168,190,192,96,96,222,68,13,126,12,172,116,93,51,20,164,233,85,54,103,78,214,170,164,46,235,99,161,144,53,23,220,128,53,108,230,119,82,136,221,134,4,106,135,161,150,111,51,77,203,
51,9,9,143,126,140,212,11,76,251,176,125,22,75,132,13,32,130,153,60,96,16,88,51,145,104,55,252,90,198,32,54,41,18,42,130,61,126,93,250,46,176,100,238,98,230,72,233,5,63,151,235,127,120,190,209,207,100,
238,6,128,75,225,251,18,132,14,195,154,13,188,87,178,224,32,115,173,190,40,184,126,236,27,222,243,154,100,132,118,174,219,65,34,63,121,36,220,65,178,61,30,168,203,17,189,116,28,24,171,26,105,118,48,14,
64,237,76,202,189,222,120,159,138,25,84,66,238,187,208,8,140,96,92,75,239,80,0,202,209,240,213,232,82,115,87,200,12,221,240,96,54,34,66,174,63,86,81,189,220,81,167,234,168,54,225,129,84,140,90,137,192,
38,6,195,93,13,6,67,216,110,194,133,210,26,119,20,143,127,200,100,120,169,167,91,61,175,43,57,53,79,25,116,12,25,115,158,128,26,178,26,120,215,196,5,179,97,7,176,55,159,25,48,74,142,115,201,217,162,242,
130,240,204,25,195,236,38,53,135,27,48,199,224,251,18,68,76,112,204,209,193,156,44,167,251,141,189,150,73,189,41,2,88,99,252,252,115,154,206,115,0,0,64,0,73,68,65,84,112,153,147,157,231,178,14,67,32,81,
147,28,99,82,173,69,226,135,65,84,234,75,116,131,120,129,193,170,129,68,151,27,79,195,164,145,102,105,213,32,55,233,80,162,85,177,228,103,168,235,11,0,209,103,182,24,169,120,56,57,189,157,73,134,47,23,
217,113,99,205,225,105,36,160,55,122,52,141,187,18,48,82,83,43,66,155,63,183,234,195,51,27,146,48,228,72,27,20,123,233,47,125,220,66,229,95,158,4,22,166,133,204,60,166,23,77,211,235,106,160,148,31,102,
142,186,240,202,36,37,70,122,25,195,182,34,183,123,21,47,243,220,5,187,135,128,34,173,161,86,50,78,93,117,49,81,60,83,128,197,164,172,146,161,242,0,206,84,103,43,99,162,185,11,166,237,55,97,184,50,34,
23,37,50,142,146,109,62,19,146,158,57,147,214,74,58,130,33,114,53,49,168,60,152,50,146,176,159,229,90,174,90,144,193,158,3,50,15,110,213,50,4,248,139,135,32,12,64,154,76,165,38,182,43,47,49,155,184,156,
53,165,49,52,9,154,94,37,169,233,171,128,114,84,204,120,196,202,40,131,8,174,163,160,52,132,145,205,197,27,206,137,154,227,9,121,164,122,171,60,200,244,134,68,174,15,241,116,241,51,3,7,105,98,48,99,164,
72,3,83,125,86,171,88,168,212,107,167,61,247,244,11,116,149,57,195,226,8,233,30,110,140,46,92,43,247,94,156,139,52,220,220,212,66,101,134,90,213,102,0,202,147,217,170,118,156,48,198,118,12,102,156,55,
7,213,32,111,116,129,72,122,105,10,245,171,92,219,202,137,96,196,180,113,173,122,101,28,172,112,141,21,199,203,197,79,16,24,115,186,92,162,236,220,25,90,41,8,149,5,208,255,191,215,255,116,125,102,82,229,
202,52,186,2,44,22,52,200,52,72,121,153,186,206,120,247,121,128,176,216,68,137,170,223,98,3,29,251,205,93,135,222,73,126,6,227,153,132,44,97,117,1,74,170,53,147,12,225,216,176,77,161,36,6,26,41,55,40,
170,185,219,223,43,203,24,36,200,164,87,239,165,199,174,43,187,127,82,98,162,243,68,24,53,237,87,174,149,107,235,42,219,156,101,111,87,37,94,2,178,139,149,18,63,94,227,214,95,98,206,187,166,95,154,199,
7,19,144,58,142,19,153,213,7,116,34,26,1,231,137,103,4,105,52,221,56,187,48,18,38,51,237,26,174,85,239,117,206,198,215,204,73,55,157,86,144,101,216,88,113,233,166,145,16,150,12,208,151,74,144,65,169,49,
184,0,113,216,232,10,0,46,29,13,183,50,11,9,254,170,102,128,48,15,140,13,101,187,237,205,217,111,0,133,97,26,251,121,106,64,107,63,217,32,209,125,234,246,58,37,185,53,18,211,174,90,21,216,47,98,83,124,
22,167,201,89,250,168,232,25,120,242,134,198,230,154,186,33,181,77,192,99,173,40,133,190,164,121,252,32,180,38,18,141,26,230,248,62,84,237,53,161,71,112,207,57,4,51,214,104,138,33,165,25,230,153,137,48,
246,102,43,69,9,43,201,93,77,100,235,59,197,151,241,200,134,6,207,93,214,138,211,143,149,105,225,185,111,205,228,44,18,14,3,197,28,58,187,175,121,158,32,113,161,32,191,230,112,171,185,48,250,44,11,211,
199,77,114,196,106,62,63,134,126,12,155,27,167,53,44,221,117,159,124,141,231,219,246,221,74,107,158,133,232,52,220,58,131,164,193,83,235,114,169,216,37,12,13,134,155,66,91,35,31,89,82,118,87,202,92,112,
254,135,0,255,35,235,127,186,62,43,3,133,70,75,51,178,34,156,27,19,150,230,165,134,241,44,215,144,53,61,219,186,241,136,161,166,198,248,49,156,211,227,187,163,168,61,204,137,92,15,57,90,70,37,102,19,164,
105,38,6,50,76,202,52,166,118,47,17,140,97,115,11,8,164,129,49,191,207,163,75,69,215,109,205,53,217,146,168,146,5,3,45,27,247,121,242,120,60,167,63,222,202,243,57,164,107,84,0,166,101,17,128,47,149,131,
78,202,167,74,106,38,18,15,185,112,211,119,15,162,26,37,235,11,195,81,179,145,25,106,242,184,56,29,119,88,139,237,109,97,74,191,230,174,212,23,169,149,144,94,227,134,106,208,107,136,105,4,51,134,89,205,
27,96,238,226,227,133,19,97,140,232,75,13,227,89,174,33,93,253,192,126,102,109,138,89,206,142,33,7,124,237,200,156,106,114,24,254,73,155,54,126,178,111,133,42,176,57,9,152,171,209,17,234,20,129,147,62,
188,2,131,46,119,102,56,120,202,200,44,112,236,136,81,124,14,101,76,24,38,114,163,128,61,152,131,47,237,163,38,189,139,22,53,121,120,206,250,34,192,225,0,34,225,148,175,110,252,113,232,197,123,30,106,
238,199,53,7,36,50,228,232,188,197,182,205,111,198,97,179,190,32,224,103,115,70,176,92,134,225,90,21,48,119,250,49,49,100,68,226,140,142,203,111,44,131,109,161,154,72,193,94,40,248,214,72,229,252,101,
228,101,202,37,6,28,109,23,126,77,114,215,19,183,56,89,49,166,148,29,54,194,187,119,116,28,147,138,202,86,64,152,235,222,3,158,188,103,172,117,171,12,182,102,141,129,253,204,144,203,144,219,36,115,80,
57,45,184,223,218,254,143,38,207,161,242,245,131,156,197,218,80,53,141,90,204,0,240,152,117,48,118,33,4,37,45,48,73,25,201,179,203,56,117,221,185,40,57,51,102,102,224,120,34,9,155,39,191,177,119,210,87,
102,107,216,142,119,52,30,217,112,55,190,107,13,227,175,153,247,89,196,177,112,227,49,182,35,19,167,245,180,122,18,160,238,74,78,227,84,144,37,172,212,4,164,73,103,104,118,105,24,44,244,204,76,229,241,
176,73,41,115,22,126,168,185,77,137,161,50,38,104,9,75,125,81,26,131,137,216,105,94,189,192,236,64,183,99,112,138,195,213,214,160,166,45,251,120,239,234,74,5,107,235,6,6,244,228,177,137,139,234,126,230,
149,53,152,216,128,132,134,254,14,2,8,235,95,133,140,241,194,36,115,34,151,119,98,106,21,64,177,107,30,53,247,206,54,193,84,47,134,37,51,105,122,81,227,17,91,5,160,105,52,26,76,196,84,253,10,50,11,166,
54,159,250,64,19,149,137,92,73,84,232,195,104,19,246,160,240,178,134,103,142,196,180,70,162,141,127,66,50,49,143,149,15,198,76,200,43,75,73,28,144,101,185,134,142,100,230,87,78,13,192,244,170,94,145,70,
48,120,211,107,154,38,29,182,45,29,113,47,243,68,100,154,90,53,100,111,101,74,212,213,199,49,233,96,213,179,64,141,32,150,215,97,80,76,69,136,145,167,238,54,137,224,219,152,196,21,165,73,241,209,46,189,
50,67,140,57,85,91,113,12,83,165,10,209,80,21,189,208,182,2,104,16,192,140,102,70,105,215,68,36,106,5,33,223,207,104,234,216,153,17,231,1,108,52,213,81,94,137,83,118,221,99,190,125,212,22,91,108,177,122,
245,234,191,252,229,47,231,95,240,155,127,249,151,247,94,240,155,223,104,76,99,56,31,252,224,7,157,125,246,175,110,188,241,70,181,18,161,53,129,52,12,74,100,140,47,227,98,100,51,49,171,223,62,196,48,177,
164,87,203,104,56,117,39,235,45,186,43,199,68,24,209,165,38,246,76,240,90,206,167,140,214,4,175,155,144,235,161,43,108,73,168,88,189,2,230,4,51,119,29,180,86,22,229,81,161,180,213,46,71,208,92,104,2,56,
176,49,42,165,138,224,218,193,34,17,214,50,234,244,118,161,105,37,85,248,237,253,23,31,65,139,113,77,182,184,168,85,77,104,196,214,232,50,108,138,212,178,168,160,72,197,64,99,102,20,119,41,190,132,113,
23,203,189,185,91,201,161,137,193,174,37,102,19,57,3,224,212,52,57,140,81,178,27,164,88,14,133,170,252,147,197,64,30,107,83,26,204,154,245,40,114,226,28,115,213,53,138,83,211,203,5,4,150,125,191,190,6,
154,195,66,203,117,99,240,99,48,160,250,246,55,143,250,217,207,126,254,185,35,63,127,183,173,182,250,251,191,127,197,133,23,94,244,170,87,191,174,244,88,115,186,246,218,107,31,255,195,239,237,191,255,
243,97,232,90,5,101,49,222,26,170,27,100,149,167,221,193,67,85,65,142,58,26,153,167,136,188,66,60,103,106,173,12,24,81,28,110,138,70,60,25,125,233,126,46,11,91,178,15,105,220,240,56,36,6,176,126,136,184,
235,199,0,209,184,48,149,107,222,243,243,176,186,184,182,146,60,10,176,230,119,226,116,218,126,43,189,53,239,21,184,85,87,131,28,83,165,162,20,194,94,11,169,244,197,72,244,114,83,3,45,173,180,107,206,
132,49,201,194,89,151,175,27,100,35,146,53,143,191,225,209,37,55,248,49,152,70,252,101,151,75,216,195,42,149,204,174,207,90,246,236,45,114,217,61,28,152,98,230,121,156,171,175,190,230,234,243,207,191,
0,191,75,150,220,119,191,199,239,43,152,253,246,123,220,75,94,124,224,198,27,111,116,234,169,63,126,251,59,222,117,221,117,215,99,235,122,219,91,223,130,171,177,85,171,86,30,127,252,73,31,248,224,161,
171,86,173,250,247,143,30,186,193,6,235,127,236,99,255,177,124,249,242,125,30,247,68,92,231,113,104,70,86,239,42,24,128,52,199,12,76,105,104,246,170,18,0,77,242,107,226,164,66,129,71,96,8,35,225,59,58,
13,140,245,170,116,61,102,78,107,8,210,7,102,138,45,141,105,126,80,113,0,100,61,177,56,24,124,131,209,196,48,72,85,3,184,122,67,206,97,232,0,137,178,129,52,86,210,236,254,53,23,30,1,175,78,84,159,176,
192,167,161,1,47,205,31,118,218,146,133,176,52,44,28,101,36,17,239,7,153,65,167,105,76,118,16,229,30,198,135,100,144,166,25,88,185,8,49,229,220,91,142,177,125,118,68,220,57,6,16,219,233,29,11,40,245,166,
69,136,173,11,38,13,119,45,30,230,154,11,217,41,139,75,27,107,149,34,84,88,17,170,203,201,197,113,1,202,87,19,106,211,38,219,207,106,198,189,62,166,97,142,37,55,56,86,42,173,134,126,183,187,221,109,143,
221,119,223,234,110,91,238,179,247,99,142,60,242,139,0,108,186,233,166,239,120,251,33,31,252,208,191,157,125,246,57,255,120,240,155,158,250,148,39,127,226,147,135,221,114,203,45,231,156,115,238,23,191,
244,149,181,215,94,244,129,247,255,235,47,127,249,203,111,125,251,216,99,142,249,206,206,59,239,244,161,15,125,248,178,203,175,88,69,31,119,83,47,83,8,26,152,111,171,137,107,119,55,108,3,86,10,238,4,51,
0,233,33,195,238,102,145,148,171,36,44,53,32,179,202,50,60,128,138,137,149,135,147,181,76,108,210,39,94,172,175,204,110,154,198,4,132,110,94,240,25,83,83,170,246,100,155,38,202,220,166,119,100,226,137,
97,228,216,212,210,240,86,206,171,238,100,130,118,227,55,107,95,226,237,36,37,79,11,241,80,60,50,202,201,48,50,186,163,31,59,139,201,166,29,165,96,234,35,128,161,168,202,120,122,59,90,236,81,31,11,115,
125,105,72,67,78,21,168,2,23,193,250,138,32,198,68,221,192,171,67,69,145,247,31,15,200,163,237,38,67,182,237,57,36,133,91,119,10,141,49,44,152,234,10,141,220,9,184,183,82,143,237,120,20,86,119,54,208,
83,99,112,246,51,9,165,52,168,29,15,188,52,107,20,108,14,66,110,2,243,176,135,62,100,199,37,75,238,120,199,141,127,247,187,75,79,62,229,84,104,30,241,136,93,47,191,252,138,239,127,255,56,200,39,157,116,
202,94,123,237,129,253,12,242,167,63,243,185,181,214,90,235,174,91,108,129,139,185,191,249,155,135,125,253,168,111,252,250,188,243,161,255,213,57,231,182,238,55,2,209,252,41,203,109,34,100,235,114,30,
55,192,108,200,178,49,81,78,209,155,94,49,44,131,100,66,146,179,217,47,122,151,144,76,50,113,34,112,102,57,166,161,135,129,128,243,131,161,65,160,37,50,24,19,237,232,42,25,154,81,205,156,60,171,179,9,
163,70,151,51,88,148,144,140,164,178,198,93,91,171,52,72,82,3,212,244,236,78,178,104,35,53,18,54,108,155,48,210,200,109,67,245,165,187,94,121,125,99,8,157,38,77,197,182,59,177,181,24,51,177,1,34,66,199,
157,168,74,140,242,116,93,198,11,42,223,158,66,126,108,85,247,249,85,102,25,12,146,232,106,106,194,0,159,212,188,212,79,177,254,55,162,91,195,174,238,255,197,132,96,211,177,90,70,44,62,68,239,21,183,183,
109,25,234,152,117,92,71,28,241,133,67,15,253,240,250,27,172,127,208,235,95,251,169,79,254,247,174,15,223,227,161,15,121,240,166,155,110,114,228,17,159,238,125,225,13,139,181,230,111,178,201,38,184,86,
123,192,253,239,119,229,149,127,188,243,157,239,140,59,144,210,219,248,171,225,213,130,233,249,117,250,87,184,148,71,251,219,132,10,27,41,140,97,27,131,177,238,242,58,219,94,26,229,212,229,154,120,200,
177,53,49,132,145,74,204,199,39,85,69,230,252,238,39,153,224,107,108,180,169,16,233,141,110,210,245,162,27,12,187,112,1,48,174,233,75,23,211,105,122,126,169,73,44,245,116,84,156,142,97,112,178,200,71,
1,248,236,238,211,154,69,98,188,151,77,141,199,126,2,186,95,142,211,106,214,221,236,237,175,143,205,65,15,146,50,101,101,102,167,46,76,247,84,69,178,173,107,2,100,169,135,14,122,108,34,38,60,161,101,78,
117,164,130,178,65,104,35,213,132,151,122,247,226,190,198,35,122,245,152,8,227,77,212,150,97,49,91,130,121,62,73,60,230,222,73,141,153,98,232,197,133,11,22,174,5,177,44,165,67,209,197,148,205,90,229,203,
35,83,181,10,249,216,99,173,9,187,253,141,55,222,132,75,177,39,63,249,137,247,186,215,61,111,184,241,198,43,174,184,114,159,125,246,83,19,8,207,125,206,179,182,223,110,187,189,247,222,15,143,50,30,118,
216,199,113,200,112,175,43,107,209,107,213,113,242,242,136,2,204,29,3,1,15,229,155,40,107,36,227,25,18,87,58,24,106,89,104,157,125,0,130,41,252,170,9,249,241,87,97,247,68,140,173,68,118,9,165,203,143,
170,164,208,162,21,209,2,107,248,93,78,87,89,250,97,77,109,194,0,83,99,171,233,153,118,110,100,45,72,141,174,251,56,246,248,120,56,89,181,82,161,230,132,245,102,20,184,11,114,160,226,152,189,113,52,38,
211,52,217,5,236,59,47,38,139,254,102,175,65,70,103,97,53,171,197,38,38,30,39,170,199,5,140,100,233,240,84,141,10,26,149,10,218,37,66,185,49,27,0,154,174,211,26,97,105,46,26,38,233,54,251,160,254,235,
174,255,125,104,38,242,180,188,244,253,222,75,109,176,34,118,225,202,21,163,63,169,223,224,170,76,151,232,5,243,91,69,8,171,55,222,104,227,237,182,221,22,79,237,31,120,224,11,176,171,93,114,201,239,126,
248,195,19,158,252,164,39,60,247,121,207,249,234,215,142,90,111,221,117,183,220,106,203,51,206,56,115,179,205,55,187,234,170,171,86,205,91,253,176,93,31,118,255,251,223,239,132,19,79,194,96,92,122,233,
165,120,42,100,231,93,118,194,67,37,127,249,203,13,144,153,186,148,77,213,74,128,209,208,120,167,179,60,131,169,53,75,95,181,195,94,144,228,171,70,233,235,213,208,120,212,166,2,48,101,233,73,4,231,36,
206,153,70,149,129,214,92,212,139,27,92,187,87,3,83,219,18,175,142,20,163,2,192,37,94,123,215,68,152,115,218,50,83,19,94,233,177,110,210,79,69,93,128,148,74,7,183,100,83,76,41,76,4,46,205,161,25,100,224,
65,236,193,181,85,162,50,223,92,191,172,100,23,237,144,12,50,3,155,168,98,48,98,226,166,233,42,57,48,43,27,23,182,59,182,163,235,216,182,175,147,249,173,56,229,11,146,49,155,104,10,162,17,94,197,151,218,
230,235,191,170,51,161,28,163,172,123,92,99,254,142,247,223,69,239,65,195,164,220,168,219,60,92,226,250,209,152,205,254,99,190,125,244,22,91,220,5,180,87,95,125,53,222,60,195,6,118,250,105,103,160,249,
162,23,29,112,224,1,47,88,111,189,117,241,200,226,225,135,127,230,131,31,250,240,78,59,61,0,15,137,220,229,46,155,227,221,178,211,79,63,99,171,45,183,148,39,251,255,225,77,111,120,202,83,158,184,96,193,
130,71,236,182,23,62,196,214,142,208,244,54,130,20,36,103,100,108,221,230,32,161,107,165,202,73,221,169,161,10,101,0,13,78,1,51,96,172,185,153,178,141,201,173,145,137,96,12,161,28,111,107,168,254,10,205,
50,90,227,180,22,124,105,232,34,75,152,240,187,96,117,205,86,227,145,48,111,131,133,159,201,213,99,197,176,156,45,176,224,233,148,93,150,229,1,184,182,214,92,3,96,193,141,144,1,28,109,3,76,176,81,193,
52,168,216,59,100,98,54,61,161,147,87,216,178,59,106,178,50,70,229,4,175,121,180,227,183,7,142,238,175,176,254,151,213,88,211,196,169,70,243,151,44,217,41,53,155,163,146,96,36,113,112,195,97,105,197,43,
142,112,215,100,163,141,54,186,225,47,127,193,147,141,234,100,253,245,215,239,63,58,77,86,235,174,27,182,189,101,203,150,41,108,98,65,131,41,45,201,81,217,249,191,69,35,241,79,21,42,143,90,153,206,240,
56,194,6,222,107,174,77,97,107,176,210,113,169,49,84,6,224,49,75,106,163,82,48,108,93,83,43,195,7,57,122,244,56,175,49,171,161,178,38,36,103,145,199,172,86,9,172,246,36,40,12,186,241,72,6,43,67,105,174,
93,228,176,238,69,115,201,19,81,91,101,235,29,41,94,17,70,168,240,48,74,57,89,201,50,39,213,0,59,183,34,152,165,136,164,65,197,118,144,57,0,211,85,54,153,54,51,108,212,42,198,198,182,202,44,36,166,43,
99,86,40,132,17,94,24,222,150,217,105,213,163,82,168,235,152,142,246,100,130,194,50,237,192,73,131,96,251,207,83,75,88,195,1,25,7,166,89,139,67,97,154,134,65,170,94,145,174,48,157,149,75,213,60,105,114,
234,32,174,71,198,41,30,77,180,80,78,100,94,9,91,212,60,141,106,64,39,11,134,150,225,105,111,140,179,237,165,198,223,182,130,147,154,161,250,87,161,77,101,120,92,176,193,100,7,115,76,19,238,92,91,9,35,
99,48,69,43,24,50,112,111,111,55,126,246,229,224,53,249,78,96,112,222,19,90,131,230,165,201,72,205,214,91,223,13,119,62,174,186,234,106,131,151,120,74,191,141,56,205,153,1,8,245,228,0,114,73,101,60,114,
179,225,133,97,144,113,190,139,175,107,56,247,220,95,67,198,141,156,237,182,189,23,254,158,119,254,5,114,162,188,205,214,91,223,225,14,183,191,232,146,139,249,17,179,106,36,102,208,217,19,77,0,86,183,
229,178,182,235,175,191,30,62,194,180,106,245,170,203,46,187,252,198,27,112,195,169,191,189,172,55,147,75,194,106,180,37,52,215,104,13,153,161,54,172,108,138,231,204,183,219,110,219,139,46,186,88,174,
34,164,134,23,94,116,81,170,225,234,213,146,200,202,149,171,46,191,252,178,235,175,47,238,156,105,185,76,73,85,207,254,74,121,132,213,130,205,54,223,2,87,69,98,11,129,127,70,60,126,145,249,196,21,46,234,
210,250,237,216,3,45,60,242,111,70,19,22,23,255,39,39,119,195,51,182,46,166,247,134,48,112,96,161,70,252,139,62,239,161,19,73,45,235,50,197,229,20,186,122,58,213,208,244,25,60,137,172,217,169,81,152,148,
8,216,253,85,144,39,56,225,201,194,19,39,67,48,114,105,85,233,209,246,86,82,216,26,67,205,80,245,90,91,30,26,81,170,119,8,230,39,118,161,204,210,195,71,172,104,56,235,124,52,235,201,146,23,54,199,88,56,
12,4,78,30,243,217,156,13,89,137,143,147,191,39,143,73,249,99,81,152,67,161,147,36,119,59,208,210,92,22,46,92,184,219,35,30,190,211,3,238,143,55,167,255,248,199,63,246,30,204,136,160,194,208,196,58,7,
167,36,115,80,72,214,140,97,96,226,95,160,149,156,45,69,54,180,108,152,203,28,192,230,155,109,246,232,71,237,117,247,109,182,57,227,204,95,128,102,143,71,238,190,201,166,155,172,189,206,218,247,217,97,
135,243,47,184,224,222,247,222,30,31,96,197,110,253,176,135,62,244,215,191,254,245,138,21,221,35,35,96,171,252,200,160,135,78,4,99,126,77,17,226,216,105,173,181,170,194,237,214,22,27,237,211,159,246,212,
107,175,185,22,207,13,64,254,243,159,175,70,201,228,39,43,84,158,111,37,216,170,90,103,133,34,52,72,45,29,107,130,146,106,178,193,6,27,236,253,216,71,111,191,253,118,191,253,205,133,75,151,46,133,176,
203,206,59,93,255,151,235,241,25,170,243,206,59,111,229,202,240,78,220,194,181,23,61,253,233,79,189,246,186,235,214,91,127,61,100,122,245,181,215,4,167,252,219,57,8,180,166,140,26,83,39,104,168,38,158,
140,202,28,125,145,161,248,127,158,102,110,193,241,232,159,145,151,243,8,171,70,41,11,80,185,12,213,240,208,43,219,68,182,209,42,69,34,65,241,153,99,233,52,90,73,79,178,53,200,137,34,49,182,237,230,68,
149,201,150,137,98,28,93,42,73,208,116,229,89,167,0,13,44,117,96,80,22,132,135,102,29,64,126,252,179,9,203,98,206,26,145,29,194,18,228,250,141,176,42,131,153,246,17,111,94,251,247,210,77,49,27,182,245,
111,86,52,204,218,52,17,214,138,175,120,17,196,170,13,54,204,134,65,155,88,82,47,191,226,10,243,152,149,55,34,97,254,43,103,47,184,165,48,229,82,79,81,240,200,251,62,229,143,88,255,213,36,142,119,40,142,
59,254,132,199,237,187,55,244,248,185,199,61,239,241,185,207,29,137,247,44,240,245,67,235,173,187,222,61,239,113,15,188,25,143,207,179,226,59,28,112,85,4,33,144,186,145,67,31,71,208,184,136,113,244,139,
128,196,217,138,182,227,95,176,214,90,151,95,126,57,190,237,40,184,139,30,215,93,188,120,173,5,11,126,121,246,175,244,77,150,123,222,243,30,247,217,225,222,56,19,56,253,140,51,112,197,134,56,177,121,224,
211,186,103,158,121,214,47,127,121,118,116,109,95,43,17,246,176,86,108,204,20,163,234,117,113,236,214,91,111,189,159,252,244,103,187,239,246,8,209,227,137,244,211,207,56,19,165,187,211,157,238,164,53,
92,188,246,58,184,160,249,229,47,126,153,37,114,159,29,86,173,90,125,218,105,167,225,235,47,66,34,187,236,180,201,38,119,252,197,47,206,66,190,236,86,228,225,50,22,54,154,181,216,218,207,159,153,185,53,
182,10,157,27,99,107,92,43,149,10,6,16,6,56,150,79,186,52,86,139,140,109,80,85,217,34,102,12,9,176,141,71,125,152,33,185,51,3,31,221,101,175,121,58,220,165,156,137,144,187,93,153,61,214,153,213,148,135,
131,189,168,107,69,106,175,10,218,5,193,85,50,64,228,146,182,196,132,241,117,179,96,37,60,226,41,106,253,41,50,53,142,70,134,167,124,174,192,181,50,0,195,15,239,170,137,145,84,207,108,218,84,166,215,109,
170,47,237,141,78,157,113,41,193,176,82,188,10,46,76,249,111,190,249,230,95,255,250,60,124,220,83,53,16,218,38,138,116,203,232,218,106,48,106,187,38,130,113,113,193,5,191,193,141,47,92,7,224,12,123,157,
197,139,49,229,110,188,225,6,240,95,127,253,245,27,172,143,149,121,61,8,161,121,221,245,216,249,196,175,68,174,103,218,122,94,171,204,42,76,23,167,240,223,178,98,249,121,23,92,176,217,93,54,67,250,90,
171,27,151,222,132,111,65,122,214,179,158,126,214,47,126,137,101,30,87,102,248,48,238,231,191,240,165,219,223,254,246,127,243,55,15,61,234,247,223,120,208,3,119,190,224,130,223,30,115,236,119,112,170,
49,81,221,156,152,243,3,45,229,18,143,50,141,74,186,148,65,174,212,113,114,32,122,183,134,72,228,220,95,255,250,217,207,121,38,118,43,236,187,33,145,135,61,228,11,95,252,242,237,111,127,187,191,121,216,
67,191,254,245,111,60,232,65,187,96,104,240,5,79,72,68,153,83,12,136,45,242,139,114,48,89,144,24,158,133,156,64,217,157,173,62,112,146,251,75,161,116,146,161,54,189,150,170,96,67,36,61,67,44,122,90,215,
154,126,173,163,188,157,69,21,153,219,137,228,4,254,193,204,117,51,120,109,102,174,85,219,9,141,174,28,72,103,142,92,132,17,137,152,98,42,109,168,42,83,117,29,229,212,153,32,66,202,72,121,92,243,174,55,
173,254,130,49,74,141,115,164,0,115,215,215,72,115,129,53,24,52,35,37,44,53,13,115,181,154,76,208,241,53,102,241,114,193,168,67,211,152,196,33,246,99,51,96,161,139,38,14,249,56,149,239,139,108,203,210,
81,167,35,50,190,69,46,233,20,241,227,32,197,22,130,255,59,189,104,157,181,87,172,88,177,206,226,117,86,172,92,137,109,108,237,69,139,80,46,124,61,44,148,226,85,200,27,39,181,38,56,14,204,116,53,154,226,
5,15,175,35,94,78,7,223,207,254,219,223,94,184,219,35,118,221,96,195,13,206,63,239,2,196,185,207,222,143,5,15,222,192,193,209,178,249,102,155,127,255,123,199,97,111,94,33,95,239,167,105,242,32,170,178,
225,62,222,56,169,65,16,18,71,21,96,236,130,204,112,66,128,234,65,129,187,184,43,174,77,53,252,233,79,127,254,155,223,116,137,172,191,126,72,100,157,117,246,126,236,99,0,11,111,68,205,155,119,151,205,
55,255,1,190,1,106,245,234,149,82,246,60,230,57,89,255,195,125,33,253,41,7,9,62,248,183,27,7,58,119,86,203,17,2,243,136,108,140,180,148,125,47,178,213,223,48,254,241,215,152,149,77,69,178,208,193,52,6,
53,66,202,250,171,202,32,176,45,203,17,36,99,239,254,141,144,238,157,12,226,247,29,41,90,5,118,7,185,43,66,136,156,169,226,184,168,17,247,170,242,212,83,78,120,225,1,207,215,172,95,127,208,107,143,62,
250,171,150,170,59,41,45,19,9,36,49,146,29,238,189,253,89,191,248,249,189,183,223,78,53,223,56,250,171,175,127,221,171,213,145,10,202,163,26,21,182,218,106,43,220,234,97,128,196,172,128,145,130,50,244,
2,14,242,24,231,72,6,11,83,115,35,116,56,117,103,173,168,215,237,98,37,143,142,145,25,166,178,14,153,17,20,144,9,18,182,30,44,56,139,238,238,247,6,140,201,72,155,58,169,226,68,170,154,100,158,110,197,
134,214,185,38,100,190,53,145,78,144,42,101,128,174,1,42,124,197,43,190,93,232,78,155,110,186,225,250,27,44,90,180,246,95,110,184,225,143,127,250,227,102,119,217,28,59,220,166,119,218,228,154,107,138,
247,120,248,40,171,203,165,47,104,106,145,99,43,146,223,48,28,197,15,54,6,92,175,224,195,75,231,156,251,107,60,198,114,213,213,87,47,95,190,226,59,223,253,238,209,223,252,230,215,143,254,38,182,130,63,
95,125,213,157,54,187,51,114,196,27,84,105,152,186,205,73,18,15,202,188,32,174,163,194,179,85,96,102,26,149,242,139,208,245,134,20,174,188,242,74,92,193,227,77,50,124,133,19,34,23,43,55,145,99,143,253,
206,81,71,125,227,107,95,63,186,145,136,152,163,122,34,244,190,104,62,103,217,9,168,242,183,120,255,44,199,169,15,245,4,193,40,161,145,66,148,250,96,21,135,112,204,71,234,2,62,242,131,51,17,34,183,182,
151,206,80,254,132,209,45,126,132,42,17,14,69,165,36,58,196,177,218,5,245,228,138,44,181,194,92,93,115,79,138,156,181,36,7,64,76,138,212,221,76,208,208,157,163,41,96,107,195,167,145,204,95,43,148,20,77,
253,54,153,48,32,221,160,176,175,182,252,178,151,189,232,210,223,253,30,55,28,4,214,7,60,33,73,233,66,131,68,87,173,8,153,85,225,145,25,24,105,106,142,37,105,210,148,149,205,80,245,122,140,87,17,140,154,
168,144,217,122,67,12,18,25,65,53,129,16,53,118,133,98,76,207,108,56,187,144,230,47,232,206,243,244,150,9,155,141,148,13,109,103,229,222,27,168,242,121,12,1,204,27,182,208,234,12,87,174,96,219,31,17,103,
157,117,54,30,15,65,207,79,127,242,211,91,110,190,229,252,243,127,243,248,199,239,187,195,246,219,95,118,217,101,191,191,244,247,193,130,70,33,214,173,39,202,138,223,235,38,126,225,9,86,18,226,141,177,
71,238,190,27,46,141,240,182,211,73,39,158,140,75,198,159,253,244,103,143,219,119,159,149,171,86,93,119,237,181,199,29,119,252,105,63,59,13,255,99,100,215,240,228,197,249,167,157,118,122,136,87,87,165,
24,11,187,16,93,233,8,122,87,25,57,156,87,139,71,161,186,165,0,247,63,81,195,251,220,103,135,203,254,112,217,31,254,112,153,196,227,38,242,248,199,237,139,167,69,174,187,238,186,227,126,120,194,105,63,
63,253,193,15,122,32,39,226,184,140,65,130,51,121,151,57,25,207,188,93,43,81,102,255,255,172,129,179,93,245,169,102,144,90,122,13,78,53,6,105,154,192,27,164,50,24,228,20,77,101,30,201,217,194,155,82,208,
177,81,11,76,217,106,0,232,71,6,198,12,37,237,41,39,29,255,223,31,251,196,97,135,125,90,96,175,127,221,107,240,189,207,251,61,225,41,104,254,253,43,95,190,215,94,123,226,253,3,188,55,251,214,183,189,3,
15,221,150,255,175,71,201,119,216,225,222,159,63,242,51,207,120,230,254,242,0,52,244,223,248,198,87,79,56,254,164,247,189,255,131,144,113,236,189,228,37,7,226,205,222,179,207,62,251,237,111,127,247,239,
46,189,52,241,111,16,248,223,246,246,119,62,227,233,79,123,217,75,95,124,211,77,55,225,185,178,119,191,231,189,39,158,120,178,144,79,145,166,24,214,254,150,69,176,46,38,31,47,241,5,230,1,42,19,83,62,19,
36,48,102,112,8,13,67,209,44,179,19,72,216,107,7,127,242,120,20,238,114,114,156,138,12,130,169,158,244,121,204,46,109,70,69,13,215,93,141,193,5,19,89,16,217,22,120,236,128,248,225,135,92,22,46,90,40,79,
229,1,60,134,208,240,75,147,189,48,96,44,33,21,19,151,104,216,192,152,100,209,162,69,43,86,166,91,121,104,46,95,190,156,1,255,147,114,23,121,136,185,123,178,49,69,130,91,3,185,18,37,146,200,181,38,184,
69,57,38,145,48,106,249,182,173,12,201,93,33,57,223,175,95,96,28,69,121,58,32,160,224,146,6,9,202,246,101,89,59,68,167,55,39,119,34,83,149,119,140,105,167,195,172,125,81,144,106,238,112,239,123,203,183,
36,223,124,243,45,151,93,126,217,225,135,127,246,107,95,63,42,51,55,142,16,97,212,152,241,136,196,243,182,218,106,203,117,214,94,71,254,43,119,70,37,136,70,142,145,89,169,88,232,169,212,188,14,126,192,
3,238,127,192,1,47,248,187,87,190,26,39,131,120,136,25,155,25,118,163,242,255,245,48,57,228,93,119,125,216,54,219,108,13,1,63,235,175,23,222,72,71,130,247,219,113,201,187,222,245,54,252,223,131,83,127,
244,163,23,62,255,121,31,253,232,161,79,122,202,211,119,220,113,9,248,95,249,247,175,193,196,5,255,181,215,92,119,252,241,39,62,235,153,79,199,54,118,212,209,223,188,240,194,139,156,172,59,218,126,242,
228,145,195,75,21,47,86,244,87,144,56,132,182,219,110,91,81,195,29,246,81,36,184,229,86,119,197,119,132,226,1,51,57,76,48,85,183,188,235,93,111,184,225,134,171,175,190,6,200,187,222,245,174,75,111,186,
9,119,123,136,44,19,203,24,214,94,188,142,241,130,243,3,60,156,118,211,141,55,97,112,129,239,155,55,221,132,171,82,53,199,127,248,131,254,210,75,127,15,13,190,61,96,195,13,214,199,127,153,232,61,229,137,
103,238,187,134,146,152,174,218,241,104,96,104,150,12,189,70,167,141,177,161,144,186,249,236,95,240,85,105,13,219,36,205,146,115,188,181,73,10,207,38,164,123,19,93,70,43,150,119,91,5,169,3,57,37,219,240,
85,59,174,213,196,5,148,233,96,212,84,137,155,230,106,30,2,89,107,190,110,102,162,207,246,0,13,123,92,192,204,60,39,178,204,55,196,108,38,30,210,233,223,27,139,110,176,254,227,154,56,182,194,43,39,162,
233,51,64,101,167,87,19,87,80,46,44,228,210,59,246,57,186,221,18,243,50,195,204,10,19,139,159,94,211,190,113,3,99,200,213,90,132,44,126,205,60,103,230,124,97,149,153,228,116,210,37,7,194,27,223,116,240,
117,215,94,183,223,19,30,247,15,111,58,232,7,199,29,39,31,21,236,243,205,79,34,48,21,149,83,5,33,86,215,47,123,201,139,113,17,35,251,25,148,22,230,221,47,117,18,204,163,213,150,150,200,208,6,64,183,22,
193,35,78,84,241,233,72,124,10,231,19,159,56,236,199,63,254,41,122,220,255,215,163,1,227,220,22,152,3,94,248,130,149,241,132,17,159,71,129,6,46,246,221,119,159,107,175,189,246,159,15,121,27,154,120,167,
253,63,255,227,35,247,191,223,142,120,3,0,252,248,186,50,229,199,173,146,91,110,89,142,135,143,229,134,9,192,225,71,199,72,154,248,155,15,150,168,157,68,20,15,161,36,153,55,239,118,27,110,128,127,203,
112,206,57,231,116,148,248,210,153,59,236,179,207,99,126,245,171,115,240,81,164,227,142,251,33,110,146,8,193,182,247,186,23,110,58,201,126,182,221,118,247,186,242,138,43,237,126,230,145,247,206,231,207,
223,112,131,13,144,236,57,191,58,23,239,13,224,7,41,63,97,191,199,93,124,241,37,219,108,179,245,237,110,183,33,62,252,244,132,39,60,254,226,139,47,190,59,154,27,110,168,137,111,118,231,59,227,43,220,176,
159,129,103,179,205,238,140,147,155,75,255,240,7,225,28,200,20,32,55,158,198,67,34,194,75,127,117,76,141,71,157,54,132,13,98,8,41,58,181,71,110,49,88,134,220,184,48,204,78,19,142,10,78,7,54,90,229,38,
197,69,54,0,238,106,56,25,134,197,138,89,146,60,59,240,104,197,12,167,54,21,144,168,184,74,234,40,50,151,120,165,74,12,56,206,236,170,21,58,93,36,91,181,101,49,31,40,233,173,188,254,15,188,127,86,75,160,
145,121,181,171,43,189,201,86,249,219,86,4,83,209,17,242,65,234,79,36,13,179,105,50,75,110,206,61,243,176,72,225,86,219,185,191,62,15,207,29,237,190,219,110,120,135,19,143,238,188,241,13,175,219,115,175,
61,112,246,241,185,35,62,47,247,244,240,65,212,23,188,224,185,219,110,123,47,60,241,252,241,143,127,242,71,63,250,73,128,189,241,245,123,238,185,7,110,142,11,12,183,230,30,251,216,71,227,138,1,107,159,
220,121,99,191,8,207,141,80,48,248,235,246,114,172,6,176,112,193,2,237,197,173,0,76,39,0,206,58,235,151,239,120,199,187,95,245,170,191,123,218,83,159,252,239,255,254,95,71,28,249,133,242,255,245,192,74,
239,98,173,238,238,132,28,112,192,139,251,251,141,243,231,227,126,163,208,222,249,206,119,58,255,252,11,196,233,57,231,132,175,99,192,167,89,191,249,173,99,152,255,200,47,132,127,217,26,126,240,136,79,
119,32,9,126,226,201,32,36,249,95,151,100,113,247,190,250,25,103,158,37,183,152,182,223,126,39,124,231,245,207,127,142,247,30,86,111,191,253,182,87,94,121,5,56,176,80,115,229,133,117,243,205,55,195,71,
68,33,111,176,254,250,248,102,209,191,132,47,107,240,127,80,156,197,235,44,190,234,207,87,227,139,179,197,203,230,119,217,28,115,252,148,83,126,132,183,202,247,220,243,145,120,95,1,150,248,103,235,104,
238,181,215,35,79,63,243,76,33,194,190,39,239,71,74,19,3,130,247,37,159,248,196,253,208,196,227,0,63,249,201,79,81,79,233,42,255,186,201,154,17,47,173,130,38,46,124,253,158,20,151,63,5,131,132,171,145,
113,22,96,181,50,66,102,197,125,209,59,235,74,25,217,85,25,74,116,93,195,137,8,170,70,91,211,139,85,201,195,62,27,182,238,48,193,182,55,161,106,180,111,95,37,147,206,113,140,135,47,145,89,78,209,53,98,
19,208,32,32,113,121,82,195,188,218,213,101,61,80,153,210,23,213,10,157,237,114,161,62,83,222,111,44,253,250,26,142,166,59,42,250,37,114,244,17,98,242,71,177,226,160,6,135,166,118,161,201,30,53,166,113,
238,12,27,172,225,11,63,34,44,88,184,96,247,71,134,143,19,254,246,183,191,133,254,105,79,123,50,174,105,254,233,159,14,185,227,38,119,60,228,45,255,24,206,250,47,191,252,224,131,223,244,157,239,126,239,
253,239,255,208,78,59,63,224,178,43,174,64,240,79,123,250,83,2,236,45,135,220,113,227,141,15,57,228,159,126,240,131,227,78,56,225,164,103,63,235,25,213,59,111,101,252,82,55,164,86,252,112,41,184,83,19,
193,167,70,118,188,223,18,237,194,197,196,37,151,92,130,38,214,80,252,215,239,99,191,243,189,151,191,252,165,111,122,211,65,248,188,200,141,55,133,255,215,179,239,227,159,24,122,163,47,196,223,203,82,
64,252,21,1,65,134,112,66,181,47,253,221,165,143,121,204,163,164,236,91,223,109,43,104,241,37,73,134,255,204,95,156,133,79,216,160,43,88,68,242,208,34,25,77,77,71,133,96,146,255,24,19,116,102,26,170,30,
10,254,220,253,159,125,205,53,215,30,247,195,227,241,37,215,114,73,125,205,213,215,109,118,231,205,87,210,29,130,7,62,104,151,29,239,183,35,120,240,137,165,43,255,248,199,43,174,188,242,203,95,254,234,
146,37,247,221,226,46,119,145,79,41,229,254,83,11,197,193,67,19,119,220,100,99,252,83,136,107,174,189,22,255,32,2,159,213,253,11,62,216,180,122,245,245,215,93,135,237,16,95,247,160,77,220,96,212,56,81,
156,187,221,109,171,103,62,243,233,224,90,103,157,181,241,111,108,113,215,23,78,55,221,100,147,71,61,106,79,156,57,37,31,133,164,103,24,182,71,198,37,106,77,1,225,186,60,142,100,200,162,5,170,95,61,85,
50,108,201,36,74,154,26,20,21,176,191,236,70,130,240,10,18,155,93,158,20,131,219,178,229,49,104,157,195,162,175,123,225,188,12,71,104,210,100,51,151,149,161,224,197,5,144,178,241,88,168,210,225,55,46,
224,80,230,109,61,96,37,105,120,15,24,141,124,4,149,114,78,35,168,35,24,119,190,110,237,245,223,217,207,202,90,72,38,173,210,23,113,139,9,143,92,44,71,152,217,45,170,136,147,215,18,89,106,216,194,243,
56,194,29,199,79,116,56,29,192,234,3,197,7,222,247,158,245,215,223,96,195,13,55,248,208,135,62,124,246,217,225,46,214,195,119,221,245,248,19,78,194,183,153,201,47,206,199,15,59,236,51,208,227,237,162,
175,127,253,232,79,127,250,115,66,99,96,248,191,219,159,250,212,167,157,59,111,130,198,160,23,55,27,27,249,250,199,45,205,81,188,107,245,156,231,60,19,219,231,207,126,126,218,110,187,61,2,143,117,188,
253,237,95,131,43,252,179,158,219,223,225,246,103,158,249,139,111,125,235,24,188,173,133,175,78,56,238,184,19,158,244,196,39,60,231,217,207,250,234,87,191,142,213,127,203,45,195,255,235,129,107,153,12,
186,169,199,185,129,141,13,52,97,123,195,229,200,254,251,63,251,57,251,63,27,143,102,61,255,5,207,197,189,71,236,142,224,191,195,198,119,0,255,183,143,57,22,252,75,151,45,133,225,69,23,95,188,100,199,
251,226,19,54,24,127,252,147,160,50,175,82,19,171,50,246,85,171,135,115,139,207,30,113,36,204,118,219,237,225,247,185,239,14,120,8,101,221,245,214,69,12,139,215,93,172,31,57,66,47,6,247,140,51,126,113,
126,247,31,207,113,218,129,75,54,148,20,239,105,45,185,239,125,80,135,246,97,143,104,127,127,233,31,62,243,153,35,58,47,143,192,243,114,23,94,120,17,30,89,70,12,193,203,170,149,215,223,112,195,218,235,
172,131,102,248,216,19,222,173,209,57,214,157,4,224,180,6,213,219,246,94,247,196,63,69,2,195,194,133,11,247,216,243,145,63,60,254,4,92,199,163,105,126,98,217,161,110,109,12,90,64,21,148,167,212,104,173,
4,99,1,136,54,78,36,219,165,164,158,192,96,10,123,248,24,236,192,89,118,66,197,36,158,195,94,151,249,45,14,34,207,208,241,229,193,114,157,14,34,212,93,125,36,60,246,46,6,86,67,134,246,182,109,164,18,67,
206,23,167,211,162,228,19,63,203,44,136,248,151,205,163,46,188,114,156,58,244,46,85,141,193,5,247,46,40,59,157,54,193,169,51,16,33,163,22,85,207,24,137,57,243,78,215,182,205,247,179,46,172,118,185,115,
119,125,139,227,110,248,107,116,185,180,19,40,165,160,222,57,38,134,7,191,214,53,15,0,220,96,193,46,206,167,160,86,171,111,127,251,216,181,215,94,231,25,207,120,218,247,127,112,28,144,88,125,118,217,101,
167,251,223,127,199,199,226,210,164,251,217,102,235,173,177,56,190,246,181,7,189,229,45,7,127,229,203,159,63,246,216,239,190,253,29,239,194,35,36,37,76,240,181,191,234,81,1,38,48,6,112,217,21,207,128,
255,252,175,143,225,123,87,95,251,218,87,97,157,197,181,218,135,63,242,31,95,254,74,216,207,182,184,235,93,14,126,243,27,55,222,120,227,171,175,185,230,83,135,125,250,146,223,253,14,191,31,254,200,191,
191,226,229,47,59,232,245,175,65,34,248,127,61,216,207,128,20,54,104,68,86,242,48,43,187,155,135,63,250,201,79,222,251,190,15,28,120,192,11,112,247,21,239,69,29,244,134,55,99,119,76,252,87,95,131,253,
251,162,11,47,6,252,11,95,248,210,193,111,126,211,169,39,31,255,150,183,188,21,207,143,64,51,209,15,215,65,195,48,12,170,215,135,193,160,89,122,227,77,87,254,241,79,15,126,240,3,17,47,238,142,154,119,
200,86,44,95,126,243,242,176,133,96,47,195,219,96,11,22,45,220,235,209,123,158,116,202,41,80,106,121,149,214,184,83,47,168,211,210,165,75,241,133,117,216,173,113,135,249,206,155,221,249,234,171,174,190,
234,207,87,225,178,108,237,69,107,135,127,227,135,199,76,226,218,4,1,79,178,45,187,249,102,236,112,225,189,113,248,93,189,250,97,15,125,200,69,23,94,116,249,101,151,7,23,138,140,254,106,1,196,254,105,
94,219,156,200,189,13,104,184,124,228,35,119,195,87,66,224,193,31,193,100,60,197,113,39,24,30,92,101,134,18,182,153,185,246,121,130,75,2,96,155,161,102,229,121,112,22,232,22,185,38,139,229,37,174,236,
102,153,145,229,154,73,88,94,169,12,26,77,49,55,180,71,132,222,188,52,36,92,88,225,231,207,199,253,0,220,87,224,211,187,48,21,81,46,186,123,209,27,145,83,188,233,142,239,83,198,122,136,9,175,148,154,93,
48,47,118,32,133,53,186,20,51,165,32,249,162,206,75,118,220,89,41,70,14,109,59,44,67,210,6,171,235,53,20,196,233,120,95,38,72,120,119,109,1,147,231,27,241,168,58,222,18,251,236,103,15,195,215,134,190,
226,239,94,5,252,143,78,61,241,139,95,252,18,254,73,155,137,28,15,5,224,254,219,91,254,233,224,47,124,241,75,135,254,219,71,78,61,249,132,18,246,221,239,124,11,167,255,216,108,50,219,230,20,204,144,104,
208,12,51,93,101,41,16,18,30,223,224,187,103,130,129,18,79,247,137,185,164,143,249,16,254,95,207,13,55,184,87,9,198,145,105,222,238,246,183,195,101,16,43,241,12,164,242,139,30,247,108,113,141,139,199,
41,221,106,11,70,135,166,129,97,47,174,140,239,75,221,113,201,125,145,206,181,215,226,209,202,19,176,109,236,189,207,99,241,161,90,236,181,223,248,230,183,245,80,196,229,50,158,13,57,247,188,243,64,178,
231,30,143,196,205,70,236,220,248,110,30,249,136,40,174,191,241,239,100,209,85,139,164,247,178,214,90,184,42,197,165,48,190,41,234,129,15,220,5,223,188,7,19,220,118,198,141,68,109,126,247,123,223,199,
151,34,74,168,152,81,120,30,4,39,70,104,226,35,234,120,174,242,167,63,253,57,174,98,255,140,127,93,187,106,21,30,90,193,76,19,228,148,127,49,145,234,211,99,60,39,222,244,197,191,216,45,241,39,157,124,
202,231,63,255,69,89,251,202,94,104,14,63,252,147,120,184,230,33,15,121,120,232,205,35,209,193,21,195,90,97,27,228,98,232,252,141,142,140,11,199,209,36,245,81,182,106,168,78,40,152,49,97,99,72,185,151,
135,118,140,150,173,213,23,43,141,124,207,187,223,253,213,175,126,37,148,160,196,135,186,46,190,228,18,172,36,181,127,131,32,182,188,131,234,94,179,201,198,119,252,254,247,143,193,105,229,63,255,115,120,
146,75,126,198,4,112,200,63,255,35,110,228,60,250,49,251,226,237,137,104,151,189,26,146,201,234,150,49,77,208,16,167,240,149,93,159,161,109,162,97,202,145,145,141,132,49,243,154,203,254,157,55,229,45,
102,143,31,36,79,187,206,4,48,185,52,1,19,132,247,190,247,253,159,62,252,147,123,238,249,72,188,37,131,223,125,246,217,251,148,83,127,140,239,54,221,102,155,173,111,94,118,243,31,255,244,39,124,95,231,
79,127,250,179,19,142,63,241,138,23,31,120,227,13,55,194,188,132,225,201,70,220,162,196,59,52,56,121,7,43,238,188,73,152,124,142,163,129,215,4,63,254,14,157,186,98,58,171,194,119,252,92,199,84,114,130,
246,151,226,31,58,32,71,44,229,152,3,141,105,0,158,228,34,52,186,67,23,15,55,94,27,93,196,106,155,205,12,216,149,43,86,226,217,125,141,68,189,48,33,203,138,156,84,192,150,128,95,108,159,242,164,6,46,37,
113,103,21,87,213,217,217,232,188,121,223,199,183,239,196,31,149,127,213,221,79,142,234,214,171,120,65,181,122,47,243,230,225,147,176,167,159,118,186,126,40,39,53,99,77,64,135,29,11,191,194,139,39,104,
240,144,17,228,255,252,239,252,228,166,229,118,160,175,156,72,211,149,20,255,22,4,95,159,1,103,120,8,243,65,15,122,32,98,198,119,50,161,137,71,153,240,183,244,162,97,73,174,2,48,174,77,83,77,140,208,32,
55,72,109,42,179,10,218,101,4,144,15,98,212,164,71,198,73,174,122,95,136,163,204,241,235,61,67,152,132,123,0,221,143,27,128,171,52,142,238,112,135,59,60,252,225,187,202,196,195,173,151,167,60,249,73,47,
58,240,133,175,122,213,235,126,252,147,240,148,178,254,48,149,251,37,94,184,49,243,137,79,124,10,111,67,168,9,4,88,233,33,201,122,145,133,51,102,80,246,247,26,118,93,5,205,117,135,174,255,221,126,166,
49,122,247,235,170,174,213,74,17,113,56,85,49,82,208,34,78,93,11,158,64,165,211,26,173,250,141,38,233,150,122,50,145,52,241,119,245,234,51,207,248,5,190,76,243,13,7,189,238,148,147,79,125,223,251,62,248,
214,67,254,241,191,255,235,163,184,8,192,194,253,234,215,28,132,41,242,178,151,189,248,221,239,126,251,205,55,223,140,239,21,253,210,87,190,2,218,18,134,253,12,151,110,184,243,246,163,83,79,120,203,33,
111,59,42,191,243,150,252,198,152,250,215,178,218,6,80,52,167,169,73,231,165,253,16,145,141,103,218,65,7,79,53,89,147,75,45,119,114,93,12,101,160,208,109,6,50,0,248,30,63,67,204,205,146,33,11,175,140,
33,122,95,141,251,152,241,110,82,112,154,127,40,71,154,25,21,123,149,34,148,228,192,68,254,50,176,156,192,111,53,60,250,6,133,246,148,83,78,197,47,166,253,238,143,220,13,251,25,102,254,167,63,211,191,
43,12,236,162,133,139,94,249,202,151,239,190,251,35,240,220,205,185,231,158,247,193,15,30,122,118,220,164,251,53,59,142,239,190,251,238,253,252,231,237,143,143,37,224,81,151,143,124,244,63,78,62,249,84,
152,227,94,247,39,63,241,95,239,124,215,123,240,165,18,47,125,201,139,110,90,186,244,57,207,121,254,54,219,108,141,27,215,187,236,178,243,6,27,172,143,247,101,113,10,114,226,73,39,75,92,255,242,238,119,
224,90,25,23,193,175,122,213,223,225,19,126,248,196,222,123,223,251,1,93,142,241,85,106,111,56,232,181,75,150,220,103,233,210,101,248,252,254,251,222,255,161,63,253,241,143,184,199,142,59,237,136,112,
189,245,214,199,73,231,187,255,229,95,241,197,87,96,155,162,50,24,95,177,106,143,133,50,171,0,119,225,191,209,240,248,198,97,149,188,38,254,219,93,109,225,125,86,185,187,131,15,156,124,233,139,71,188,
248,197,7,200,126,214,167,188,219,195,83,202,221,85,20,190,203,227,185,207,219,255,89,207,122,238,65,7,189,118,239,189,31,131,183,0,142,62,250,155,123,236,241,72,196,133,103,176,37,60,220,85,122,254,11,
158,135,207,150,224,185,220,175,124,245,235,71,28,241,121,137,13,119,119,48,208,248,206,4,28,77,223,164,123,27,89,82,2,157,54,53,173,42,215,109,162,202,232,1,40,159,63,235,215,241,97,58,29,24,172,226,
116,12,139,239,97,243,74,140,83,27,42,159,50,104,105,180,11,2,148,10,96,189,171,100,0,100,220,140,186,223,3,30,24,72,186,124,223,244,230,127,20,192,178,107,110,254,251,87,189,14,239,160,224,174,29,46,
252,101,233,124,226,147,158,134,183,79,32,135,247,69,58,191,215,94,119,237,171,94,243,122,134,33,24,76,71,28,153,114,231,77,216,6,255,150,213,46,77,76,58,122,206,82,34,29,77,55,23,197,139,225,113,192,
177,26,110,87,213,92,39,79,105,214,60,18,106,185,179,35,150,75,250,1,77,23,88,246,182,65,17,79,25,131,122,84,97,192,75,189,187,36,7,86,105,85,168,19,0,173,155,8,198,38,157,150,25,19,247,232,96,95,6,143,
102,25,155,144,188,255,125,239,193,179,54,127,250,243,159,241,240,42,238,208,30,118,216,199,159,179,255,11,240,41,67,101,144,233,247,184,199,237,251,174,119,189,13,239,206,126,229,43,95,123,244,163,31,
245,209,143,28,250,188,231,31,136,175,95,199,215,115,220,253,238,219,224,97,37,124,196,5,183,169,207,248,193,15,97,136,67,105,215,93,31,134,39,69,113,211,98,159,125,30,139,21,246,153,207,122,46,174,69,
208,133,59,180,232,122,250,211,159,118,225,133,23,254,234,156,115,31,184,203,206,31,248,192,123,31,187,247,227,113,3,25,239,3,225,203,107,176,5,2,137,27,191,59,237,116,255,107,240,173,140,11,214,122,223,
251,223,3,114,124,94,226,79,127,250,19,216,62,241,241,255,194,225,137,115,154,118,61,107,37,170,233,149,13,128,26,38,92,193,199,241,81,252,200,33,211,122,246,130,18,209,12,9,255,194,173,251,121,223,123,
223,141,199,190,78,61,245,71,127,250,211,159,37,101,124,185,1,238,73,224,225,175,237,183,219,246,61,255,242,206,71,63,122,175,75,46,249,221,229,151,95,46,245,199,105,119,23,243,124,108,87,239,124,199,
91,129,60,241,196,147,241,221,90,111,122,227,235,241,137,73,217,50,241,79,118,112,146,129,19,136,115,206,61,247,121,207,219,127,217,178,254,109,179,114,98,164,212,108,208,3,237,169,13,149,87,25,22,246,
171,94,253,24,80,27,8,154,3,236,149,130,1,115,38,243,241,233,146,142,8,120,78,34,108,147,96,223,194,193,195,1,226,226,76,154,60,185,5,198,84,56,103,195,219,72,108,104,229,188,2,253,106,75,89,51,127,233,
177,211,100,235,26,188,151,38,214,41,29,36,161,43,143,161,7,119,49,112,46,76,2,23,53,47,124,84,179,73,240,83,137,77,188,212,124,25,146,169,155,58,171,149,161,244,88,106,2,216,173,143,176,208,72,41,109,
77,240,201,21,93,243,66,46,56,133,6,91,163,203,230,18,201,75,19,104,150,44,185,47,54,51,92,189,189,250,53,175,199,67,79,88,1,63,246,223,120,152,232,165,56,117,67,212,50,237,16,18,78,122,241,129,16,220,
189,120,202,83,158,137,119,100,63,251,185,35,191,115,236,55,159,255,252,253,95,251,218,55,8,45,62,222,126,232,161,31,249,236,231,142,0,9,12,241,79,70,30,245,232,125,229,92,16,255,37,242,157,239,124,219,
131,30,184,11,118,41,153,81,183,187,221,237,222,243,175,239,195,103,37,129,124,247,187,222,142,79,130,226,201,85,124,51,61,158,170,197,102,246,161,67,63,124,248,225,225,123,221,224,20,95,255,139,119,49,
113,243,31,215,19,7,255,211,63,67,137,59,165,175,123,221,171,247,218,107,143,99,143,253,46,154,229,79,109,210,10,178,44,66,201,208,192,164,219,2,24,202,88,88,119,200,220,48,18,115,152,9,221,198,184,122,
245,252,213,243,238,123,223,251,188,248,197,7,34,18,60,72,140,191,248,54,197,221,119,223,13,111,15,31,124,240,91,208,148,148,241,174,48,82,150,25,132,143,166,28,112,224,75,186,79,97,206,195,215,229,132,
20,240,6,195,202,85,168,24,30,4,195,237,229,39,62,233,233,120,164,11,117,198,55,34,189,240,133,207,59,242,243,95,184,225,134,27,241,143,108,176,166,61,103,255,231,99,189,194,167,83,190,250,229,80,255,
96,74,59,171,104,230,242,111,109,206,171,143,88,70,85,136,208,255,191,152,129,115,249,104,140,28,164,226,242,119,206,82,210,232,163,35,30,108,4,138,35,163,11,55,57,12,146,90,105,78,181,251,165,37,82,77,
68,136,126,209,114,167,20,244,201,183,177,173,52,253,8,43,96,71,141,89,198,239,228,118,8,112,150,74,177,205,194,43,243,237,216,50,140,227,210,170,48,10,198,4,222,141,6,54,181,144,208,197,224,116,84,91,
63,161,205,72,175,127,141,116,38,66,227,203,52,7,61,17,91,118,198,48,104,8,128,241,69,84,193,218,244,10,161,57,22,68,41,127,21,175,2,247,58,178,153,24,60,237,243,219,45,61,161,224,227,181,133,18,222,175,
251,196,222,73,39,159,138,125,8,41,252,236,231,63,199,53,22,190,14,70,1,16,192,176,201,38,119,188,235,93,183,56,243,204,179,240,105,125,233,194,187,179,247,184,251,221,195,145,219,49,227,92,16,143,215,
102,183,133,231,207,191,215,189,238,137,143,228,223,113,147,77,96,178,209,198,27,9,149,152,31,253,141,111,73,19,159,178,192,126,134,91,157,240,178,227,146,37,80,226,118,104,252,88,97,8,247,126,247,187,
31,254,226,242,241,17,15,127,120,48,233,220,221,227,30,119,135,236,254,140,45,160,107,60,90,169,7,148,25,119,105,34,134,118,24,97,38,116,95,7,124,192,1,47,60,224,128,23,224,86,16,60,227,106,245,147,159,
58,28,194,253,239,31,82,254,127,237,125,9,216,38,85,117,102,175,208,24,67,227,168,76,12,68,97,152,81,204,8,70,65,199,184,60,143,130,73,124,28,17,140,104,92,99,156,199,184,140,70,92,73,80,198,37,154,184,
27,35,10,10,178,204,68,146,224,134,8,136,18,64,81,81,1,131,1,117,194,170,67,32,68,71,5,55,160,27,250,239,158,247,220,83,247,212,123,207,93,170,190,191,27,38,164,239,71,243,127,231,158,251,158,247,156,
123,170,190,58,223,173,186,85,223,143,126,248,67,76,209,32,228,67,198,143,206,104,49,67,239,240,194,97,97,245,170,93,119,189,55,166,191,151,92,242,77,60,90,24,122,92,107,199,183,132,223,253,221,67,246,
126,192,3,174,187,238,122,44,16,195,22,212,47,223,120,122,192,87,191,118,225,127,125,226,19,16,48,254,181,163,141,62,102,188,235,110,6,96,220,33,221,62,63,255,248,63,60,31,196,217,23,67,208,232,199,49,
88,16,20,71,209,112,82,105,222,149,220,109,108,152,235,117,212,209,117,96,52,43,227,79,0,105,120,198,105,53,130,191,94,176,33,203,198,60,10,76,107,218,184,25,76,161,66,30,161,3,180,155,197,72,70,165,69,
146,121,207,253,194,106,52,44,121,181,252,184,78,252,130,96,45,81,134,108,51,27,108,121,66,49,48,239,209,82,1,31,89,54,160,27,240,12,227,104,74,38,220,175,178,139,196,199,144,27,204,208,140,36,121,108,
49,170,17,51,131,176,13,113,59,6,51,179,108,36,138,119,3,71,47,110,123,192,95,61,187,8,67,84,167,203,47,191,242,97,15,219,15,15,76,193,218,81,43,127,122,107,29,110,107,57,234,168,191,24,57,195,49,84,153,
241,172,53,46,102,184,204,131,31,33,194,1,20,36,40,144,48,137,57,144,89,9,102,120,178,130,41,36,10,79,218,68,175,28,230,182,108,193,114,21,212,69,172,38,53,23,16,160,196,223,231,255,193,239,227,159,233,
177,152,34,31,139,245,22,51,96,189,219,68,48,23,38,212,104,139,113,138,85,248,52,226,132,225,119,191,251,61,44,199,253,246,183,190,131,91,60,53,135,195,144,159,255,188,231,63,127,100,221,101,253,122,107,
224,60,164,201,131,128,162,183,121,203,189,239,37,115,181,43,174,188,202,118,143,203,195,138,223,251,236,118,31,185,171,100,197,10,52,17,143,198,140,187,80,160,129,156,76,129,108,59,13,188,139,189,153,
95,117,145,143,125,254,241,127,120,126,163,18,45,20,133,5,161,195,91,200,214,129,157,119,215,116,224,124,180,6,72,187,146,239,206,198,217,158,37,24,85,77,224,81,27,198,200,77,163,66,77,63,194,248,40,86,
223,39,210,113,153,245,48,192,220,139,105,204,208,4,24,91,175,16,197,0,106,87,143,10,119,192,152,127,8,11,199,204,198,34,39,193,248,206,89,0,128,120,163,48,161,27,53,195,212,213,0,142,73,240,254,211,209,
49,179,71,214,219,28,67,142,50,206,106,108,185,205,178,52,197,48,160,180,0,138,172,218,171,223,244,177,173,141,4,103,165,128,199,243,157,47,249,230,55,213,16,243,48,156,149,194,57,43,230,193,35,79,209,
196,253,18,111,160,69,225,96,3,173,50,219,201,121,192,240,164,177,63,125,243,27,240,60,151,231,60,247,249,88,75,137,123,255,79,254,232,73,188,101,116,109,170,38,74,31,24,134,120,208,68,229,219,117,215,
255,128,231,177,96,69,177,120,15,91,77,93,99,49,58,174,85,139,50,188,48,155,180,241,218,88,98,103,235,52,131,98,204,214,76,88,96,194,54,146,173,106,114,155,1,147,209,99,62,116,236,104,27,210,132,31,151,
129,134,135,140,45,182,97,195,112,249,3,93,90,156,70,43,72,97,155,254,203,247,229,174,199,95,219,125,55,115,186,219,110,187,65,115,211,141,63,209,111,21,255,126,215,93,173,11,207,10,80,6,222,99,173,87,
187,22,253,235,204,93,211,177,113,158,243,174,244,249,141,188,251,56,172,53,227,135,188,237,213,224,139,10,141,112,213,227,92,191,115,198,82,11,46,142,49,239,159,235,61,88,218,88,106,86,51,247,137,154,
57,156,192,133,121,177,104,13,111,130,118,157,250,169,143,185,83,46,159,58,245,211,111,254,211,63,51,67,21,216,138,35,68,175,206,110,109,198,6,36,188,51,222,168,180,43,39,52,192,54,20,138,1,128,255,129,
123,239,141,149,2,230,232,244,211,207,124,125,184,180,32,154,176,137,99,234,146,175,62,134,175,209,26,96,142,48,139,4,135,248,252,38,214,24,164,243,18,99,118,234,202,55,131,248,41,168,173,89,101,182,137,
80,67,29,82,175,151,255,163,172,209,120,240,62,251,124,250,212,207,64,192,197,24,84,35,60,219,19,16,14,235,159,111,184,1,139,251,247,223,127,127,84,26,189,42,54,246,166,72,232,247,220,115,79,60,95,20,
55,234,94,118,217,183,208,196,175,100,141,224,40,113,180,208,129,3,49,99,177,9,78,81,62,120,223,125,113,107,191,40,195,222,121,245,53,215,64,198,21,35,249,37,201,240,82,91,99,152,24,172,218,204,254,107,
180,176,152,96,206,6,174,187,162,115,197,132,218,213,160,213,15,233,53,223,253,30,144,88,137,106,67,118,156,133,102,216,166,56,139,136,37,51,248,77,12,124,12,116,11,226,71,51,0,254,238,53,215,252,232,
71,63,198,215,136,7,61,232,215,237,139,239,3,31,184,183,242,52,226,41,56,154,173,202,7,110,166,234,177,237,119,141,5,42,181,58,61,135,110,68,38,8,151,110,143,250,17,223,192,203,19,218,225,206,231,156,
28,75,131,106,219,196,128,93,163,120,144,34,199,2,152,151,73,222,204,28,30,203,68,60,136,108,5,213,225,127,242,58,156,115,223,127,191,135,190,234,149,135,189,228,165,127,132,115,226,55,254,248,166,54,
131,235,205,103,183,35,128,63,168,97,80,218,133,24,92,24,22,231,104,107,170,59,64,56,252,240,215,225,81,91,32,198,29,229,182,87,168,235,89,1,240,184,52,188,121,155,108,254,80,44,42,103,82,12,175,168,116,
134,214,172,49,27,128,133,218,102,194,129,65,96,225,187,60,222,17,192,183,190,253,157,139,46,254,198,83,158,114,240,186,117,235,240,120,179,231,253,254,179,161,199,149,48,129,209,11,247,225,97,105,248,
75,95,250,226,19,79,60,238,148,143,125,2,139,15,49,235,194,178,123,44,7,207,3,187,244,210,75,49,127,122,212,163,126,19,167,197,30,176,247,253,15,61,244,41,196,52,136,54,118,46,156,127,243,215,167,60,254,
192,3,222,245,174,183,97,189,9,110,3,125,204,99,30,245,202,87,29,142,117,122,56,29,250,132,223,249,109,108,61,212,200,157,118,90,135,2,41,143,194,185,246,159,114,218,200,158,20,227,42,44,239,72,47,219,
187,52,90,204,106,151,15,220,1,20,86,84,230,158,25,140,39,168,97,200,88,20,138,217,239,220,33,195,62,236,222,199,31,127,18,158,227,122,202,41,39,227,86,162,223,122,252,129,184,20,119,238,185,95,184,62,
204,194,241,40,0,92,170,60,225,196,227,78,61,245,52,228,243,65,255,249,215,107,97,108,19,253,66,3,207,61,174,146,227,169,254,11,123,42,232,220,63,181,81,165,28,155,194,15,180,15,68,200,69,254,47,119,114,
231,104,210,72,220,40,92,179,22,145,194,164,55,101,27,241,53,253,136,24,36,217,113,195,87,4,205,88,237,47,208,146,213,230,63,96,56,254,204,85,85,49,14,39,64,174,190,250,26,156,201,193,210,91,180,176,108,
12,178,158,56,122,242,147,159,116,198,233,167,126,245,130,47,190,251,93,111,199,147,138,208,139,187,118,142,57,230,168,231,62,247,89,231,158,243,185,179,62,123,26,126,16,224,233,79,63,20,143,53,249,216,
41,39,99,29,48,0,184,43,229,115,103,125,6,207,207,61,229,111,63,122,193,87,190,128,167,6,224,199,192,48,198,117,119,219,233,245,71,30,113,222,185,159,255,194,121,103,227,135,5,112,67,204,16,121,252,201,
121,156,118,183,127,62,201,156,219,16,176,252,97,229,28,217,12,163,240,189,239,125,239,10,92,1,184,252,10,60,77,10,171,194,206,58,243,180,189,239,127,127,172,199,195,90,59,64,176,106,252,164,19,143,251,
250,215,190,132,161,97,153,131,30,140,176,28,252,180,79,127,226,75,231,159,251,138,195,254,232,109,111,123,235,179,159,243,76,12,237,73,7,61,241,140,51,135,3,49,214,128,97,248,143,120,196,195,17,30,110,
217,97,6,112,106,114,14,60,240,0,204,14,191,248,133,179,241,148,234,95,222,249,151,117,19,227,23,100,62,115,218,39,191,122,193,249,39,28,127,44,14,13,32,193,147,174,52,69,127,240,188,231,158,242,183,39,
195,54,6,94,61,3,166,84,6,107,8,188,219,136,76,201,31,228,236,243,94,216,94,58,31,151,239,103,155,209,11,119,248,206,254,138,87,188,6,167,242,176,244,224,117,71,28,142,39,3,224,238,46,60,18,37,15,236,
248,19,78,250,224,7,63,180,231,158,123,96,57,56,22,235,63,235,153,207,192,143,195,169,235,33,236,184,77,49,135,251,224,7,143,193,239,236,124,232,67,31,0,236,53,175,61,2,19,175,198,208,180,11,30,191,113,
201,37,111,122,243,91,49,255,123,201,139,95,136,103,103,224,215,12,32,227,146,18,126,222,239,43,95,185,0,79,164,59,230,232,247,191,247,61,239,196,252,131,79,111,230,204,181,79,232,164,222,81,89,206,45,
66,77,139,254,181,94,19,156,121,177,105,12,195,25,18,28,179,227,17,195,240,203,24,178,29,252,177,106,20,143,187,67,242,223,248,134,35,113,255,223,25,103,126,246,141,111,122,139,70,248,206,119,189,247,
194,139,46,222,239,161,15,121,203,159,190,17,137,125,251,59,222,101,30,203,159,205,177,251,206,149,194,142,180,114,223,223,216,95,221,34,250,197,252,195,62,251,162,138,44,47,204,67,94,97,78,45,47,182,
153,157,109,14,118,0,102,159,4,27,192,145,152,158,217,18,25,89,114,175,152,180,133,169,28,15,154,70,30,57,115,72,174,193,227,245,254,242,125,239,121,236,227,126,91,159,234,132,147,69,231,158,115,214,95,
188,239,253,120,206,242,145,175,255,19,220,104,137,99,16,110,186,196,221,42,120,132,227,255,250,171,191,126,206,179,159,241,144,135,252,6,206,38,97,25,21,174,216,239,243,160,7,29,248,91,79,64,165,254,
230,223,95,136,211,20,71,31,115,44,86,7,252,225,11,254,219,107,15,63,226,156,115,206,195,227,31,113,200,62,246,216,227,225,247,69,47,122,193,199,63,254,41,44,164,134,236,6,155,71,229,52,150,216,101,27,
130,80,127,86,251,105,191,247,172,43,227,47,176,160,90,72,216,63,250,209,165,255,112,233,217,231,156,251,249,207,255,221,255,60,241,35,152,183,125,228,248,19,159,254,180,67,113,163,238,211,127,79,166,
26,248,53,28,220,216,132,185,5,190,144,30,120,224,227,142,62,230,195,31,62,246,35,79,59,244,169,248,245,187,135,238,47,229,7,143,102,64,181,123,249,97,175,58,255,75,95,206,25,224,229,31,190,121,17,30,
142,119,220,113,39,96,105,3,30,149,137,171,26,88,72,141,149,17,120,190,12,46,126,224,208,143,91,128,241,27,67,184,25,22,223,169,143,60,242,141,112,122,234,169,31,187,244,210,111,189,233,77,111,25,83,177,
200,102,29,173,234,82,158,76,140,37,87,214,9,252,201,52,140,20,139,44,110,12,79,5,27,173,178,176,225,226,94,247,188,39,158,90,105,119,106,142,224,84,194,129,122,253,250,245,88,223,145,170,103,181,112,
143,54,106,46,102,129,60,123,195,57,76,172,223,195,175,43,96,131,78,176,216,167,201,225,210,225,204,73,151,237,189,142,201,154,57,137,55,113,193,164,49,128,39,103,80,114,240,44,48,100,226,209,0,144,67,
36,80,23,152,88,180,16,240,149,5,74,236,204,163,18,17,150,162,242,3,25,13,166,165,218,160,212,178,205,172,182,205,251,207,92,78,193,74,3,192,215,150,60,64,113,153,91,165,134,185,149,105,96,222,24,82,222,
197,35,100,25,72,5,179,114,144,139,225,101,17,42,216,60,154,0,32,115,90,228,69,33,88,181,42,116,131,141,61,22,201,131,114,32,159,19,146,17,162,20,49,97,225,151,60,143,63,81,239,114,249,192,7,142,190,248,
226,191,95,187,102,13,30,66,122,220,113,199,159,119,222,23,111,186,241,166,19,78,56,118,143,251,222,247,255,132,243,54,168,7,159,12,15,56,198,29,181,255,229,225,15,67,61,59,232,160,39,157,245,185,179,
245,65,18,123,238,185,199,33,135,28,164,245,140,35,180,72,16,6,235,57,42,147,39,1,134,172,9,127,115,242,176,34,252,29,239,120,183,70,123,217,165,223,194,45,80,192,239,114,143,93,240,181,29,55,81,225,9,
120,120,126,46,38,109,187,237,246,171,56,75,118,191,251,222,247,5,127,248,146,139,46,186,24,79,79,56,224,128,199,202,19,30,150,228,167,22,96,34,130,188,13,95,83,214,239,188,179,50,224,71,65,63,115,250,
25,199,126,248,232,221,127,109,55,93,107,135,116,157,28,158,241,255,148,67,158,252,200,71,254,38,234,25,126,251,20,23,216,143,120,221,255,176,227,5,30,160,247,223,95,242,66,76,109,177,96,122,175,189,246,
250,243,183,189,147,63,86,11,140,61,198,35,177,213,95,201,9,240,184,27,192,203,66,91,132,233,49,16,121,64,90,122,40,200,195,134,6,119,248,138,33,199,25,3,128,218,2,64,166,241,8,2,107,170,175,156,208,83,
5,220,88,86,137,25,91,211,45,125,84,206,252,175,27,133,1,156,119,215,84,152,11,216,53,129,41,90,153,139,92,112,193,228,230,185,198,72,230,14,121,216,159,195,158,28,51,166,223,113,7,42,218,88,55,235,131,
94,35,12,0,23,161,154,72,84,100,101,33,113,225,24,149,153,4,243,60,117,134,202,187,56,9,42,199,251,207,74,147,179,60,226,220,222,156,153,144,91,161,139,13,13,89,20,230,35,71,115,206,96,200,184,145,184,
20,64,207,225,25,76,168,148,132,54,152,232,56,45,236,5,125,41,82,24,178,87,98,238,122,29,155,235,133,235,169,107,111,153,69,170,160,240,92,18,82,220,10,220,27,116,239,123,223,11,119,80,170,94,190,219,
162,226,133,137,242,21,87,93,141,116,253,236,231,114,223,247,21,87,201,114,222,159,6,121,167,187,221,77,1,87,135,7,250,161,247,170,171,174,198,221,157,59,172,93,139,137,203,85,152,12,133,209,97,74,247,
212,167,62,5,167,28,177,210,154,157,182,210,194,184,40,187,248,157,185,235,141,70,242,174,149,251,61,239,125,223,245,215,203,122,188,171,175,145,225,64,248,202,5,23,168,128,231,5,99,134,241,214,183,188,
9,74,188,48,81,195,202,2,4,12,25,247,243,170,6,191,169,141,59,132,5,31,82,170,134,107,3,6,252,184,252,238,24,254,227,94,123,221,240,207,178,96,236,59,223,254,142,22,63,148,58,252,80,39,114,130,21,213,
120,90,163,21,51,96,206,60,243,172,87,191,234,176,71,60,252,225,152,26,226,1,175,184,61,72,231,22,58,168,218,208,92,6,192,163,81,65,40,190,236,172,71,178,59,83,35,39,20,158,124,23,165,157,138,29,149,205,
21,225,72,152,129,186,230,95,72,54,191,141,33,183,226,49,251,32,184,12,79,26,26,222,33,135,111,57,41,185,180,108,188,52,88,168,147,79,183,97,200,92,249,205,157,10,206,41,193,151,35,114,2,139,204,12,80,
7,12,99,153,221,231,86,232,173,129,217,48,119,145,247,150,53,148,219,116,125,35,195,241,193,226,67,106,41,233,12,55,121,126,232,102,226,5,141,111,182,71,206,160,243,238,154,112,196,26,219,93,66,0,50,107,
225,94,23,21,123,17,164,126,79,103,208,236,128,97,228,216,152,102,155,200,60,16,150,65,206,103,99,208,252,197,205,227,47,121,170,107,164,69,49,27,110,221,0,91,149,241,165,207,2,19,85,56,26,238,185,231,
30,170,188,239,253,238,139,218,118,251,210,38,60,34,15,202,213,107,86,161,127,143,61,247,192,243,5,92,49,83,188,253,77,55,193,160,246,1,211,145,215,12,77,112,96,211,67,208,200,191,113,241,37,87,92,121,
165,234,81,123,32,108,220,48,172,219,214,135,65,191,240,69,47,253,253,116,13,100,0,0,42,138,73,68,65,84,223,250,115,163,1,132,210,130,119,60,246,254,103,63,255,71,156,186,193,3,6,213,22,23,141,80,192,
118,220,97,135,141,183,221,118,255,7,252,39,85,226,119,80,33,188,232,197,47,195,197,72,213,224,175,122,217,112,219,70,221,202,82,86,67,69,196,34,114,60,80,223,96,16,112,110,231,139,231,127,9,87,161,240,
64,122,92,195,71,192,121,66,26,3,52,170,54,102,220,114,102,144,9,185,95,236,164,14,213,246,82,168,127,176,199,224,173,156,58,186,148,127,130,220,219,150,62,170,116,92,27,11,73,102,200,138,109,224,52,208,
181,63,206,240,210,0,248,24,104,20,195,170,84,210,112,240,94,110,28,127,74,71,84,239,215,209,97,95,188,11,30,255,195,57,67,140,214,254,197,81,97,3,240,191,168,142,239,134,119,66,236,207,223,177,91,231,
255,114,24,52,234,119,236,114,46,184,25,64,216,48,246,111,180,154,33,153,149,9,13,35,193,208,229,116,249,192,208,191,198,254,90,228,52,143,219,64,160,168,134,8,155,5,192,197,131,199,229,237,190,251,110,
248,37,207,157,214,237,132,7,46,224,82,25,0,114,8,198,95,221,100,245,207,9,150,141,96,13,197,129,7,60,14,63,128,121,225,69,242,132,239,175,92,240,213,199,29,240,216,253,176,70,123,255,253,240,52,163,243,
207,255,210,232,46,219,112,232,194,240,71,64,148,242,253,68,53,177,127,185,239,26,128,88,15,59,60,174,162,225,82,13,158,80,135,211,140,88,170,247,232,71,63,18,3,191,250,234,107,112,250,241,217,207,122,
6,174,187,60,231,217,207,132,94,12,54,111,193,228,9,133,234,224,131,159,140,159,174,126,250,161,135,138,82,30,81,125,25,24,112,249,16,167,25,241,147,161,143,121,204,163,86,225,131,163,71,112,156,161,212,
61,83,220,137,252,245,175,95,184,235,174,187,98,53,32,158,127,113,208,147,158,136,210,8,146,211,62,125,58,252,98,118,123,230,89,103,13,134,208,210,107,238,216,57,189,109,153,200,77,28,66,165,143,82,174,
49,112,81,224,195,197,40,199,98,150,179,241,167,9,189,204,169,67,182,191,220,85,148,7,36,31,178,162,223,34,190,161,52,167,44,52,240,218,229,226,135,146,199,235,154,220,149,27,142,169,139,103,113,89,131,
159,140,160,127,171,240,197,209,122,135,32,139,155,94,143,84,3,34,123,99,147,216,105,180,42,68,117,124,103,19,150,99,127,254,206,249,52,57,135,65,227,61,50,191,147,131,61,231,83,158,175,15,123,227,181,
252,154,160,93,136,128,49,108,98,122,8,206,106,102,23,195,114,146,154,175,1,137,17,234,171,126,216,29,0,249,155,217,114,87,157,199,69,194,131,29,166,107,206,182,200,15,95,17,198,89,229,16,32,51,249,208,
85,103,115,60,102,235,244,202,163,181,202,220,161,228,188,255,168,228,151,60,47,137,103,189,192,35,255,130,223,65,14,199,29,48,40,243,101,151,125,251,152,163,143,194,211,243,46,188,240,162,47,156,119,
62,48,111,127,251,59,223,246,231,111,253,224,81,127,185,118,237,154,175,125,253,194,119,191,251,189,195,215,118,152,148,118,51,63,210,218,24,45,220,92,136,201,204,123,156,6,1,232,125,184,242,96,137,16,
204,45,27,110,125,245,107,254,248,141,111,120,253,103,207,60,13,1,94,123,237,181,7,31,124,40,198,123,212,81,31,56,226,136,63,198,74,78,92,17,148,223,121,194,41,216,85,43,175,187,254,186,143,127,226,83,
135,29,246,50,172,121,193,122,48,252,62,42,76,110,185,245,150,192,112,228,153,167,127,122,96,56,228,105,154,49,231,29,205,179,62,127,246,190,15,222,247,229,47,127,217,171,95,253,74,84,193,243,190,120,
62,166,122,248,6,128,199,85,163,136,94,117,229,213,185,201,124,13,70,132,252,27,190,184,233,181,183,184,175,26,158,73,140,109,142,0,67,35,25,28,81,60,133,217,91,216,112,106,98,78,29,131,242,64,105,0,139,
164,136,204,97,134,159,22,116,63,231,73,73,110,83,223,217,106,174,139,113,58,98,182,101,89,97,172,145,167,245,219,43,255,176,164,159,50,3,230,60,220,85,252,96,178,83,128,121,20,232,98,19,166,114,86,51,
187,24,6,217,145,212,124,13,72,75,130,238,78,252,123,158,142,183,218,84,138,202,166,229,145,59,6,23,168,235,173,25,206,180,42,192,108,168,222,211,80,155,139,30,11,60,100,94,52,161,254,100,99,48,120,248,
202,30,246,70,115,193,128,26,137,233,107,96,0,140,208,192,139,10,248,32,224,57,67,56,123,166,167,7,39,9,49,83,193,18,62,44,109,192,106,61,92,28,114,139,199,112,9,10,132,120,92,132,85,110,127,56,75,119,
158,198,208,120,32,40,67,214,68,157,53,217,9,147,193,39,248,192,115,247,187,223,29,74,249,193,54,253,84,200,20,107,21,238,213,195,237,192,127,119,246,103,177,138,68,159,53,14,140,220,129,160,191,43,141,
6,197,48,50,24,59,69,107,58,8,56,135,137,37,124,178,138,44,156,194,133,151,207,125,238,244,147,78,250,43,252,38,184,192,42,86,204,80,147,57,141,141,36,40,204,0,108,101,204,214,107,154,173,20,138,94,192,
185,205,29,77,199,73,91,77,192,49,225,181,8,153,112,57,209,58,119,76,167,114,12,32,239,105,107,242,128,151,19,94,219,71,177,87,71,84,9,59,143,202,56,218,225,213,12,103,90,41,44,204,207,104,238,5,223,51,
236,229,176,82,134,225,179,94,252,130,147,13,30,209,59,6,215,180,44,180,133,150,85,230,180,77,165,189,121,96,108,197,238,218,72,88,49,184,113,13,131,97,236,203,201,109,152,219,27,28,216,245,50,179,34,
177,221,146,165,77,18,61,21,140,74,38,113,202,21,171,27,92,49,131,169,22,197,244,139,213,88,138,132,155,191,185,103,205,33,60,14,32,168,36,135,149,72,6,147,201,183,140,83,9,113,17,81,76,35,57,194,91,90,
177,132,98,166,124,72,142,37,240,246,77,195,47,1,133,174,113,80,55,223,42,96,30,178,27,163,82,225,47,174,68,106,170,177,172,241,97,15,219,239,144,131,15,190,229,150,91,63,246,137,79,178,173,129,157,80,
227,84,152,244,230,3,212,190,56,52,180,28,137,107,58,143,91,223,180,212,57,170,196,175,11,155,162,117,86,91,223,116,121,182,48,76,240,46,92,108,232,94,36,60,231,206,147,103,155,131,1,156,186,60,60,167,
1,152,241,224,113,0,102,102,121,33,171,0,254,215,123,252,151,122,54,115,216,154,130,54,120,114,227,153,187,54,15,167,123,217,178,219,78,198,99,174,69,112,59,235,34,123,170,241,24,243,98,130,213,254,134,
83,23,30,59,72,173,218,193,20,70,202,84,69,153,249,243,48,182,108,193,50,232,91,113,16,119,93,100,213,14,201,109,157,28,92,220,151,6,152,115,58,25,63,14,65,195,151,182,177,2,21,141,76,105,241,224,103,
199,81,237,208,140,12,6,25,5,3,143,42,147,44,84,202,140,118,238,184,195,142,175,125,245,171,112,255,25,110,30,184,245,22,186,179,199,108,199,176,7,149,197,144,120,52,23,64,97,94,76,95,79,71,24,99,140,
63,11,201,122,38,132,69,216,198,24,234,164,110,91,55,76,120,116,142,175,97,37,200,24,179,124,225,94,100,224,46,54,97,210,111,99,145,208,133,145,52,211,71,135,36,93,214,168,243,212,158,82,102,166,44,180,
135,207,121,115,72,215,100,206,92,110,131,243,92,213,24,218,60,185,213,76,205,202,125,246,121,232,66,91,119,38,175,135,213,183,153,32,177,123,181,1,138,241,164,139,181,109,139,114,42,77,169,92,220,213,
98,111,68,27,63,42,142,217,216,204,133,1,76,99,24,19,12,99,26,19,188,85,35,36,181,9,129,41,33,29,241,244,129,221,198,186,181,130,143,170,205,215,136,57,166,113,136,157,35,110,115,198,222,36,18,115,148,
210,70,108,245,189,152,255,132,185,106,58,116,24,131,88,89,24,185,213,204,192,138,12,209,86,125,241,229,49,243,206,14,199,248,139,108,12,173,201,193,163,35,31,105,97,197,204,49,188,26,153,232,25,175,184,
57,86,45,70,223,199,209,38,161,122,224,220,246,44,194,124,92,57,125,41,153,57,42,137,57,167,157,76,87,110,98,62,38,109,13,185,108,161,225,29,156,8,160,13,80,204,12,239,114,255,89,146,169,186,13,111,63,
135,106,48,68,171,214,247,98,152,115,97,111,176,153,223,72,59,40,202,38,105,142,138,223,203,202,134,230,70,5,230,209,157,143,150,54,120,172,126,119,179,47,113,220,205,60,0,20,79,204,26,62,56,154,21,94,
48,225,4,26,71,46,40,97,227,228,103,110,50,104,210,224,71,216,178,62,12,113,243,85,247,10,55,112,109,170,149,235,26,35,137,82,36,143,109,188,91,144,181,81,16,86,196,136,159,244,229,236,242,38,51,52,182,
17,195,114,18,211,52,24,128,81,18,197,168,92,164,165,252,84,243,111,30,85,40,242,12,133,211,160,49,105,80,180,227,4,192,17,230,120,1,240,198,34,114,115,232,5,198,75,16,201,81,50,249,184,205,97,243,236,
190,205,67,160,148,58,216,220,12,59,51,107,178,23,83,150,211,101,221,81,224,207,11,155,40,167,197,92,116,17,57,198,119,195,143,170,40,53,24,162,85,43,15,48,207,195,139,220,229,247,72,59,244,90,0,245,251,
207,20,105,187,200,156,137,115,201,181,121,42,117,142,186,105,152,69,18,140,230,204,196,57,71,234,73,188,24,207,236,125,154,121,52,206,49,90,99,131,131,10,33,165,190,176,81,65,69,128,69,18,50,98,69,26,
67,74,245,214,130,151,73,140,129,89,136,225,21,130,7,108,38,103,36,25,137,103,26,142,219,11,190,244,27,64,154,103,99,54,66,19,204,153,97,120,69,137,245,66,136,95,66,88,55,45,39,142,120,79,112,166,49,224,
4,239,48,243,154,69,6,27,157,9,32,83,185,136,47,42,203,254,109,80,113,8,9,204,41,13,108,91,74,226,40,239,54,9,79,101,47,202,63,119,206,202,53,25,143,46,12,147,53,201,168,41,212,129,196,226,116,93,166,
143,206,56,201,170,3,115,66,30,145,195,187,18,102,60,14,197,180,45,182,96,214,2,80,252,252,13,158,77,26,251,134,139,106,252,244,221,69,142,255,225,249,250,105,174,57,179,216,31,117,132,156,14,63,230,229,
181,41,239,66,64,49,104,0,238,12,19,118,206,229,249,97,171,192,236,121,26,67,75,83,17,194,140,97,169,21,127,96,204,145,35,116,77,131,169,0,23,109,128,195,215,154,121,168,140,132,139,196,139,75,62,160,
148,127,54,132,236,191,134,115,119,221,138,81,66,210,168,24,121,48,108,156,94,16,202,169,90,204,145,199,48,211,19,83,23,76,54,64,206,179,201,224,47,238,9,234,223,188,199,112,182,229,187,197,192,164,139,
121,116,67,6,81,28,181,14,42,103,43,58,133,153,67,2,102,154,138,137,68,109,24,30,66,67,207,48,118,225,121,236,250,180,26,196,65,161,149,111,172,209,150,96,98,151,37,103,209,121,94,45,135,26,148,253,29,
3,48,149,10,89,0,73,191,139,150,134,54,16,150,204,147,33,128,46,37,73,183,212,93,236,248,191,198,13,6,163,171,102,54,73,228,214,54,176,153,19,71,148,119,157,123,13,135,30,210,139,203,52,245,133,32,28,
158,17,153,173,110,185,116,251,177,65,85,182,200,77,40,66,27,204,102,104,130,130,173,57,16,214,134,19,199,210,112,193,33,101,176,69,138,122,253,228,42,187,104,200,24,84,22,0,195,125,48,220,7,217,231,196,
119,211,58,76,237,138,201,25,90,241,43,136,179,203,155,18,231,236,193,186,168,184,233,6,235,154,140,204,99,88,84,179,24,155,237,78,148,162,194,1,55,194,244,11,190,139,31,17,214,156,58,36,195,88,94,116,
140,13,124,131,214,29,97,56,182,150,149,223,91,100,231,108,224,27,177,177,71,147,107,84,10,200,123,121,135,212,208,248,155,225,136,231,77,134,152,198,111,129,213,15,215,104,155,142,161,166,79,81,91,219,
114,91,135,191,55,108,205,241,95,126,159,186,49,128,201,205,48,127,88,70,101,38,169,102,204,123,50,33,160,15,158,25,58,161,198,227,96,126,152,238,235,155,67,207,240,235,44,242,166,120,140,251,89,210,91,
34,47,131,75,72,161,138,180,227,87,173,18,82,51,227,7,158,132,50,221,24,204,163,199,209,160,228,113,236,77,165,173,137,33,221,190,9,47,104,249,3,175,125,206,151,107,38,246,89,99,1,176,75,8,101,99,1,146,
44,128,101,40,106,249,201,195,176,92,113,151,202,41,9,125,24,221,204,190,25,31,211,54,129,179,59,235,73,158,164,64,48,60,40,139,13,74,214,43,143,245,154,160,122,69,230,120,182,170,245,90,132,142,211,244,
44,212,48,172,215,175,248,234,142,245,224,177,45,171,156,232,117,0,246,165,178,133,221,64,206,193,228,204,69,141,81,89,111,170,161,93,142,31,37,72,31,43,51,116,2,243,12,247,159,213,134,228,244,108,233,
72,29,210,245,162,57,9,48,19,183,109,76,95,36,201,67,154,233,104,194,139,251,32,89,16,51,242,107,88,8,69,47,181,8,139,96,102,35,57,251,22,194,1,199,32,107,142,164,28,70,12,113,182,196,60,182,42,121,78,
195,177,89,239,236,0,156,35,183,197,93,175,209,155,176,40,222,12,11,2,15,36,196,111,228,147,97,20,216,22,87,153,59,54,157,239,58,249,166,104,20,97,32,158,132,71,170,200,153,219,43,55,76,29,89,203,11,102,
72,142,220,94,39,65,26,204,217,147,149,245,0,159,103,204,143,212,208,37,193,131,75,222,135,239,148,165,0,114,239,236,164,221,107,72,23,131,107,42,172,168,52,134,182,128,48,106,230,78,223,8,216,33,115,
143,147,0,51,113,27,221,244,16,114,18,23,82,252,189,24,53,42,109,146,54,29,247,110,43,57,15,186,188,19,135,104,11,224,121,113,148,13,117,127,5,243,56,97,79,232,202,86,9,36,105,44,132,95,8,236,54,36,74,
167,57,158,228,193,30,83,62,180,41,69,105,55,168,114,150,62,225,174,88,22,119,208,86,0,54,18,8,89,48,213,72,216,138,228,69,241,100,234,69,29,8,19,150,71,145,197,236,137,150,219,102,215,203,224,40,110,
8,199,163,46,114,100,226,218,109,116,26,47,27,218,249,177,193,214,89,177,99,124,220,226,153,94,118,52,202,102,75,190,152,160,38,23,24,138,80,162,205,62,89,163,1,166,118,124,186,111,236,136,135,90,103,
59,122,103,104,148,139,189,142,1,88,211,20,241,145,44,125,183,116,165,106,110,141,167,118,76,75,73,48,29,11,11,4,192,102,11,202,5,47,197,225,132,104,29,120,248,189,24,245,232,250,230,132,97,185,206,193,
101,182,60,178,169,36,130,217,246,117,246,2,126,231,221,123,156,244,85,1,40,173,103,99,223,83,50,7,214,230,97,164,177,182,77,20,54,7,99,132,78,128,109,45,165,130,204,211,98,246,233,198,10,193,143,117,
212,80,46,54,215,84,152,11,192,142,125,76,2,254,162,173,97,166,5,27,75,26,185,55,4,172,4,112,91,71,131,49,165,52,75,86,203,152,254,142,241,88,192,80,21,201,71,232,194,210,204,100,218,0,225,160,104,226,
182,29,48,108,98,97,217,161,63,246,226,221,239,45,56,49,166,94,138,142,140,202,121,52,189,9,53,243,232,26,64,239,218,108,33,176,57,203,3,38,110,148,194,122,162,116,68,5,219,64,65,97,176,219,68,86,219,
50,67,12,32,49,176,70,26,3,212,147,233,50,83,22,202,174,25,145,201,141,113,149,217,242,129,100,193,103,78,202,195,1,191,243,14,205,212,122,253,156,123,74,83,30,70,180,106,39,186,102,91,212,187,193,68,
15,227,123,238,203,241,228,0,53,118,176,145,113,182,84,102,200,183,37,62,72,165,53,232,179,253,140,223,221,38,77,92,72,174,169,230,49,165,242,201,207,11,12,148,102,21,145,131,91,211,15,237,25,111,206,
68,142,20,200,79,186,115,151,103,63,70,158,130,77,205,66,190,137,157,95,1,227,113,86,110,117,82,164,40,128,235,73,136,70,120,95,176,12,235,142,17,134,195,1,23,189,11,187,110,27,242,199,98,205,106,192,
184,157,176,148,195,50,3,25,202,78,75,134,141,120,28,149,60,78,151,120,152,132,135,224,229,218,165,110,138,193,155,196,54,7,224,226,228,174,8,47,191,243,70,113,136,54,137,243,232,108,209,172,154,167,89,
106,4,80,36,81,90,243,94,245,146,7,180,213,154,182,175,69,7,162,225,20,57,109,116,28,178,92,63,243,47,75,229,130,187,139,231,41,181,45,50,141,198,154,37,108,170,179,168,162,122,242,22,180,73,242,73,64,
116,53,247,189,152,98,243,210,216,150,134,153,235,41,226,170,134,46,93,51,54,37,40,153,173,240,85,52,58,117,72,82,23,196,60,39,236,133,13,242,252,228,95,231,129,183,111,253,53,30,230,156,131,81,191,46,
206,57,134,19,152,217,155,64,3,80,182,9,206,48,182,57,24,78,2,203,46,201,158,202,197,156,88,166,243,27,69,134,253,202,147,176,85,38,115,0,163,97,195,47,24,130,23,183,129,160,30,205,51,47,5,69,94,20,249,
67,81,12,32,2,22,115,68,190,203,134,69,95,106,21,61,114,150,140,175,204,102,221,153,160,120,228,13,255,22,176,181,240,98,48,25,241,168,88,128,54,24,25,94,183,166,53,71,198,154,100,81,69,64,241,248,95,
170,103,54,12,166,48,101,164,195,59,246,16,156,247,214,221,28,95,216,168,39,21,153,7,61,193,34,70,147,88,229,187,172,18,97,216,249,6,110,228,162,200,83,192,187,192,210,168,165,85,26,117,142,50,77,28,148,
41,84,24,198,88,233,77,48,206,178,218,116,145,103,113,186,116,73,2,75,95,234,57,39,57,128,123,107,145,76,90,149,70,157,108,116,251,194,158,79,85,81,83,153,63,139,39,229,169,133,56,165,47,69,8,155,121,
228,182,33,102,108,2,31,136,218,202,157,170,218,51,207,163,103,137,109,139,36,42,134,119,11,44,0,10,87,77,128,139,24,183,219,56,166,101,52,179,77,134,34,52,110,83,222,184,69,114,54,119,147,194,128,167,
140,229,195,143,131,82,230,124,104,76,158,247,194,138,1,197,240,108,215,45,247,214,180,43,199,223,231,114,25,176,19,18,113,151,112,20,205,241,42,150,71,221,216,226,0,51,146,253,152,158,83,106,74,70,206,
148,153,39,250,141,3,148,17,225,57,46,248,43,255,135,117,11,120,119,47,108,136,124,3,21,183,78,161,158,81,138,199,244,229,198,59,175,223,121,143,7,238,245,43,247,219,125,135,29,119,140,238,71,252,160,
129,66,7,131,116,184,81,69,155,242,59,167,47,26,242,125,70,153,167,108,243,68,171,18,127,176,182,216,82,68,193,11,7,3,112,198,204,38,74,150,134,103,173,20,232,104,75,204,162,11,140,70,161,252,252,55,37,
141,135,97,38,207,2,102,115,217,173,91,0,236,98,17,14,79,38,71,157,127,111,81,121,108,187,221,26,120,18,51,199,148,38,35,129,85,188,205,79,84,70,144,58,75,186,53,38,7,224,64,19,116,210,200,80,80,32,171,
115,198,146,240,164,159,136,184,93,56,164,204,83,217,196,177,198,102,220,49,34,115,212,203,187,247,194,73,86,92,102,197,38,128,100,177,169,194,161,210,128,197,113,6,160,96,50,78,13,37,137,86,85,130,116,
49,151,152,7,123,5,215,0,158,167,48,182,145,71,165,26,149,199,77,183,53,29,229,129,39,123,20,67,210,28,18,12,29,140,27,221,243,24,23,12,222,156,221,190,113,227,13,215,94,255,79,151,95,243,179,159,252,
108,100,142,82,94,128,98,79,242,190,178,250,251,103,121,88,20,244,174,191,250,43,143,126,210,227,127,233,238,191,132,31,75,37,117,66,221,27,61,3,61,3,61,3,61,3,61,3,115,50,128,130,179,180,105,233,230,
155,127,241,229,211,207,249,225,13,63,72,76,242,98,148,116,143,141,66,61,163,249,217,136,131,100,21,114,221,78,235,158,248,220,167,238,188,126,125,248,22,19,42,118,175,105,73,170,122,163,103,160,103,160,
103,160,103,96,118,6,112,237,10,88,172,22,90,177,229,103,63,249,233,103,63,250,169,13,183,110,48,227,90,73,50,128,9,133,243,141,86,183,12,196,2,252,174,191,231,46,235,239,177,126,37,78,129,172,146,11,
246,225,191,242,52,148,13,187,220,51,208,51,208,51,208,51,208,51,80,200,128,212,179,240,255,230,205,187,252,187,93,214,223,243,30,183,94,119,67,92,155,49,78,165,10,134,169,170,80,207,82,128,111,161,112,
173,223,229,30,107,215,172,217,140,107,116,178,112,38,188,60,170,183,123,6,122,6,122,6,122,6,122,6,102,101,0,147,51,84,51,220,140,136,162,130,89,210,250,93,118,249,193,245,255,82,179,228,233,154,155,125,
133,231,235,195,110,246,9,67,172,51,89,179,118,245,14,107,119,216,188,121,51,138,217,234,80,209,96,143,199,223,99,198,214,95,61,3,61,3,61,3,61,3,61,3,51,51,16,11,7,74,25,86,176,98,150,180,101,213,42,148,
152,53,152,56,213,234,9,106,152,149,52,19,224,14,250,225,249,32,174,202,85,67,193,164,112,243,150,213,171,215,236,136,53,141,75,155,81,219,80,7,87,105,33,11,211,197,217,215,237,170,30,122,71,207,64,207,
64,207,64,207,192,246,144,1,185,92,53,92,178,90,177,89,207,55,226,97,196,171,81,209,86,225,129,14,82,210,236,110,211,52,29,53,253,98,207,7,9,55,1,136,23,76,9,55,139,67,9,6,143,146,144,101,178,50,59,11,
53,181,86,85,211,128,122,171,103,160,103,160,103,160,103,96,251,205,0,202,69,40,102,82,56,164,146,200,109,152,91,164,152,105,89,145,106,162,211,47,95,189,106,211,166,149,43,195,245,179,90,55,103,58,20,
46,229,149,51,156,171,87,175,88,177,180,42,44,8,145,245,32,225,212,39,10,172,84,52,57,9,202,150,93,238,25,232,25,232,25,232,25,232,25,24,51,32,245,68,102,96,114,189,42,188,203,250,66,121,152,231,150,205,
40,46,208,133,90,83,46,36,249,189,213,202,11,19,169,103,197,238,106,73,148,24,48,35,68,65,211,96,132,0,53,12,254,87,74,85,195,169,77,104,122,73,211,12,247,191,61,3,61,3,61,3,61,3,73,6,164,134,132,23,102,
68,250,30,106,219,22,212,180,213,120,112,72,156,160,37,54,214,8,215,217,172,149,8,58,63,27,74,151,155,85,73,1,149,151,206,248,164,104,133,23,174,217,33,2,220,70,189,101,73,158,218,130,135,40,225,63,148,
178,205,155,49,75,219,188,10,215,215,194,127,189,164,105,186,250,223,158,129,158,129,158,129,158,1,203,192,80,204,228,228,158,206,205,228,29,146,76,205,100,62,182,10,139,12,99,181,49,35,18,98,97,34,213,
40,142,235,245,139,179,52,0,135,106,23,77,0,131,55,185,94,23,150,52,6,242,149,43,55,225,68,39,150,166,0,44,87,211,122,73,139,217,234,239,61,3,61,3,61,3,61,3,67,6,184,152,73,21,11,181,76,132,176,158,17,
211,33,249,79,166,80,195,244,41,79,156,116,214,95,99,61,179,71,97,214,193,210,131,242,134,114,138,37,142,97,70,22,176,112,190,6,191,115,135,105,218,10,249,29,9,76,229,228,127,84,54,169,182,110,214,23,
12,250,159,158,129,158,129,158,129,158,129,237,43,3,161,152,233,153,198,97,102,22,86,50,74,85,195,44,8,139,63,0,64,205,144,34,7,141,84,14,169,32,242,146,138,50,188,220,252,42,170,135,247,177,158,213,230,
103,206,0,51,48,212,47,212,179,205,43,151,36,62,76,211,228,150,1,204,205,240,155,4,8,101,197,202,165,45,8,118,51,230,143,114,37,45,6,228,88,122,179,103,160,103,160,103,160,103,96,187,203,128,92,47,67,
129,64,225,64,221,194,255,114,181,76,218,114,154,17,147,51,84,49,153,179,161,132,201,79,18,14,63,60,49,127,86,20,239,167,70,229,169,255,176,36,79,241,176,240,68,206,112,238,176,122,213,237,161,154,193,
16,126,55,225,52,35,156,75,57,67,91,31,29,34,49,135,248,182,187,77,214,7,220,51,208,51,208,51,208,51,144,102,32,20,49,148,5,121,133,57,88,120,30,135,148,51,220,65,141,53,141,168,103,50,3,90,185,86,20,
152,38,81,221,25,231,103,41,165,111,13,247,83,155,186,56,155,75,149,240,2,143,107,150,214,110,146,130,134,138,21,102,108,43,54,109,146,91,208,80,89,177,74,69,102,142,82,128,195,20,178,175,117,180,236,
118,161,103,160,103,160,103,96,123,204,128,204,110,228,116,222,240,146,89,153,84,50,41,102,171,215,172,89,133,101,25,178,190,80,166,104,120,2,149,84,15,153,164,21,78,239,165,197,200,103,114,177,251,169,
197,122,203,146,196,132,0,54,133,115,149,168,86,225,42,222,102,57,227,137,202,22,202,152,196,29,106,157,119,215,219,61,3,61,3,61,3,61,3,219,105,6,180,168,105,97,211,98,161,51,53,57,199,56,212,14,172,198,
144,50,23,234,86,161,158,181,19,55,158,111,20,246,25,47,89,223,136,114,134,231,17,111,193,73,70,89,30,18,206,46,202,67,183,176,100,223,94,50,51,147,168,75,21,118,134,151,14,233,25,232,25,232,25,232,25,
248,183,148,1,173,8,40,11,252,210,74,22,78,64,202,100,13,227,93,181,102,141,10,203,24,187,63,223,104,20,181,105,29,244,58,73,196,180,80,47,211,225,198,106,156,115,148,21,32,120,73,176,225,31,148,189,162,
89,54,187,208,51,208,51,208,51,176,189,103,64,106,67,252,95,102,59,161,102,72,25,195,66,71,121,16,48,234,153,180,66,89,203,115,53,99,173,252,184,190,177,86,192,50,90,184,149,57,34,110,158,70,205,146,7,
130,132,171,100,136,76,218,90,209,36,102,160,66,188,152,162,45,60,107,204,124,118,69,207,64,207,64,207,64,207,192,93,54,3,86,25,66,105,24,106,153,212,146,240,194,176,164,130,160,170,161,168,233,185,199,
108,164,115,86,224,175,241,183,157,137,219,241,85,170,148,161,58,73,16,82,168,240,38,119,192,225,21,22,127,140,150,93,234,25,232,25,232,25,232,25,232,25,168,103,64,230,63,177,224,72,69,145,170,38,255,
135,138,130,197,250,177,47,48,204,153,113,249,243,141,137,77,241,73,89,112,1,125,124,232,176,46,94,68,97,147,73,152,54,146,107,102,33,176,250,120,122,79,207,64,207,64,207,64,207,192,246,145,1,148,3,41,
81,90,21,228,47,74,134,214,142,32,162,184,73,83,78,249,81,225,96,89,211,20,42,95,49,99,173,245,141,197,249,157,44,255,16,119,75,248,61,207,16,141,122,19,21,254,15,113,132,191,36,22,29,119,101,207,64,207,
64,207,64,207,192,118,146,1,148,135,48,21,66,201,146,218,37,69,141,74,134,214,182,205,248,241,51,76,211,86,45,9,88,46,162,73,241,139,127,199,60,249,115,138,218,19,138,220,120,253,108,132,71,169,96,22,
108,16,200,18,138,26,124,135,162,138,194,134,34,39,127,37,62,9,85,254,89,109,139,108,253,189,103,160,103,160,103,160,103,96,59,206,128,212,134,248,63,42,132,180,80,56,86,201,106,66,60,222,30,87,211,144,
27,60,232,62,220,1,70,105,74,206,26,162,190,97,41,98,246,82,76,165,158,73,97,130,157,150,199,193,20,5,51,216,200,178,198,165,77,155,54,47,13,247,83,75,57,67,140,90,207,164,166,233,185,72,121,220,85,96,
201,60,119,69,207,64,207,64,207,64,207,192,118,150,1,41,96,114,189,76,138,68,40,19,56,187,24,10,218,150,213,43,228,209,86,232,151,213,24,50,49,19,189,188,21,51,164,165,171,216,229,87,250,43,180,81,0,193,
34,115,179,77,75,152,27,106,189,195,93,212,155,151,48,67,12,101,12,127,244,52,164,22,53,137,171,232,183,43,123,6,122,6,122,6,122,6,182,151,12,160,16,200,51,125,101,230,35,143,224,64,153,144,139,101,162,
217,140,242,177,2,63,124,22,170,151,0,86,200,233,63,151,151,210,202,196,4,162,149,171,117,253,76,17,137,17,98,8,179,180,77,75,168,103,155,112,35,26,122,241,224,199,45,136,72,42,153,132,42,111,225,55,170,
67,195,89,247,102,207,64,207,64,207,64,207,192,246,152,1,41,82,82,204,80,177,240,134,95,163,198,143,140,225,113,83,208,110,66,217,144,159,61,27,250,229,108,31,68,84,27,76,136,52,83,195,227,133,45,109,
233,185,67,83,151,207,55,74,73,114,175,145,87,230,129,82,191,80,193,20,131,138,42,255,66,61,91,210,243,142,218,129,128,250,171,103,160,103,160,103,160,103,160,103,64,51,128,162,176,26,245,2,151,167,48,
21,146,75,82,114,21,11,63,200,130,211,122,2,8,127,48,93,195,43,252,132,76,233,82,153,192,98,241,9,72,249,163,19,184,114,61,51,144,9,116,6,114,229,109,183,223,126,243,207,127,142,194,133,165,40,114,219,
52,254,72,61,147,185,89,152,159,73,105,11,245,205,172,187,208,51,208,51,208,51,208,51,176,189,103,32,84,50,185,34,37,75,64,48,43,194,111,142,201,75,86,130,88,217,192,13,213,155,54,105,73,43,212,173,33,
131,32,74,95,50,129,195,131,24,65,51,234,243,73,92,236,29,167,123,152,35,46,45,221,252,139,155,81,97,225,88,163,145,137,98,120,161,25,197,254,222,51,208,51,208,51,208,51,208,51,48,100,64,139,137,204,118,
116,26,134,55,171,47,34,135,217,16,38,106,82,207,228,225,192,141,23,205,175,18,84,114,63,117,97,18,151,77,247,100,185,7,38,119,40,91,248,95,103,103,189,136,37,41,237,141,158,129,158,129,158,129,158,129,
233,12,164,165,67,22,55,138,102,198,156,104,44,85,177,34,170,179,214,122,16,32,70,179,49,54,120,163,41,221,168,239,82,207,64,207,64,207,64,207,64,207,192,214,102,96,254,105,62,55,81,155,123,253,204,2,
196,121,206,180,168,90,79,23,122,6,122,6,122,6,122,6,122,6,182,54,3,97,210,85,154,53,165,179,49,156,35,116,51,174,133,235,25,157,243,220,218,160,187,125,207,64,207,64,207,64,207,64,207,64,158,129,226,
105,64,55,27,115,197,12,36,139,215,179,149,171,54,45,225,118,129,57,39,57,243,32,187,166,103,160,103,160,103,160,103,160,103,160,154,1,20,23,41,49,165,126,46,96,88,160,159,223,100,189,112,61,195,227,182,
126,122,227,77,27,111,219,176,110,237,142,37,143,93,215,51,208,51,208,51,208,51,208,51,176,204,12,108,220,184,1,37,6,75,31,219,23,182,184,182,153,167,225,55,166,173,61,41,192,199,77,63,188,241,251,215,
125,31,15,216,31,192,238,156,230,36,69,7,244,12,244,12,244,12,244,12,244,12,88,6,98,17,65,89,185,225,186,27,110,250,191,55,182,139,153,217,57,65,214,235,23,11,157,195,113,115,227,134,141,231,159,113,246,
227,14,250,157,221,239,183,251,218,117,107,113,19,154,44,222,175,46,73,177,137,227,140,101,152,236,102,1,217,92,192,230,142,243,178,64,64,139,67,117,8,119,209,224,23,31,238,157,97,129,148,254,155,201,
167,237,225,119,208,136,140,95,55,204,29,228,229,142,222,234,253,67,180,109,51,124,39,229,83,239,72,195,19,67,54,109,184,253,134,107,175,255,242,25,231,108,220,184,113,121,35,89,185,207,190,251,21,44,
181,90,86,75,148,88,172,91,183,238,158,247,185,247,46,187,236,178,118,237,90,220,55,16,238,71,75,153,228,67,81,249,96,196,106,28,110,100,147,37,38,169,165,111,9,123,212,169,175,129,58,68,200,63,30,48,
204,25,235,132,236,73,57,71,114,27,111,221,60,70,81,126,103,114,137,208,8,209,8,156,163,47,71,144,33,93,191,54,141,223,178,81,132,177,210,76,160,20,43,114,100,55,51,6,61,221,133,161,152,161,155,9,6,14,
229,183,236,105,51,233,51,85,20,140,37,143,60,116,89,191,208,228,152,72,83,125,87,251,144,240,65,20,104,204,185,153,13,204,69,15,17,12,12,71,163,182,11,133,4,115,198,27,155,40,225,26,142,184,27,13,219,
18,169,161,184,14,54,26,131,255,27,2,14,152,64,103,77,143,27,218,28,149,11,137,63,65,64,207,255,16,217,56,70,114,203,237,84,60,149,48,125,242,199,15,81,36,28,125,57,10,115,13,125,4,59,136,244,68,149,5,
31,21,213,119,111,66,142,108,211,13,27,106,132,14,27,37,28,175,28,243,232,89,37,51,2,110,236,115,70,205,200,3,67,66,211,224,201,136,7,133,218,199,15,81,36,8,153,76,168,21,62,236,201,17,166,202,8,134,150,
77,6,139,193,143,127,3,18,248,219,111,191,237,39,55,253,244,199,223,255,193,134,91,179,98,70,9,247,198,105,187,92,207,242,235,108,102,197,147,57,108,75,56,26,238,127,91,149,124,40,12,198,84,80,114,19,
156,69,152,249,50,193,96,166,41,8,188,7,211,248,217,99,129,135,173,152,148,24,88,173,50,115,230,189,208,20,28,229,56,60,138,83,158,81,86,122,69,239,230,104,22,97,137,201,116,70,101,154,133,57,57,87,49,
66,176,229,204,230,130,133,133,221,153,49,251,53,37,4,138,129,213,85,89,121,50,171,153,241,43,237,242,71,81,13,235,206,235,200,71,58,14,167,152,228,44,87,219,48,214,60,152,156,124,12,143,251,42,219,145,
33,91,41,115,108,229,24,150,235,192,152,149,214,154,202,55,248,42,110,11,69,204,222,34,142,57,143,183,49,174,134,109,205,202,153,24,140,245,80,114,19,33,69,88,208,75,229,47,95,51,139,176,124,16,164,9,
73,43,175,7,201,29,147,239,145,66,191,58,13,117,216,46,167,141,253,34,113,40,24,76,120,112,114,138,8,45,7,51,4,235,77,201,2,37,40,253,166,16,105,219,12,250,80,103,38,84,57,183,34,71,128,228,95,62,18,14,
60,144,76,64,217,67,51,25,180,114,245,106,110,226,172,173,193,205,80,132,218,206,61,123,207,86,47,198,201,78,23,146,57,87,252,91,175,82,151,183,249,139,70,199,126,157,159,197,6,165,59,136,252,82,69,242,
74,226,39,191,9,232,142,107,212,182,175,122,220,166,241,52,210,85,76,242,136,111,7,89,75,78,30,60,241,140,105,207,97,53,194,160,215,80,199,216,26,96,114,215,248,246,147,126,180,229,99,91,37,7,97,45,218,
121,190,140,57,58,29,142,36,166,199,104,138,219,66,71,41,48,118,228,198,78,177,49,161,67,77,54,97,27,195,27,177,109,194,90,47,235,193,57,121,252,151,57,146,92,192,26,94,108,30,117,201,59,129,197,42,62,
191,145,18,161,240,73,162,132,181,212,32,79,99,119,24,210,176,9,139,128,69,189,187,56,29,167,107,90,28,102,101,130,117,169,80,52,172,129,157,173,111,186,253,47,75,181,226,241,19,114,101,195,20,111,129,
181,131,49,152,227,108,91,57,176,52,41,248,225,25,158,33,30,189,17,132,118,188,193,212,74,114,129,106,134,106,12,207,249,77,147,48,48,17,70,52,69,12,57,213,156,88,57,171,165,72,45,198,72,136,97,90,116,
33,77,27,140,97,23,227,225,239,13,35,217,212,72,71,36,73,69,126,234,23,177,60,106,12,42,245,56,135,106,100,227,156,164,60,131,119,6,12,170,240,86,4,215,130,100,195,40,243,237,74,229,161,5,164,118,217,
160,76,64,167,179,42,174,54,136,248,241,40,28,253,123,115,211,39,204,89,122,157,83,182,10,190,10,142,20,211,48,28,72,102,167,122,154,138,195,42,201,49,45,73,31,148,198,92,4,40,218,48,137,113,169,225,144,
195,243,27,157,182,100,184,176,206,113,90,244,38,48,163,3,203,97,180,178,55,179,85,46,123,158,28,49,79,179,12,30,27,151,179,229,15,85,195,57,204,115,67,167,129,249,112,128,155,74,78,110,216,112,93,236,
138,195,169,126,120,96,85,171,94,19,222,107,31,42,48,218,184,76,208,224,138,38,14,83,28,6,41,53,170,56,174,214,177,70,140,138,30,137,109,16,211,24,236,120,103,94,114,139,154,166,152,52,222,121,70,0,199,
150,6,80,35,135,190,92,26,217,64,169,140,60,50,115,12,10,31,35,33,243,124,200,81,211,218,133,132,10,231,121,242,111,70,89,45,41,108,145,24,33,69,145,136,197,56,5,97,99,36,184,62,160,157,20,94,212,32,57,
84,229,175,122,241,4,229,182,237,51,229,238,84,187,245,190,82,190,161,181,149,180,115,56,45,111,38,176,149,15,0,27,104,106,227,178,185,201,19,207,111,52,220,214,11,62,226,38,99,121,27,219,94,56,111,168,
179,18,215,12,99,161,206,218,0,107,250,73,114,24,242,16,112,251,32,78,132,224,144,95,51,92,182,163,34,225,54,96,179,237,197,14,112,240,202,30,114,205,253,21,57,25,181,30,253,228,212,11,165,104,102,192,
51,97,51,131,116,108,22,143,211,87,6,53,173,30,120,52,147,182,219,155,0,2,116,113,179,78,217,30,145,56,114,94,98,83,99,176,93,177,54,52,167,55,60,71,228,48,232,82,88,174,103,43,149,243,248,217,138,221,
177,62,231,17,167,149,61,176,109,56,244,106,90,152,55,205,127,117,68,102,152,226,205,41,15,65,233,173,107,240,102,12,117,239,220,147,203,158,48,71,220,97,154,133,92,99,3,21,240,54,252,52,129,28,114,249,
250,153,34,56,191,5,118,166,153,148,53,148,98,28,22,37,72,34,160,232,206,246,194,98,175,132,144,122,169,194,44,90,118,109,202,24,67,117,191,52,36,9,156,43,85,79,123,31,112,217,105,70,163,77,159,78,22,
126,200,213,250,102,8,249,232,226,208,10,198,12,158,9,203,89,82,67,219,94,12,68,90,230,102,134,205,82,89,47,216,33,231,248,55,119,218,145,50,12,45,30,53,3,210,204,115,207,164,188,192,232,114,239,105,2,
225,43,238,87,229,114,30,130,241,211,250,90,132,237,192,130,163,196,11,156,131,202,172,76,168,241,59,125,1,175,227,77,199,88,128,57,162,216,4,50,102,35,170,232,93,120,242,124,26,96,81,167,69,170,64,146,
239,213,110,8,174,57,134,16,139,104,123,32,134,207,133,220,53,48,69,119,141,68,41,109,209,202,121,100,146,57,120,103,158,52,75,155,126,0,112,170,227,102,42,186,179,225,23,123,133,109,203,150,53,8,186,
214,93,211,47,99,156,26,138,35,140,60,195,167,8,95,186,177,79,78,190,18,18,206,5,44,53,29,78,233,24,99,202,4,30,247,48,134,24,191,8,13,42,226,129,185,89,9,109,61,165,236,72,229,98,12,218,197,156,185,225,
160,105,70,24,51,28,177,245,252,114,24,13,191,12,115,219,43,79,215,228,9,156,234,160,230,117,104,156,28,82,209,110,230,112,216,182,97,194,176,173,148,243,200,115,191,185,6,78,239,136,245,55,163,35,183,
71,165,251,249,214,12,89,199,59,58,170,113,185,0,8,54,254,10,163,41,41,188,60,159,134,202,157,218,71,35,239,130,85,145,74,145,69,188,57,98,65,93,24,222,4,96,88,102,147,182,60,199,202,198,213,166,98,88,
141,182,166,159,99,235,188,23,55,125,228,217,150,199,127,153,159,69,94,23,67,57,233,14,236,154,158,34,180,145,151,98,106,156,114,25,159,210,226,110,135,1,229,97,216,193,151,157,178,172,38,24,78,58,162,
145,74,207,113,1,166,69,33,183,69,151,217,154,80,132,13,225,133,207,173,255,136,210,231,115,128,53,223,92,6,52,72,43,91,234,221,130,49,1,148,73,96,88,84,228,86,163,84,194,96,171,113,123,233,1,168,116,
34,209,5,96,67,97,30,83,58,129,163,245,1,19,116,14,21,193,19,17,182,236,165,64,197,199,214,74,78,18,198,180,193,228,105,143,228,191,224,78,65,91,231,84,56,152,65,57,43,193,151,34,28,247,121,97,138,59,
83,9,25,92,69,128,250,105,252,53,42,135,201,152,147,0,28,216,53,7,206,48,94,191,15,3,170,163,206,179,129,113,185,29,62,229,109,247,166,216,208,42,165,183,54,94,137,203,142,38,196,85,198,231,193,103,190,
152,173,64,98,12,169,161,89,153,64,177,136,88,160,202,34,175,217,50,21,120,138,84,78,57,30,79,216,184,41,187,163,31,176,149,235,103,150,2,71,183,21,231,97,28,211,54,105,106,70,92,78,93,154,212,81,49,89,
102,104,38,38,228,225,229,12,102,110,224,134,185,97,76,200,55,134,117,65,104,80,53,252,230,65,38,84,186,89,211,221,26,0,139,164,234,180,190,63,20,205,45,66,21,170,180,48,174,191,150,103,85,231,243,7,17,
229,247,94,108,164,33,75,150,25,208,122,100,205,147,49,180,15,154,217,86,48,190,229,56,53,227,32,48,131,246,212,130,175,233,83,62,105,1,105,155,53,239,29,52,52,246,42,38,27,248,44,230,102,254,243,241,
170,119,29,157,246,46,195,203,244,120,227,32,213,81,225,107,4,0,217,120,161,27,240,209,92,80,233,55,105,3,228,67,179,46,179,206,53,214,37,204,225,44,148,96,116,235,196,120,90,86,181,237,248,175,254,248,
95,190,126,150,39,81,19,212,74,1,167,112,142,156,38,151,45,218,187,81,30,67,174,97,182,134,188,108,67,229,252,255,101,190,108,191,227,158,157,38,197,8,45,243,208,152,28,176,229,175,204,106,104,230,198,
154,107,172,43,17,220,199,38,126,210,18,204,84,35,141,115,64,39,1,68,47,227,151,110,231,40,2,196,216,186,130,114,48,49,229,84,48,66,80,58,137,157,219,37,17,134,195,25,99,92,111,249,64,201,6,169,44,97,
47,18,115,106,93,109,249,168,12,104,9,76,157,78,111,154,200,80,101,142,128,246,187,153,179,71,83,170,128,174,57,151,90,139,12,109,239,218,27,12,203,31,19,54,183,168,88,9,57,137,141,210,88,192,91,182,153,
130,76,84,45,227,13,83,103,27,62,246,50,113,52,99,62,93,219,135,231,216,114,80,45,89,71,145,133,13,19,222,4,57,67,30,3,107,202,245,44,73,174,120,24,183,83,209,153,50,230,93,236,201,69,86,59,182,2,214,
176,170,126,176,41,194,196,145,219,246,4,203,163,157,112,157,240,198,134,227,143,106,206,152,233,198,224,41,140,177,151,36,142,173,149,13,152,44,18,192,4,85,154,249,73,48,197,155,138,22,210,228,48,221,
42,38,24,54,76,140,214,121,243,183,71,167,221,216,121,179,2,227,134,150,3,2,197,184,207,43,163,179,242,110,208,14,17,142,85,19,154,198,112,82,251,54,121,37,194,148,34,109,37,132,150,186,44,30,222,211,
148,32,49,108,30,92,20,25,24,124,174,138,84,105,128,73,203,194,112,222,25,100,24,86,178,12,219,178,121,220,46,147,105,172,50,176,27,200,150,79,210,207,218,238,108,152,110,11,142,77,71,145,143,119,208,
103,251,179,68,148,85,41,167,113,77,10,188,32,222,117,143,255,84,207,210,92,115,54,57,23,44,187,76,52,186,28,18,205,133,192,102,158,111,245,161,139,131,55,52,132,116,167,225,29,209,238,171,101,248,162,
50,199,195,182,197,209,25,184,216,59,154,231,87,179,198,62,63,34,112,150,217,106,9,81,42,151,22,40,13,79,93,188,15,112,8,42,123,191,145,97,238,48,195,62,144,186,240,135,69,118,97,180,46,18,195,164,84,
130,210,46,3,56,67,107,78,2,12,217,22,242,8,23,98,206,227,119,238,22,98,99,91,11,44,103,200,53,108,8,121,171,0,113,151,24,56,105,215,90,212,203,156,72,28,167,237,210,141,225,123,147,208,110,111,8,36,196,
8,139,230,80,214,146,198,134,14,227,154,66,178,148,125,83,11,9,204,145,181,48,22,211,243,198,74,239,8,100,143,44,59,254,70,151,67,162,185,16,216,204,171,9,140,193,143,245,12,80,243,129,45,106,178,113,
77,8,202,88,218,101,109,255,168,114,198,104,38,92,200,54,14,43,32,131,23,163,133,149,43,78,220,133,94,187,248,138,93,209,92,84,131,49,68,42,56,78,238,156,73,37,48,30,105,41,87,160,229,109,198,94,84,118,
190,208,116,129,197,193,14,35,205,190,183,133,61,9,97,164,222,205,41,243,179,156,71,226,52,69,6,135,201,155,243,93,76,34,203,0,75,120,58,222,60,146,9,141,241,24,46,35,44,7,16,240,110,27,25,199,28,161,
70,171,156,181,94,102,30,49,60,138,44,126,54,25,100,198,231,221,83,12,182,75,168,233,16,70,206,57,197,147,123,102,77,61,183,195,71,96,28,62,155,13,49,101,43,170,103,92,34,106,17,230,46,72,83,200,64,62,
118,203,207,66,93,228,101,121,34,54,150,141,11,41,53,121,46,155,134,157,199,76,83,252,42,167,13,121,202,217,228,241,95,214,235,27,137,201,133,188,43,40,11,215,76,16,54,32,197,136,157,146,76,70,207,38,
57,176,233,19,33,140,95,198,22,227,113,156,46,254,226,42,137,132,208,26,145,208,20,131,96,115,38,7,104,111,9,7,78,107,85,109,164,53,189,15,41,182,29,126,114,176,33,87,126,127,45,124,25,4,127,22,127,244,
233,223,57,255,144,93,72,134,102,152,41,85,168,153,56,216,162,77,59,164,110,37,191,241,228,1,204,97,158,131,113,204,150,43,205,167,53,107,48,167,175,52,199,15,123,30,82,201,69,11,47,95,206,104,15,41,153,
39,81,68,192,200,169,221,121,36,137,217,84,195,204,35,127,98,96,189,137,118,60,200,46,39,152,162,35,230,175,57,85,12,239,75,14,25,152,199,144,232,216,60,152,234,215,83,103,197,174,103,202,197,33,152,114,
224,207,15,110,180,185,135,128,198,16,37,236,98,96,78,105,94,40,212,113,200,14,76,24,18,235,199,255,97,126,86,100,225,188,43,89,14,203,53,228,182,44,182,77,74,163,205,121,226,17,51,102,60,57,121,109,112,
202,254,60,218,242,246,0,159,165,98,8,62,250,229,207,243,234,213,195,86,177,41,81,62,210,92,99,193,222,105,66,49,6,27,32,135,81,68,50,192,228,153,200,153,48,163,109,11,51,183,169,146,40,216,7,96,219,113,
0,141,159,43,231,218,27,186,238,59,160,233,60,186,230,242,28,182,51,214,118,81,178,141,31,195,16,77,219,124,121,1,151,173,42,91,13,1,228,65,154,198,133,231,154,131,35,199,92,118,143,163,68,165,99,158,
186,236,186,100,107,71,18,116,206,183,26,153,220,112,232,120,56,98,130,84,36,207,143,9,57,44,215,56,230,188,217,54,177,237,149,27,146,38,238,120,113,128,118,252,151,245,250,160,192,191,220,77,249,59,187,
177,214,179,99,144,150,128,80,74,12,18,70,140,50,49,39,176,6,28,122,171,7,160,196,118,121,123,3,81,184,228,228,91,26,88,222,249,208,116,38,68,182,173,197,169,116,205,241,151,164,157,82,61,199,86,49,182,
35,250,129,187,240,42,228,102,174,108,158,100,208,210,217,33,119,94,168,226,197,209,106,211,200,221,118,52,125,97,212,202,95,9,190,128,191,19,84,110,200,236,49,141,211,37,129,129,44,23,97,150,19,17,156,
199,212,11,83,229,178,145,27,97,142,153,169,105,108,181,105,114,12,161,30,54,152,141,193,2,46,70,101,48,237,109,131,115,6,103,110,128,154,222,103,222,12,32,208,112,178,48,146,195,35,147,179,12,43,252,
99,141,210,223,21,143,255,255,15,62,66,83,4,30,105,248,13,0,0,0,0,73,69,78,68,174,66,96,130,0,0};

const char* MainEditorView::background_png = (const char*) resource_MainEditorView_background_png;
const int MainEditorView::background_pngSize = 47655;


//[EndFile] You can add extra defines here...
//[/EndFile]
